!-- --

<!-- -->

Comments are ignored by the HTML parser. All text between the beginning of the comment <!-- and the end of the comment --> is ignored.

White space is allowed within the comment but not between the opening <!-- and closing -->. Comments do not nest.

Both the start and end tags are required.


!DOCTYPE

<!DOCTYPE>

Specifies the DTD the document corresponds to.

Different versions may be used depending on the level of compatibility the author wishes to indicate. In the examples below, the first indicates compatibility with the HTML 3.2 DTD; the second indicates a strict adherence to the HTML 4.0 DTD.

Examples

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

<<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">


A

<A
ACCESSKEY=string
HREF=string
CLASS=string
DATAFLD=colname
DATASRC=#ID
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
METHODS=string
NAME=string
REL=string
REV=string
STYLE=string
TARGET=string
event = script
>

Anchor elements designate the start or destination of a hypertext link. The Anchor element requires the HREF= or the NAME= attribute to be specified.

ACCESSKEY=
Specifies an accelerator for the element.
HREF=
Specifies the destination URL or anchor point.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
METHODS=
The METHODS attributes of anchors and links provide information about the functions that the user may perform on an object. These are more accurately given by the HTTP protocol when it is used, but it may, for similar reasons as for the TITLE= attribute, be useful to include the information in advance in the link. For example, the HTML user agent may chose a different rendering as a function of the methods allowed; for example, something that is searchable may get a different icon.
NAME=
Specifies the name of the control, bookmark, or applet.
REL=
The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.
REV=
The REV attribute is the same as the REL= attribute, but the semantics of the link type are in the reverse direction. A link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor may have both REL and REV attributes.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onblur onclick

ondblclick onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onselectstart

Text and/or images may be within an anchor. To represent images that are anchors, a border in the visited or not visited color is displayed.

Both the start and end tags are required.

Example

<A HREF="http://www.microsoft.com">This is a link to Microsoft.</A>

<A HREF="home.htm">This is a link to a file called home.htm in the same

directory as this page.</A>

<A TARGET="viewer" HREF="sample.htm">Click here to load the link into

"viewer" window.</A>


ADDRESS

<ADDRESS
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Address element is used to specify information such as address, signature and authorship.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


APPLET

<APPLET
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CODE=string
CODEBASE=string
DISABLED
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MAYSCRIPT
NAME=string
SRC=string
STYLE=string
TITLE=string
VSPACE=string
event = script
>

Places executable content on the page.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CODE=
The name of the file containing the compiled java class.
CODEBASE=
This is an optional parameter that specifies the base URL for the applet.
DISABLED
Used to disable an element.
HSPACE=
Along with VSPACE= , specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MAYSCRIPT
Used to designate whether the applet can take advantage of javascript classes.
NAME=
Specifies the name of the control, bookmark, or applet.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VSPACE=
Along with HSPACE= , specifies margins for the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onreadystatechange

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

Both the start and end tags are required.


AREA

<AREA
COORDS=string
HREF=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOHREF
SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE
STYLE=string
TARGET=string
TITLE=string
event = script
>

Specifies the shape of a "hot spot" in a client-side image MAP.

COORDS=
Coordinates that define the hot spot's shape.
HREF=
Specifies the destination URL or anchor point.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOHREF
Indicates that clicks in this region should cause no action.
SHAPE=
Specifies the type of shape used in the image map.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onblur onclick

ondragstart onfocus

onhelp onkeydown

The start tag is required, and the end tag is optional.


B

<B
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Bold element specifies that the text should be rendered in boldface, where available.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<B>Displayed in a bold typeface.</B>


BASE

<BASE
HREF=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
TARGET=string
TITLE=string
>

Specifies the document's base URL.

HREF=
Specifies the document's full URL in case the document gets read out of context and the reader wants to refer to the original.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.

Base is used to ensure that your document is not reviewed out of context.

This element may only be used within the HEAD tag.


BASEFONT

<BASEFONT
FACE=string
CLASS=string
ID=string
LANG=string
TITLE=string
>

Sets a base font value to be used as the default font when rendering text.

FACE=
Sets the current fonts typeface.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
TITLE=
The Title attribute is used to provide advisory information.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.


BGSOUND

<BGSOUND
BALANCE=string
CLASS=string
ID=string
LANG=string
LOOP=string
SRC=string
TITLE=string
VOLUME=string
>

The BGSOUND tag allows you to create pages with background sounds or "soundtracks."

BALANCE=
To be provided
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
SRC=
Specifies the URI of a sound to be played.
TITLE=
The Title attribute is used to provide advisory information.
VOLUME=
To be provided

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.


BIG

<BIG
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the enclosed text should be displayed in a relatively bigger font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


BLOCKQUOTE

<BLOCKQUOTE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Sets apart a quotation in text.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


BODY

<BODY
ACCESSKEY=string
ALINK=color
BACKGROUND=string
BGCOLOR=color
BGPROPERTIES=FIXED
BOTTOMMARGIN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LEFTMARGIN=variant
LINK=color
RIGHTMARGIN=string
SCROLL=string
STYLE=string
TEXT=color
TITLE=string
TOPMARGIN=string
VLINK=color
event = script
>

Specifies beginning and end of document body. This element can be used to set the background image, the background color, the link color and the top and left margins of the page. The end tag is required.

ACCESSKEY=
Specifies an accelerator for the element. Pressing control-key selects this anchor element in the user's browser.
ALINK=
The color for the active link.
BACKGROUND=
Specifies a background picture. The picture is tiled behind the text and graphics on the page.
BGCOLOR=
Sets the background color of the page.
BGPROPERTIES=
Specifies a watermark, which is a background picture that does not scroll.
BOTTOMMARGIN=
Specifies the bottom margin for the entire body of the page and overrides the default margin.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LEFTMARGIN=
Specifies the left margin for the entire body of the page and overrides the default margin.
LINK=
The color of shortcuts that have not yet been visited.
RIGHTMARGIN=
Specifies the right margin for the entire body of the page and overrides the default margin.
SCROLL=
Turns on or off the scrollbars.
STYLE=
Specifies an in-line style sheet for the tag.
TEXT=
Sets the color of text on the page.
TITLE=
The Title attribute is used to provide advisory information.
TOPMARGIN=
Specifies the margin for the top of the page and overrides the default margin.
VLINK=
The color of shortcuts that have already been visited.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

The BODY element is exposed as the BODY property on the document object.

This element is a block element.

Examples

This is the HTML used to insert the background image of this page.

<BODY BACKGROUND="/ie/images/watermrk.gif" BGPROPERTIES=FIXED

BGCOLOR=#FFFFFF TEXT=#000000 LINK=#ff6600 VLINK=#330099>

<HTML><BODY>Here's a Web page!</BODY></HTML>


BR

<BR
CLEAR=ALL | LEFT | RIGHT
CLASS=string
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Inserts a line break.

CLEAR=
Inserts vertical space so that the next text displayed will be past left- or right-aligned floating images.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onselectstart


BUTTON

<BUTTON
ACCESSKEY=string
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=BUTTON | RESET | SUBMIT
event = script
>

The contents are rendered as a HTML button.

ACCESSKEY=
Specifies an accelerator for the element.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
The author can define a button that will have UI that indicates default for the ENTER key (a dark border), and a button that will have default behavior for the ESC key.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


CAPTION

<CAPTION
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BOTTOM | TOP
event = script
>

Specifies a caption for a TABLE.

ALIGN=
Specifies the alignment of the caption.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Specifies whether the caption appears at the top or bottom.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onclick ondblclick

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


CENTER

<CENTER
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Causes subsequent text and images to be centered.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<CENTER>This text appears centered on the page.</CENTER>


CITE

<CITE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in italics.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


CODE

<CODE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a code sample.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onmousedown onmousemove

onmouseout onmouseover

onmouseup

onselectstart

Both the start and end tags are required.


COL

<COL
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
SPAN=integer
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
>

Used to specify column based defaults for the table properties.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
SPAN=
Specifies how many columns are in the group.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.

This element is a block element.

Both the start and end tags are required.


COLGROUP

<COLGROUP
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
SPAN=integer
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
>

Used as a container for a group of columns.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
SPAN=
Specifies how many columns are in the group.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.

Both the start and end tags are required.


COMMENT

<COMMENT
ID=string
LANG=string
TITLE=string
>

This element is no longer recommended. Indicates a comment that will not be displayed. This element is provided for backward compatibility. When authoring documents, use the <!-- --> comment element for comments instead.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
TITLE=
The Title attribute is used to provide advisory information.

Both the start and end tags are required.


DD

<DD
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The definition in a definition list. Usually indented from the definition list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


DFN

<DFN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Indicates the defining instance of a term.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DIR

<DIR
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a directory list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DIV

<DIV
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The DIV element is used with the CLASS= attribute to represent different kinds of containers.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


DL

<DL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a definition list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DT

<DT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

A definition term within a definition list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


EM

<EM
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Used to emphasize text. Usually renders text in italics.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<EM>This text will be in italics.</EM>


EMBED

<EMBED
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
HEIGHT=string
HIDDEN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
PALETTE=string
PLUGINSPAGE=string
SRC=string
STYLE=string
TITLE=string
WIDTH=string
event = script
>

Allows you to embed documents of any type. The user needs to have an application which can view the data installed correctly on their machine.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HIDDEN
Forces the embedded element to be invisible.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
PALETTE=
To be determined.
PLUGINSPAGE=
To be determined.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onreadystatechange

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


FIELDSET

<FIELDSET
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

The FIELDSET element is similar to the DIV element but is for the specific purpose of grouping related fields. It is a container and it is nestable. It can contain a single LEGEND that must immediately follow the FIELDSET tag. The legend is used to identify the contained set of fields. This is especially useful to speech-based browsers which can then provide users with a way to move from group to group. This element renders as a box around the group and transposes the legend over the upper-left or lower-left portion of the box depending upon the ALIGN= attribute value on the LEGEND element. The legend element must be the first element within the field set. If it is not, the legend text cannot be rendered as part of the FIELDSET border.

CLASS=
Specifies the class of the tag being defined. This is used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID names must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created and can only be referenced by ordinal position.
LANG=
Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE=
Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.

JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript.

VBS, VBSCRIPT The scripting language is written in VBScript.

STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information. The contents of the title attribute will be displayed in a tooltip during the onmouseover event.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup

Both the start and end tags are required.


FONT

<FONT
COLOR=color
FACE=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SIZE=string
STYLE=string
TITLE=string
event = script
>

Specifies a new font face, size, and color to be used for rendering the enclosed text.

COLOR=
Set the color to be used by the font or horizontal rule.
FACE=
Sets the current fonts typeface.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SIZE=
Specifies font size between 1 and 7 (7 is largest).
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


FORM

<FORM
ACTION=string
ENCTYPE=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
METHOD=GET | POST
NAME=string
STYLE=string
TARGET=string
TITLE=string
event = script
>

Specifies that the contained controls take part in a form.

ACTION=
Specifies the address to be used to carry out the action of the form. If none is specified, the base URL of the document is used.
ENCTYPE=
Specifies the format of the data being submitted by the form. The object model property for this attribute is called "encoding".
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
METHOD=
Indicates how the form data should be sent to the server; either GET or POST
NAME=
Specifies the name of the control, bookmark, or applet.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onreset

onselectstart onsubmit

When programming the form, all control-like elements are added to the form as named items. In addition, these items are exposed through the Item method on the form.

This element is a block element.

Both the start and end tags are required.


FRAME

<FRAME
BORDERCOLOR=color
FRAMEBORDER=string
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MARGINHEIGHT=string
MARGINWIDTH=string
NAME=window_name | _blank | _parent | _self | _top
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=string
TITLE=string
WIDTH=string
event = script
>

Specifies an individual frame within a FRAMESET .

BORDERCOLOR=
Sets border color.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MARGINHEIGHT=
Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH=
Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME=
Specifies the name of the frame so it may be targeted from links in other documents.
NORESIZE=
When this attribute is supplied, the frame is not resizable by the user.
SCROLLING=
Specifies that the frame can be scrolled.
SRC=
Specifies a URI for the associated file.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


FRAMESET

<FRAMESET
BORDER=integer
BORDERCOLOR=color
COLS=string
FRAMEBORDER=string
FRAMESPACING=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
ROWS=string
TITLE=string
event = script
>

Sets the number and size of vertical and horizontal frames for a compound document. Use the FRAME element within FRAMESET to define the content and properties of the individual frames. You can also nest FRAMESET elements to create frames within a frame.

BORDER=
Defines the space between the frames, including the 3D border.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute.
COLS=
A comma delimited list of frames to create. Each item in the list contains the initial size of the column.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
FRAMESPACING=
Creates additional space between the frames in pixels.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
ROWS=
A comma delimited list of frames to create. Each item in the list contains the initial size of the row.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

A frameset organizes multiple frames on the screen. Only FRAMEs, nested FRAMESETs, and the NOFRAMES tag are valid within a frameset.

This element is a block element.

Both the start and end tags are required.

Example

<FRAMESET COLS="25%, 50%, *">

<FRAME SRC="contents.htm">

<FRAME SRC="info.htm">

<FRAME SCROLLING=NO SRC="graphic.htm">

</FRAMESET>


h3

<h3
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H2

<H2
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H3

<H3
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H4

<H4
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H5

<H5
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H6

<H6
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


HEAD

<HEAD
CLASS=string
ID=string
TITLE=string
event = script
>

An unordered collection of information about the document.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
TITLE=
The Title attribute is used to provide advisory information.
event
Can be this event:

onselectstart

The HEAD provides information that does not effect the rendering of the document, but may be of use to the browser. The HEAD falls before the BODY of the document is specified. The following tags are valid in the HEAD block:

  • BASE

  • LINK

  • TITLE

  • META

  • BASEFONT

  • BGSOUND

Example

<HEAD>

<TITLE>A Simple Document</TITLE>

</HEAD>


HR

<HR
ALIGN=CENTER | LEFT | RIGHT
COLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOSHADE
SIZE=string
STYLE=string
TITLE=string
event = script
>

Draws a horizontal rule.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
COLOR=
Set the color to be used by the font or horizontal rule.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOSHADE
Draws the horizontal rule without 3-D shading.
SIZE=
Sets the height of the HR element in pixels.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onbeforeupdate onblur

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


HTML

<HTML
TITLE=text
LANG=string
>

This element identifies the document as containing HTML elements. The begin tag typically appears after the !DOCTYPE element. The end tag comes after all HTML elements in the document.

LANG=
Specifies which language to use in ISO standard language abbreviation form.
TITLE=
The Title attribute is used to provide advisory information.

Example

<HTML>

<BODY>

<P>This is an HTML document.

</BODY>

</HTML>


I

<I
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Italic element specifies that the text should be rendered in italic font, where available.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<I>This text will be in italic.</I>


IFRAME

<IFRAME
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
BORDER=integer
BORDERCOLOR=color
DATAFLD=colname
DATASRC=#ID
FRAMEBORDER=string
FRAMESPACING=string
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MARGINHEIGHT=string
MARGINWIDTH=string
NAME=window_name
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=string
STYLE=string
TITLE=string
VSPACE=string
WIDTH=string
event = script
>

Used to create in-line floating frames.

ALIGN=
Specifies the alignment for the control-like element.
BORDER=
Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
FRAMESPACING=
Creates additional space between the frames in pixels.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE=, specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MARGINHEIGHT=
Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH=
Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME=
Specifies the window or frame to target the contents at. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are listed below:

_blank Specifies to load the link into a new unnamed window.

_parent Specifies to load the link into the immediate parent of the document the link is in.

_self Specifies to load the link into the same window the link was clicked in.

_top Specifies to load the link into the full body of the current window.

NORESIZE=
When this attribute is supplied, the frame is not resizable by the user.
SCROLLING=
Specifies that the frame can be scrolled.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be this event:

onreadystatechange

This element is a block element.

Both the start and end tags are required.

Example

<IFRAME FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm"></IFRAME>


IMG

<IMG
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
ALT=string
BORDER=integer
DATAFLD=colname
DATASRC=#ID
DYNSRC=url
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
ISMAP
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LOOP=string
LOWSRC=string
NAME=string
SRC=string
STYLE=string
TITLE=string
USEMAP=string
VSPACE=string
WIDTH=string
event = script
>

Embeds an image or a video clip in the document.

ALIGN=
Specifies the alignment for the control-like element.
ALT=
Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.
BORDER=
Specifies the thickness of a border to be drawn around the element.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
DYNSRC=
Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE=, specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
ISMAP
Identifies the picture as a server-side image map.
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
LOWSRC=
Specifies a lower resolution image to display.
NAME=
Specifies the name of the control, bookmark, or applet.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
USEMAP=
Identifies the picture as a client-side image map and specifies a MAP to use for acting on the user's clicks.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onabort onafterupdate

onbeforeupdate onblur

onclick ondblclick

ondragstart onerror

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

The start tag is required, and the end tag is optional.

Example

<IMG SRC=mygraphic.bmp>


INPUT

<INPUT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CHECKED=TRUE | FALSE
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MAXLENGTH=long
NAME=string
READONLY
SIZE=variant
STYLE=string
TABINDEX=integer
TITLE=string
TYPE=CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD | RADIO | RESET | SELECT-MULTIPLE | SELECT-ONE | SUBMIT | TEXT | TEXTAREA
VALUE=string
event = script
>

Specifies a form input control.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CHECKED=
For check boxes and radio buttons, indicates that they are selected.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associatedd style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MAXLENGTH=
Indicates the maximum number of characters that can be entered into a text control.
NAME=
Specifies the name of the control, bookmark, or applet.
READONLY
Causes the element's contents to be read only.
SIZE=
Specifies the size of the control.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Specifies the type of intrinsic control.
VALUE=
For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onselect

onselectstart

The start tag is required, and the end tag is optional.


KBD

<KBD
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


LABEL

<LABEL
ACCESSKEY=string
FOR=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a label for a control-like element.

ACCESSKEY=
Specifies an accelerator for the element.
FOR=
The for attribute references the ID of another element. The for attribute is optional when the label is implicitly defined. This is done by wrapping the label around the control the label is specified for.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Labels cannot be nested.

Both the start and end tags are required.


LEGEND

<LEGEND
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BOTTOM | TOP
event = script
>

Identifies a contained set of fields defined in the FIELDSET element. The LEGEND element must be the first element within the FIELDSET element.

ALIGN=
Specifies the alignment of the legend text.

BOTTOM Aligns the legend text bottom center.

CENTER Centers the legend text.

LEFT Left aligns the legend text.

RIGHT Right aligns the legend text.

TOP Aligns the legend text top center.

CLASS=
Specifies the class of the tag being defined. This is used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG=
Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE=
Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.

JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript.

VBS, VBSCRIPT The scripting language is written in VBScript.

STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information. The contents of the title attribute will be displayed in a tooltip during the onmouseover event.
VALIGN=
Specifies whether the legend text appears at the top or bottom.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

This element is a block element.

Both the start and end tags are required.


LI

<LI
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
VALUE=variant
event = script
>

Denotes one item of a list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
VALUE=
Changes the count of ordered lists as they progress.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.

Example

<DIR> <LI>Art

<LI>History

<LI>Literature

<LI>Sports

<LI>Entertainment

<LI>Science</DIR>


LINK

<LINK
DISABLED
HREF=string
ID=string
REL=STYLESHEET
TITLE=string
TYPE="text/css"
>

Used to specify a typed hyperlink between the document and some other resource.

DISABLED
Used to disable an element.
HREF=
Specifies the destination URL or anchor point.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
REL=
The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Indicates the type of style sheet.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.

Example

<LINK REL=stylesheet HREF="styles.css" TYPE="text/css">


LISTING

<LISTING
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


MAP

<MAP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a collection of hot spots for a client-side image map

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onhelp onkeydown

onselectstart

Both the start and end tags are required.


MARQUEE

<MARQUEE
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
BEHAVIOR=ALTERNATE | SCROLL | SLIDE
BGCOLOR=color
DIRECTION=DOWN | LEFT | RIGHT | UP
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LOOP=string
SCROLLAMOUNT=long
SCROLLDELAY=long
STYLE=string
TITLE=string
TRUESPEED=string
VSPACE=string
WIDTH=string
event = script
>

The MARQUEE tag enables you to create a scrolling text marquee.

ALIGN=
Specifies the alignment for the control-like element.
BEHAVIOR=
Specifies how the text scrolls in the marquee.
BGCOLOR=
Sets the background color behind the element.
DIRECTION=
Specifies which direction the text should scroll.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE= , specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
SCROLLAMOUNT=
Specifies the number of pixels the text scrolls between each subsequent drawing of the MARQUEE.
SCROLLDELAY=
Specifies the speed the MARQUEE scroll in milliseconds.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TRUESPEED=
This feature will always compute the true position of the marquee given the scrolldelay scrollamount and the actual time elapsed from the last clock tick.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onblur

onbounce onclick

ondblclick ondragstart

onfinish onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

onstart

The start tag is required, and the end tag is optional.


MENU

<MENU
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the following block consists of individual items.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


META

<META
CONTENT=string
HTTP-EQUIV=string
ID=string
NAME=string
TITLE=string
URL=string
>

Provides information about an HTML document to browsers, search engines, and other applications.

CONTENT=
Specifies meta-information to be associated with the given name or HTTP response header.
HTTP-EQUIV=
Used to bind the CONTENT= of the element to an HTTP response header.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
NAME=
Specifies the name of the control, bookmark, or applet.
TITLE=
The Title attribute is used to provide advisory information.
URL=
If a URL is specifies, the URL will be loaded after the specified time has elapsed.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.

The value of the CONTENT= attribute depends on the HTTP-EQUIV= attribute. The following lists some of these values.

HTTP-EQUIV CONTENT

REFRESH delay[;url]

The delay is the number of seconds that the browser waits before reloading a document. The optional url specifies the document to reload. If no url is given, the browser reloads the current document.

Content-Type text/html; CHARSET=character-set

The character-set specifies one of the character set aliases listed in HTML Character Sets (Charsets) and Named Entities.

Examples

The following example sets the character set for the document.

<META HTTP-EQUIV="Content-Type"

CONTENT="text/html; CHARSET=Windows-1251">

The following example causes the browser to reload the document every two seconds.

<META HTTP-EQUIV="REFRESH" CONTENT=2>

The following example causes the browser to load the new document, http://www.sample.com/next.htm, after a five second delay.

<META HTTP-EQUIV="REFRESH" CONTENT="5; URL=http://www.sample.com/next.htm">

The following example causes the server to include the given content in the HTTP response to a GET or HEAD request for the document.

<META HTTP-EQUIV="Expires"

CONTENT="Tue, 04 Dec 1996 21:29:02 GMT">

<meta http-equiv="Keywords" CONTENT="HTML, Reference">

<META HTTP-EQUIV="Reply-to"

content="anybody@microsoft.com">

The HTTP response includes the following header fields.

Expires: Tue, 04 Dec 1996 21:29:02 GMT

Keywords: HTML, Reference

Reply-to: anybody@microsoft.com


NOBR

<NOBR
ID=value
STYLE=css1-properties
TITLE=text
>

Renders text without line breaking.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.

The start tag is required, and the end tag is optional.

Example

<NOBR>Here's a line of text I don't want to be broken . . . here's the end of the line.</NOBR>


NOFRAMES

<NOFRAMES
ID=string
STYLE=cssl-properties
TITLE=string
>

Used to contain HTML for browsers that do not support FRAMESET tags.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.

This element is a block element.

Both the start and end tags are required.

Example

<FRAMESET>

<NOFRAMES>You need Internet Explorer 3.0 to view frames!</NOFRAMES>

</FRAMESET>


NOSCRIPT

<NOSCRIPT
>

Specifies HTML to be displayed in browsers that do not support scripting.

This element is a block element.

Both the start and end tags are required.


OBJECT

<OBJECT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CLASSID=string
CODE=string
CODEBASE=string
CODETYPE=string
DATA=string
DATAFLD=colname
DATASRC=#ID
DISABLED
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NAME=string
STYLE=string
TABINDEX=integer
TITLE=string
TYPE=string
WIDTH=string
event = script
>

Inserts an object onto the HTML page.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CLASSID=
Used to specify the class identifier for the object.
CODE=
The name of the file containing the compiled java class.
CODEBASE=
Specifies a URL referencing where to find the implementation of the object.
CODETYPE=
An attribute.
DATA=
Specifies a URL referencing the object's data.
DATAFLD=
The column name from the data source object that supplies the bound data. This attribute can be used on both the OBJECT element and the PARAM elements it contains.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
DISABLED
Used to disable an element.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NAME=
Specifies the name of the control, bookmark, or applet.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Specifies the MIME type for the associated scripting engine.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onreadystatechange onresize

onrowenter onrowexit

onselectstart

This element is a block element.

Both the start and end tags are required.


OL

<OL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
START=string
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
event = script
>

Draws lines of text as an ordered list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
START=
Specifies the starting number for a list.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<OL>

<LI>This is the first item in the list.

<LI>And this is the second item in the list.

</OL>

<OL START=3>

<LI>This is item number 3.

</OL>

<OL TYPE=A>

<LI>This is item A.

</OL>


OPTION

<OPTION
CLASS=string
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SELECTED
TITLE=string
VALUE=string
event = script
>

Denotes one choice in a select list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SELECTED
Indicates that this item is the default. If not present, the first item is selected by default.
TITLE=
The Title attribute is used to provide advisory information.
VALUE=
For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on
event
Can be one or more of these events:

onselectionchange onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


P

<P
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a paragraph.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.

Example

<P>This is a paragraph.</P>


PARAM

<PARAM
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
NAME=name
VALUE=value
>

Sets the property value for a given object. This element valid within the APPLET, EMBED, and OBJECT elements.

DATAFLD=
The column name from the data source object that supplies the bound data.
DATAFORMATAS=
Indicates whether bound data is plain text or HTML.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
NAME=
Specifies the name of the parameter.
VALUE=
Specifies the property value. The value is passed to the object without change except that any character or numeric character entities are replaced with their corresponding character values.


PLAINTEXT

<PLAINTEXT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type without processing tags and disables HTML parsing for the rest of the document. Although a </PLAINTEXT> tag is required, it does not close the container and is rendered on-screen. This element has been deprecated and may not be supported in a consistent manner by all browsers. It is recommended that the PRE element be used instead.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


PRE

<PRE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


S

<S
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in strikethrough type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<S>This text has a line through it.</S>


SAMP

<SAMP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a code sample.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectionchange onselectstart

Both the start and end tags are required.


SCRIPT

<SCRIPT
EVENT=string
FOR=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SRC=string
TITLE=string
event = script
>

Specifies a script for the page that will be interpreted by a script engine.

EVENT=
Specifies the event the script is being written for.
FOR=
Specifies which element is being bound to the event script.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SRC=
Specifies an external file that contains the source code.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onreadystatechange

onselectstart

Code within the SCRIPT block that are not contained within a function are executed immediately as the page is loaded. To keep scripts from being displayed on down-level browsers, the SCRIPT block should be nested within a comment block.

This element is a block element.

Both the start and end tags are required.


SELECT

<SELECT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MULTIPLE
NAME=string
SIZE=variant
STYLE=string
TABINDEX=integer
TITLE=string
event = script
>

Denotes a list box or dropdown list.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MULTIPLE
Indicates that multiple items in the list can be selected.
NAME=
Specifies the name of the control, bookmark, or applet.
SIZE=
Specifies the size of the control.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

Both the start and end tags are required.


SMALL

<SMALL
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the enclosed text should be displayed with a relatively smaller font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


SPAN

<SPAN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

This does not have any structural role or established rendering convention. It allows a user to define their own method of rendering using style sheets.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STRIKE

<STRIKE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in strikethrough type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STRONG

<STRONG
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in boldface.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STYLE

<STYLE
DISABLED
TITLE=string
TYPE=BUTTON
>

Specifies the style sheet for the page.

DISABLED
Used to disable an element.
TITLE=
Specifies the title of the style sheet.
TYPE=
Returns the CSS language that the style sheet is defined in.

This element may be used within either the HEAD or BODY tag.

Both the start and end tags are required.

Example

<STYLE>

BODY {background: white; color: black}

h3 {font: 8pt Arial bold}

P {font: 10pt Arial; text-indent: 0.5in}

A {text-decoration: none; color: blue}

</STYLE>


SUB

<SUB
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The enclosed text should be displayed in subscript, and using a smaller font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


SUP

<SUP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The enclosed text should be displayed in SuperScript and in a smaller font relative to the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


TABLE

<TABLE
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDER=integer
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CELLPADDING=string
CELLSPACING=string
COLS=string
FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS | VOID | VSIDES
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
RULES=ALL | COLS | GROUPS | NONE | ROWS
STYLE=string
TITLE=string
WIDTH=string
event = script
>

Used to specify that the contained content is organized into a table with rows and columns. Use the TR, TD, and TH elements in the container to create the rows, columns, and cells.

ALIGN=
Specifies how the table should be aligned.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDER=
Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
CELLPADDING=
Specifies the amount of space between the border of the cell and the contents of the cell.
CELLSPACING=
Specifies the amount of space between cells in a table.
COLS=
The number of columns in the table.
FRAME=
Controls the appearance of the border frame around the table.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
RULES=
Specifies which dividing lines are displayed (inner borders).
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

Valid tags within a table include:

  • TR

  • CAPTION

  • THEAD

  • TBODY

  • TFOOT

  • COLGROUP

  • COL

This element is a block element.

Both the start and end tags are required.

Example

<TABLE BORDER=1 WIDTH=80%>

<THEAD>

<TR>

<TH>Heading 1</TH>

<TH>Heading 2</TH>

</TR>

<TBODY>

<TR>

<TD>Row 1, Column 1 text.</TD>

<TD>Row 1, Column 2 text.</TD>

</TR>

<TR>

<TD>Row 2, Column 1 text.</TD>

<TD>Row 2, Column 2 text.</TD>

</TR>

</TABLE>


TBODY

<TBODY
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the body of the table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is exposed for all tables, even if the table did not explicitly define a TBODY element.

This element is a block element.


TD

<TD
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
COLSPAN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOWRAP
ROWSPAN=string
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a cell in a table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
COLSPAN=
Specifies how many columns in the TABLE this cell should span.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOWRAP
The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN=
Specifies how many rows in a TABLE this cell should span.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.


TEXTAREA

<TEXTAREA
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
COLS=long
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NAME=string
READONLY
ROWS=long
STYLE=string
TABINDEX=integer
TITLE=string
WRAP=OFF | PHYSICAL | VIRTUAL
event = script
>

Specifies a multi-line text input control.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
COLS=
Specifies how many characters wide the text area is.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NAME=
Specifies the name of the control, bookmark, or applet.
READONLY
Causes the element's contents to be read only.
ROWS=
Specifies the number of rows tall the textarea control should be.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
WRAP=
Specifies how to handle word-wrapping in the textarea.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll onselect

onselectstart

The default font is fixed pitch.

Both the start and end tags are required.


TFOOT

<TFOOT
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the table's footer.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.


TH

<TH
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
COLSPAN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOWRAP
ROWSPAN=string
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a header column. Header columns are centered within the cell and are bold.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
COLSPAN=
Specifies how many columns in the TABLE this cell should span.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOWRAP
The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN=
Specifies how many rows in a TABLE this cell should span.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup

onselectstart

This element is a block element.


THEAD

<THEAD
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the table's header.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.


TITLE

<TITLE
ID=value
TITLE=string
>

ID=

An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
Identifies the contents of the document in a global context.

TITLE=
The Title attribute is used to provide advisory information.

This element may only be used within the HEAD tag.

This element is a block element.

Both the start and end tags are required.

Example

<HEAD>

<TITLE>"Welcome To Internet Explorer!"</TITLE>

</HEAD>


TR

<TR
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a row in a table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT=, and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK=, and must be used with the BORDER= attribute.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

Within a row, the following tags are valid:

  • TD

  • TH

This element is a block element.


TT

<TT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


U

<U
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text underlined.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<U>This text is underlined.</U>


UL

<UL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
event = script
>

Draws lines of text as a bulleted list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<UL>

<LI>This is the first bulleted item in the list.

<LI>And this is the second bulleted item in the list.

</UL>


VAR

<VAR
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text as a small fixed-width font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


WBR

<WBR
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
TITLE=string
>

Inserts a soft linebreak.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
TITLE=
The Title attribute is used to provide advisory information.

The start tag is required, and the end tag is optional.


XMP

<XMP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type used for example text.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This tag is no longer recommended. Instead, the PRE or SAMP tags should be used.

This element is a block element.

Both the start and end tags are required.


ACCESSKEY=

ACCESSKEY=string

Specifies an accelerator for the element.

Applies To

A, APPLET, BUTTON, EMBED, INPUT, LABEL, OBJECT, SELECT, TEXTAREA


ACTION=

ACTION=string

Specifies the address to be used to carry out the action of the form. If none is specified, the base URL of the document is used.

The way the data is submitted depends upon the value of the METHOD= and ENCTYPE= attributes.

Applies To

FORM


ALIGN=

ALIGN=CENTER | LEFT | RIGHT

Displays the element left flush, right flush, or centered relative to the display or table.

CENTER Align to the center.

LEFT Align to the left edge.

RIGHT Align to the right edge.

Applies To

COL, COLGROUP, DIV, h3, H2, H3, H4, H5, H6, HR, P, TBODY, TD, TFOOT, TH, THEAD, TR


ALIGN=

ALIGN=CENTER | LEFT | RIGHT

Specifies how the table should be aligned.

CENTER Align to the center.

LEFT Align to the left edge.

RIGHT Align to the right edge.

Applies To

TABLE


ALIGN=

ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP

Specifies the alignment for the control-like element.

ABSBOTTOM

ABSMIDDLE

BASELINE

BOTTOM

LEFT

MIDDLE

RIGHT

TEXTTOP

TOP

The default is left-aligned for TABLE, TR, and TD.The default is center-aligned for TH.

Applies To

APPLET, EMBED, IFRAME, IMG, INPUT, MARQUEE, OBJECT, SELECT, TEXTAREA


ALIGN=

ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP

Specifies the alignment of the caption.

BOTTOM Align bottom center.

CENTER Centers the caption.

LEFT Left align.

RIGHT Right align.

TOP Align top-center.

Applies To

CAPTION


ALINK=

ALINK=color

The color for the active link. The color can be any one of the color names or values in Color Values.

Applies To

BODY


ALT=

ALT=string

Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.

Applies To

IMG


BACKGROUND=

BACKGROUND=string

Specifies a background picture. The picture is tiled behind the text and graphics on the page.

Applies To

BODY


BACKGROUND=

BACKGROUND=string

Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.

Applies To

TABLE, TD, TH


BALANCE=

BALANCE=string

To be provided

Applies To

BGSOUND


BEHAVIOR=

BEHAVIOR=ALTERNATE | SCROLL | SLIDE

Specifies how the text scrolls in the marquee.

ALTERNATE The Marquee alternates left and right.

SCROLL The marquee is a scrolling marquee in the direction specified by the DIRECTION attribute. The text scrolls off the end and starts over.

SLIDE The marquee is a scrolling marquee in the direction specified by the DIRECTION attribute. The text scrolls to the end and stops.

Applies To

MARQUEE


BGCOLOR=

BGCOLOR=color

Sets the background color of the page. The color can be any one of the color names or values in Color Values.

JavaScript supports the entire set of valid property colors both as strings and their numerical equivalents as a string. JavaScript always returns the property as the numeric equivalent as a string regardless of the format the value was set.

Applies To

BODY


BGCOLOR=

BGCOLOR=color

Sets the background color behind the element. The color can be any one of the color names or values in Color Values.

Applies To

TBODY, TFOOT, THEAD, MARQUEE, TABLE, TD, TH, TR


BGPROPERTIES=

BGPROPERTIES=FIXED

Specifies a watermark, which is a background picture that does not scroll.

FIXED This causes the background not to scroll with the page.

Applies To

BODY


BORDER=

BORDER=integer

Specifies the thickness of a border to be drawn around the element.

Setting border to 0 or omitting the attribute causes no border to be displayed. Supplying the border attribute without a value defaults to a single border.

Applies To

IFRAME, IMG, TABLE


BORDER=

BORDER=integer

Defines the space between the frames, including the 3D border.

The border can ONLY be set on an outermost FRAMESET tag. Setting border for an inner FRAMESET is ignored, even if border is not defined on the outermost FRAMESET.

Applies To

FRAMESET


BORDERCOLOR=

BORDERCOLOR=color

Sets border color and must be used with the BORDER= attribute, except for frames. The color can be any one of the color names or values in Color Values.

Applies To

FRAME, FRAMESET, IFRAME, TABLE, TD, TH, TR


BORDERCOLORDARK=

BORDERCOLORDARK=color

Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT=, and must be used with the BORDER= attribute. The color can be any one of the color names or values in Color Values.

Applies To

TABLE, TD, TH, TR


BORDERCOLORLIGHT=

BORDERCOLORLIGHT=color

Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK=, and must be used with the BORDER= attribute. The color can be any one of the color names or values in Color Values.

Applies To

TABLE, TD, TH, TR


BOTTOMMARGIN=

BOTTOMMARGIN=string

Specifies the bottom margin for the entire body of the page and overrides the default margin.

If set to "", the bottom margin will be exactly on the bottom edge.

Applies To

BODY


CELLPADDING=

CELLPADDING=string

Specifies the amount of space between the border of the cell and the contents of the cell.

Applies To

TABLE


CELLSPACING=

CELLSPACING=string

Specifies the amount of space between cells in a table.

Applies To

TABLE


CHECKED=

CHECKED=FALSE | TRUE

For check boxes and radio buttons, indicates that they are selected.

FALSE

TRUE

Checkboxes that are not selected do not return their values when the form is submitted.

Use with CHECKBOX and RADIO types only.

Applies To

INPUT


CLASS=

CLASS=className

Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, EVENT, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, NOFRAMES, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP, BASEFONT


CLASSID=

CLASSID=string

Used to specify the class identifier for the object.

The format is: classid="clsid:controlspecificclsid "

Applies To

OBJECT


CLEAR=

CLEAR=ALL | LEFT | RIGHT

Inserts vertical space so that the next text displayed will be past left- or right-aligned floating images.

ALL

LEFT

RIGHT

Applies To

BR


CODE=

CODE=string

The name of the file containing the compiled java class.

Applies To

APPLET, OBJECT


CODEBASE=

CODEBASE=string

This is an optional parameter that specifies the base URL for the applet.

Applies To

APPLET


CODEBASE=

CODEBASE=string

Specifies a URL referencing where to find the implementation of the object.

Applies To

OBJECT


CODETYPE=

CODETYPE=string

Applies To

OBJECT


COLOR=

COLOR=color

Set the color to be used by the font or horizontal rule. The color can be any one of the color names or values in Color Values.

Applies To

BASEFONT, FONT, HR


COLS=

COLS=long

Specifies how many characters wide the text area is.

Applies To

TEXTAREA


COLS=

COLS=string

A comma delimited list of frames to create. Each item in the list contains the initial size of the column.

Applies To

FRAMESET


COLS=

COLS=string

The number of columns in the table.

Providing this number may speed up the processing of the table.

Applies To

TABLE


COLSPAN=

COLSPAN=string

Specifies how many columns in the TABLE this cell should span.

Applies To

TD, TH


COMPACT

COMPACT

Specifies that the list should be compacted to remove extra space between list elements.

Applies To

DL, OL, UL


CONTENT=

CONTENT=string

Specifies meta-information to be associated with the given name or HTTP response header.

Applies To

META


CONTROLS=

CONTROLS=string

If a video clip is present, a set of controls is displayed under the clip.

Applies To

IMG


COORDS=

COORDS=string

Coordinates that define the hot spot's shape.

Applies To

AREA


DATA=

DATA=string

Specifies a URL referencing the object's data.

Applies To

OBJECT


DATAFLD=

DATAFLD=string

Specifies which field of a given data source (as specified by the DATASRC= attribute) to bind to the given element.

Applies To

DIV, IMG, INPUT, MARQUEE, OBJECT, SELECT, SPAN, TEXTAREA


DATAFORMATAS=

DATAFORMATAS=string

Specifies the type of the data to bind to the given element.

Applies To

DIV, MARQUEE, SPAN


DATASRC=

DATASRC=string

Specifies the source of the data for data binding. The string must be an identifier that uniquely identifies an element on the page.

Applies To

DIV, IMG, INPUT, MARQUEE, OBJECT, SPAN, SELECT, TABLE, TEXTAREA


DIRECTION=

DIRECTION=DOWN | LEFT | RIGHT | UP

Specifies which direction the text should scroll.

DOWN The Marquee scrolls down.

LEFT The marquee scrolls left.

RIGHT The marquee scrolls right.

UP The marquee scrolls up.

The default is LEFT, which means scrolling to the left from the right.

Applies To

MARQUEE


DISABLED

DISABLED

Used to disable an element.

Applies To

APPLET, INPUT, OBJECT, SELECT, TEXTAREA, BUTTON, LINK, STYLE


DYNSRC=

DYNSRC=string

Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.

Applies To

IMG


ENCTYPE=

ENCTYPE=string

Specifies the format of the data being submitted by the form. The object model property for this attribute is called "encoding".

Applies To

FORM


EVENT=

EVENT=string

Specifies the event the script is being written for.

Applies To

SCRIPT


FACE=

FACE=string

Sets the current fonts typeface.

Applies To

BASEFONT, FONT


FOR=

FOR=string

The for attribute references the ID of another element. The for attribute is optional when the label is implicitly defined. This is done by wrapping the label around the control the label is specified for.

This property is specified in HTML using the "for" attribute. Specifies the control-like element the label is for.

Applies To

LABEL


FOR=

FOR=string

Specifies which element is being bound to the event script.

Capitalized to avoid javascript keyword conflicts.

Applies To

SCRIPT


FRAME=

FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS | VOID | VSIDES

Controls the appearance of the border frame around the table.

ABOVE Displays a border on the top side of the border frame.

BELOW Displays a border on the bottom side of the table frame.

BORDER Displays a border on all sides of the table frame.

BOX Displays a border on all sides of the table frame.

INSIDES Displays a border on the top and bottom sides of the table frame.

LHS Displays a border on the left hand side of the table frame.

RHS Displays a border on the right-hand side of the table frame.

VOID Removes all outside table borders.

VSIDES Displays a border on the left and right sides of the table frame.

Applies To

TABLE


FRAMEBORDER=

FRAMEBORDER=string

Specifies whether or not to display a border for the frame.

Valid values are 0 and 1. 0 specifies no border, and 1 specifies an inset border. In addition, "Yes" and "No" are supported corresponding to 1 and 0, respectively. Invalid settings defaults to turning on borders.

Applies To

FRAME, FRAMESET, IFRAME


FRAMESPACING=

FRAMESPACING=string

Creates additional space between the frames in pixels.

The default spacing is 2 pixels.

The amount defined for FrameSpacing does not include the width of the FrameBorder. Framespacing can be set on one or more FRAMESETs and applies to the contained FRAMESETs unless the contained FRAMESET defines a different FrameSpacing.

Applies To

FRAMESET, IFRAME


HEIGHT=

HEIGHT=string

Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.

The height attribute on an IMG allows the size of the image to be defined in advance to speed up the rendering of the page.

Applies To

MARQUEE, IFRAME, EMBED, FRAME, IMG, OBJECT, TABLE


HIDDEN=

HIDDEN=string

Forces the embedded element to be invisible.

Applies To

EMBED


HREF=

HREF=string

Specifies the destination URL or anchor point.

When specifying an anchor, everything between the <A HREF..> and the <A> becomes a clickable hyperlink to that address.

The HREF attribute on the anchor is a scriptable attribute. HREF's on anchors can jump to bookmarks or any element's ID attribute.

Applies To

A, AREA, LINK


HREF=

HREF=string

Specifies the document's full URL in case the document gets read out of context and the reader wants to refer to the original.

Applies To

BASE


HSPACE=

HSPACE=variant

Along with VSPACE=, specifies margins for the element.

Similar to BORDER=, except the margins are not painted with color when the element is a hyperlink.

Applies To

APPLET, IFRAME, IMG, MARQUEE


HTTP-EQUIV=

HTTP-EQUIV=string

Used to bind the CONTENT= of the element to an HTTP response header.

If omitted, the NAME= attribute should be used to identify the meta-information. The HTTP-EQUIV attribute is not case-sensitive.

Applies To

META


ID=

ID=string

An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".

id should be unique throughout the scope of the current document. Should there be more than one object with the same identifier, a collection of those named items is created that can only be referenced by ordinal position.

Applies To

BGSOUND, OPTION, A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, BASEFONT, NOBR, NOFRAMES, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP, LINK, COMMENT


ISMAP

ISMAP

Identifies the picture as a server-side image map.

Applies To

IMG


LANG=

LANG=string

This specifies the language to use. The specifier is an ISO standard language abbreviation.

The parser can use this to determine how to display language specific choices for quotations, numbers, etc.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, DD, DFN, DIR, DIV, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


LANGUAGE=

LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT

Specifies the language that the current script is written in. JavaScript is the default for this attribute.

JAVASCRIPT Specifies that the script is written in JavaScript

JSCRIPT Specifies the language as JavaScript

VBS Specifies the language is vbscript.

VBSCRIPT Specifies that the script is written in VB Script.

Javascript 1.1 should also be supported and returned as the string.

Applies To

ADDRESS, A, INPUT, SELECT, APPLET, AREA, B, BASE, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HR, HTML, I, IFRAME, IMG, KBD, LABEL, LI, LISTING, MARQUEE, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


LEFTMARGIN=

LEFTMARGIN=variant

Specifies the left margin for the entire body of the page and overrides the default margin.

If set to "", the left margin will be exactly on the left edge.

Applies To

BODY


LINK=

LINK=color

The color of shortcuts that have not yet been visited. The color can be any one of the color names or values in Color Values.

Applies To

BODY


LOOP=

LOOP=string

Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.

Specifies how many times a video clip or sound will loop when activated. If n=-1 or infinite, it will loop continuously.

Below are descriptions on how loop works for some boundary cases.

  • once

  • once

  • zero times

  • infinitely

  • once

Applies To

BGSOUND, IMG, MARQUEE


LOWSRC=

LOWSRC=string

Specifies a lower resolution image to display.

Setting the src attribute in code has the side-effect of actually starting to load the new URL into the image area (and aborting the transfer of any image data that is already loading into the same area). Therefore, if you're going to alter the lowsrc property, you need to do so before setting the src property. If the URL in the src property references an image that is not the same size as the image cell it is loaded into, the source image is scaled to fit.

Applies To

IMG


MARGINHEIGHT=

MARGINHEIGHT=string

Sets the amount of top and bottom margin should be set before displaying the text in a frame.

The value for marginheight is in pixels. Margins cannot be less than 1 nor too large that the text cannot be displayed.

Applies To

FRAME, IFRAME


MARGINWIDTH=

MARGINWIDTH=string

Sets the amount of left and right margin should be set before displaying the text in a frame.

The value for marginwidth is in pixels. Margins cannot be less than 1 nor too large that the text cannot be displayed.

Applies To

FRAME, IFRAME


MAXLENGTH=

MAXLENGTH=long

Indicates the maximum number of characters that can be entered into a text control.

This can be larger than the SIZE= of the textbox. When this occurs, the textbox should scroll accordingly as the user types. The default is there is no limit.

Applies To

INPUT


MAYSCRIPT

MAYSCRIPT

Used to designate whether the applet can take advantage of javascript classes.

Applies To

APPLET


METHOD=

METHOD=GET | POST

Indicates how the form data should be sent to the server; either GET or POST

GET append the arguments to the action URL and open it as if it were an anchor.

POST POST means send the data via an HTTP post transaction.

The only legal values are "GET" and "POST"

Applies To

FORM


METHODS=

METHODS=string

The METHODS attributes of anchors and links provide information about the functions that the user may perform on an object. These are more accurately given by the HTTP protocol when it is used, but it may, for similar reasons as for the TITLE= attribute, be useful to include the information in advance in the link. For example, the HTML user agent may chose a different rendering as a function of the methods allowed; for example, something that is searchable may get a different icon.

The value of the METHODS attribute is a comma separated list of HTTP methods supported by the object for public use.

Applies To

A


MULTIPLE

MULTIPLE

Indicates that multiple items in the list can be selected.

Applies To

SELECT


NAME=

NAME=string

Specifies the name of the control, bookmark, or applet.

JavaScript allows the name to be changed at run-time. This does not change the name in the programming model to change, in the collection of elements, but does change the name used for submitting elements.

The name is used to bind the value of the control when submitting a form. The NAME is not the value that is displayed for the button, reset, and submit objects. Submitting the form submits the internally stored value, not the one displayed.

Applies To

A, APPLET, FORM, IMG, INPUT, LINK, META, OBJECT, SELECT, TEXTAREA


NAME=

NAME=window_name | _blank | _parent | _self | _top

Specifies the name of the frame so it may be targeted from links in other documents.

window_name A string that specifies a frame.

_blank Loads the link into a new, unnamed window.

_parent Loads the link over the parent. If the frame has no parent, then this refers to _self.

_self Replaces the page with the specified link.

_top Loads the link at the top-most level.

Either a window-name or frame may be specified, or one of the special values above.

The name property on the window comes from the FRAME definition. There is no other way to persist a window name in HTML.

Applies To

FRAME, IFRAME


NOHREF

NOHREF

Indicates that clicks in this region should cause no action.

Applies To

AREA


NORESIZE=

NORESIZE=NORESIZE | RESIZE

When this attribute is supplied, the frame is not resizable by the user.

NORESIZE Specifies that the frame should have a fixed size.

RESIZE Specifies that the frame is resizable.

By default, all frames are resizable.

Applies To

FRAME, IFRAME


NOSHADE

NOSHADE

Draws the horizontal rule without 3-D shading.

Applies To

HR


NOWRAP

NOWRAP

The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.

Applies To

TD, TH


PALETTE=

PALETTE=string

To be supplied.

Applies To

EMBED


PLUGINSPAGE=

PLUGINSPAGE=string

To be supplied.

Applies To

EMBED


READONLY

READONLY

Causes the element's contents to be read only.

This is different then disabled. Readonly still allows the element to receive the focus, while disabled does not allow the element to receive the focus.

Applies To

INPUT, TEXTAREA


REL=

REL=string

The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.

Applies To

LINK, A


REV=

REV=string

The REV attribute is the same as the REL= attribute, but the semantics of the link type are in the reverse direction. A link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor may have both REL and REV attributes.

Applies To

LINK, A


RIGHTMARGIN=

RIGHTMARGIN=string

Specifies the right margin for the entire body of the page and overrides the default margin.

If set to "", the right margin will be exactly on the right edge.

Applies To

BODY


ROWS=

ROWS=long

Specifies the number of rows tall the textarea control should be.

Applies To

TEXTAREA


ROWS=

ROWS=string

A comma delimited list of frames to create. Each item in the list contains the initial size of the row.

Applies To

FRAMESET


ROWSPAN=

ROWSPAN=string

Specifies how many rows in a TABLE this cell should span.

Applies To

TD, TH


RULES=

RULES=ALL | COLS | GROUPS | NONE | ROWS

Specifies which dividing lines are displayed (inner borders).

ALL Displays a border on all rows and columns.

COLS Displays borders between all table columns.

GROUPS Displays horizontal borders between all table groups. Groups are specified by the THEAD, TBODY, TFOOT, and COLGROUP elements.

NONE Removes all interior table borders.

ROWS Displays horizontal borders between all table rows.

Applies To

TABLE


SCROLL=

SCROLL=string

Turns on or off the scrollbars.

'yes' (default), turns on scrollbars, 'no' turns off the scrollbars.

Applies To

BODY


SCROLLAMOUNT=

SCROLLAMOUNT=long

Specifies the number of pixels the text scrolls between each subsequent drawing of the MARQUEE.

Applies To

MARQUEE


SCROLLDELAY=

SCROLLDELAY=long

Specifies the speed the MARQUEE scroll in milliseconds.

Applies To

MARQUEE


SCROLLING=

SCROLLING=AUTO | NO | YES

Specifies that the frame can be scrolled.

AUTO The browser determines if the scrollbars are necessary.

NO The frame cannot be scrolled.

YES The frame can be scrolled.

The scrollbars default to AUTO if this attribute is omitted.

Applies To

FRAME, IFRAME


SELECTED

SELECTED

Indicates that this item is the default. If not present, the first item is selected by default.

This attribute is used to determine whether a value is submitted with the form. If the value of the control matches the default value, the control's value is not submitted. The value is only submitted when the control's value does not match the default value. Therefore, changing this value changes the rule for whether the value is submitted with the form.

Applies To

OPTION


SHAPE=

SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE

Specifies the type of shape used in the image map.

Each shape causes the coords attribute to take a different set of values. The table below describes the relationship:

RECT | Rectangle. Takes four coordinates: x1, y1, x2, and y2.
RECTANGLE | Rectangle. Takes four coordinates: x1, y1, x2, and y2.
CIRC | Circle. Takes three coordinates: centerx, centery, and radius.
CIRCLE | Circle. Takes three coordinates: centerx, centery, and radius.
POLY | Polygon. Takes three or more pairs of coordinates denoting a polygonal region.
POLYGON | Polygon. Takes three or more pairs of coordinates denoting a polygonal region.

Applies To

AREA


SIZE=

SIZE=string

Sets the height of the HR element in pixels.

Applies To

HR


SIZE=

SIZE=variant

Specifies the size of the control.

For the input tag, the size is in characters. For the select tag, when the size is specified, it represents a list box with the specified number of rows.

Applies To

INPUT, SELECT


SIZE=

SIZE=string

Specifies font size between 1 and 7 (7 is largest).

When used with the BASEFONT tag, throughout the document, relative font size settings -- for example, <FONT SIZE=+3> -- are set according to this value.

Applies To

BASEFONT, FONT


SPAN=

SPAN=integer

Specifies how many columns are in the group.

This attribute should be ignored if the COLGROUP element contains one or more COL elements. The purpose of this attribute is to provide a more convenient way of grouping columns without the need to specify COL elements.

Applies To

COL, COLGROUP


SRC=

SRC=string

Specifies a URI for the associated file.

Applies To

APPLET, EMBED, FRAME, HR, IFRAME, IMG, UL


SRC=

SRC=string

Specifies the URI of a sound to be played.

Applies To

BGSOUND


SRC=

SRC=string

Specifies an external file that contains the source code.

A script can contain an external reference as well as code within the block. The code specified by src precedes the code contained within the document.

Applies To

SCRIPT


START=

START=string

Specifies the starting number for a list.

Applies To

OL


START=

START=FILEOPEN | MOUSEOVER

For video clips: specifies when the file should start playing.

FILEOPEN The video starts as soon as it is finished loading.

MOUSEOVER The video starts when the mouse goes over the animation..

Applies To

IMG


STYLE=

STYLE=string

Specifies an in-line style sheet for the tag.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, NOFRAMES, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


TABINDEX=

TABINDEX=integer

Sets the tabindex for the object.

Tab selection order is determined by the value of tabIndex as follows:

First all elements with TABINDEX > 0 are selected in increasing tabIndex order, or in source order for duplicate TABINDEX values

Next all elements with tabIndex = 0, or without tabIndex set, in source order if more than one.

Elements with tabIndex = -1 are omitted from tab selection.

Applies To

INPUT, OBJECT, SELECT, TEXTAREA


TARGET=

TARGET=string

Specifies the window or frame to target the contents at.

Special Target Values |
_blank | Specifies to load the link into a new blank window. This window is not named.
_parent | Specifies to load the link into the immediate parent of the document the link is in.
_self | Specifies to load the link into the same window the link was clicked in.
_top | Specifies to load the link into the full body of the window.

If there is no frame or window that matches the specified target, a new window is opened for the link.

The default value for target depends upon the URL and site. If the user does not leave the site, the default is _self, but if the user exits to a new site, the default is _top.

Applies To

A, AREA, BASE, FORM, LINK


TEXT=

TEXT=color

Sets the color of text on the page. The color can be any one of the color names or values in Color Values.

Applies To

BODY


TITLE=

TITLE=string

The Title attribute is used to provide advisory information. The title is rendered on elements within the document as a tooltip.

The Title attribute is useful for at least two reasons. The HTML user agent may display the title of the document prior to retrieving it, for example, as a margin note or on a small box while the mouse is over the anchor, or while the document is being loaded. Another reason is that documents that are not marked up text, such as graphics, plain text and Gopher menus, do not have titles. The TITLE attribute can be used to provide a title to such documents. When using the TITLE attribute, the title should be valid and unique for the destination document.

Applies To

A, APPLET, FRAME, IFRAME, INPUT, OBJECT, SELECT, TEXTAREA, ADDRESS, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, META, NOBR, NOFRAMES, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP


TITLE=

TITLE=string

Specifies the style sheet title. Style sheets having the same title are grouped and applied to the document as if a single style sheet.

When no title is given, the style sheet is applied to the document by default.

Applies To

STYLE


TOPMARGIN=

TOPMARGIN=string

Specifies the margin for the top of the page and overrides the default margin.

If set to "", the margin will be exactly on the top edge.

Applies To

BODY


TRUESPEED=

TRUESPEED=string

This feature will always compute the true position of the marquee given the scrolldelay scrollamount and the actual time elapsed from the last clock tick.

When set to false, the marquee computes movement based on 60ms ticks of the clock: setting scrolldelay=6, and scrollamount=10 will advance the marquee 10 pixels every 60ms. For every scrolldelay value under 60, this amount is essentially ignored, and the marquee advances the amount of scrollamount each 60ms. When truespeed is set to true, the marquee will advance the pixel value of scrollamount per the number of milliseconds set for scrolldelay: in the previous example, the marquee would advance 10 pixels for every 6ms with truespeed set to true.

Applies To

MARQUEE


TYPE=

TYPE=1 | A | a | I | i

Changes the style of the list.

  1. Use numbers.

    A Use large letters.

    a Use small letters.

    I Use large roman numerals.

    i Use small roman numerals.

Applies To

LI, OL, UL


TYPE=

TYPE=BUTTON

Returns the CSS language that the style sheet is defined in.

BUTTON Command Button.

Applies To

STYLE


TYPE=

TYPE=string

Specifies the MIME type for the associated scripting engine.

Applies To

OBJECT


TYPE=

TYPE=CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD | RADIO | RESET | SELECT-MULTIPLE | SELECT-ONE | SUBMIT | TEXT | TEXTAREA

Specifies the type of intrinsic control.

CHECKBOX Used for simple Boolean attributes or for attributes that can take multiple values at the same time. It is represented by a number of check box fields, each of which has the same name. Each selected check box generates a separate name/value pair in the submitted data, even if this results in duplicate names. The default value for check boxes is on .

FILE A file upload element.

HIDDEN No field is presented to the user, but the content of the field is sent with the submitted form. This value can be used to transmit state information about client/server interaction.

IMAGE An image field which you can click, causing the form to be immediately submitted. The coordinates of the selected point are measured in pixel units from the upper-left corner of the image, and are returned (along with the other contents of the form) in two name/value pairs. The x-coordinate is submitted under the name of the field with .x appended, and the y-coordinate is submitted under the name of the field with .y appended. Any VALUE= attribute is ignored. The image itself is specified by the SRC= attribute, exactly as for the Image element.

PASSWORD The same as the TEXT attribute, except that text is not displayed as the user enters it.

RADIO Used for attributes that accept a single value from a set of alternatives. Each radio-button field in the group should be given the same name. Only the selected radio button in the group generates a name/value pair in the submitted data. Radio buttons require an explicit VALUE attribute.

RESET RESET is a button that when pressed resets the form's fields to their specified initial values. The label to be displayed on the button may be specified just as for the SUBMIT button.

SELECT-MULTIPLE Specifies a multiple select list box.

SELECT-ONE Specifies a single-select list box.

SUBMIT SUBMIT is a button that when pressed submits the form. You can use the VALUE= attribute to provide a non- editable label to be displayed on the button. The default label is application-specific. If a SUBMIT button is pressed in order to submit the form, and that button has a NAME= attribute specified, then that button contributes a name/value pair to the submitted data. Otherwise, a SUBMIT button makes no contribution to the submitted data.

TEXT Used for a single-line text-entry field. Use in conjunction with the SIZE= and MAXLENGTH= attributes.

TEXTAREA Used for multiple-line text-entry fields. Use in conjunction with the SIZE= and MAXLENGTH= attributes.

Applies To

INPUT


TYPE=

TYPE=BUTTON | RESET | SUBMIT

The author can define a button that will have UI that indicates default for the ENTER key (a dark border), and a button that will have default behavior for the ESC key.

BUTTON Command Button.

RESET RESET is a button that when pressed resets the form's fields to their specified initial values. The label to be displayed on the button may be specified just as for the SUBMIT button.

SUBMIT SUBMIT is a button that when pressed submits the form. You can use the VALUE= attribute to provide a non- editable label to be displayed on the button. The default label is application-specific. If a SUBMIT button is pressed in order to submit the form, and that button has a NAME= attribute specified, then that button contributes a name/value pair to the submitted data. Otherwise, a SUBMIT button makes no contribution to the submitted data.

Default key bindings will exist for:
<linput type=submit> - Enter key
<button type=submit> - Enter key
<button type=reset> - ESC key
<input type=reset >- ESC key

Default behavior is scoped to the form, or the document - if the focus is in the form, only the submit button within that form has a bold border and will fire a click event if ENTER is hit. (or in the case of ESC, the reset button within the form would fire a click event) If focus is on the document, only the default button on the document (if, of course, there is one) will appear with a bold border - and if the user hits ENTER, the default button for the document will fire a click event. And with focus on the document the ESC key will fire the onclick handler for a reset button that exists on the document.

Applies To

BUTTON


URL=

URL=string

If a URL is specifies, the URL will be loaded after the specified time has elapsed.

Applies To

META


URN=

URN=string

If present, the URN attribute specifies a uniform resource name (URN) for a target document. The format of URNs is under discussion (1994) by various working groups of the Internet Engineering Task Force.

Applies To

A


USEMAP=

USEMAP=string

Identifies the picture as a client-side image map and specifies a MAP to use for acting on the user's clicks.

Applies To

IMG


VALIGN=

VALIGN=BASELINE | BOTTOM | MIDDLE | TOP

Displays the elements aligned at the top or bottom within the element.

BASELINE Vertical align to the baseline of the font.

BOTTOM

MIDDLE

TOP

Applies To

COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, TR


VALIGN=

VALIGN=BOTTOM | TOP

Specifies whether the caption appears at the top or bottom.

BOTTOM

TOP

Applies To

CAPTION


VALUE=

VALUE=string

For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on

On a submit button, if the value is not specified, the caption defaults to "Submit". On a reset button, if the value is not specified, the caption defaults to "Reset".

Applies To

INPUT, OPTION


VALUE=

VALUE=variant

Changes the count of ordered lists as they progress.

Applies To

LI


VLINK=

VLINK=color

The color of shortcuts that have already been visited. The color can be any one of the color names or values in Color Values.

Applies To

BODY


VOLUME=

VOLUME=string

To be provided

Applies To

BGSOUND


VRML=

VRML=string

Embeds VRML worlds. This requires the Virtual Explorer plug-in to be installed.

Applies To

IMG


VSPACE=

VSPACE=string

Along with HSPACE=, specifies margins for the element.

Similar to BORDER=, except the margins are not painted with color when the element is a hyperlink.

Applies To

APPLET, IFRAME, IMG, MARQUEE


WIDTH=

WIDTH=string

Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.

The width attribute on an IMG allows the size of the image to be defined in advance to speed up the rendering of the page.

Applies To

FRAME, EMBED, MARQUEE, IFRAME, IMG, OBJECT, TABLE


WRAP=

WRAP=OFF | PHYSICAL | VIRTUAL

Specifies how to handle word-wrapping in the textarea.

OFF Word-wrapping is disabled. The lines appear exactly as the user types them.

PHYSICAL The text is displayed and submitted word-wrapped.

VIRTUAL The text is displayed word-wrapped but is submitted as typed.

The default is that word-wrapping is turned off.

Applies To

TEXTAREA


Reference

For additional details, see W3C Recommendation for Cascading Style Sheets and W3C Working Draft on Positioning HTML with Cascading Style Sheets.


background Attribute

{ background: transparent| <color> || <url> || <repeat> || <scroll> || <position>}

'background' describes the background of an element.

This attribute is not inherited.

Settings

Background can be any one of the below

  • one color

  • two colors which will be blended according to the 'bg-blend-direction' property an image pointed to by a URI, possibly combined with one color or two blended colors

  • transparent

Corresponding examples:

BODY { background: red } /* one color */

h3 { background: blue / red } /* blend two colors */

BODY { background: "chess.png" black / white } /* img + color combo */

P { background: transparent }

This property does not inherit, but the parent element's background will shine through by default due to the initial transparent value.

If an image is found through the URI, it will be overlaid on top of any color specified. The color (or color combination) is used:

  • to fill transparent regions of an image

  • while loading the image from the URI

  • if no URI is specified

<repeat>

Value: repeat | repeat-x | repeat-y | no-repeat Initial: repeat scroll

By default, the background image is repeated both in the x and y direction.

BODY { background: http://style.com/marble.png repeat-x }

BODY { bg-style: repeat-y }

<scroll>

Value: scroll | fixed Initial: scroll

This property describes how the background image should be laid out. By default, the image is scrolled along with the other content. A 'fixed' background is fixed with regard to the canvas.

BODY { bg-style: repeat-x }

BODY { bg-style: repeat-x scroll }

<position>

Value: <percentage> | <length> | left | center | right [ <percentage> | <length> | top | middle | bottom]? Initial: 0% 0%

The property describes the initial position of a background image specified with the 'background' property. If only one value is given, it sets both the horizontal and vertical offset of the background image. If two values are given, the horizontal position comes first.

With a value pair of '0% 0%', the upper left corner of the image is placed in the upper left corner of the element. A value pair of '100% 100%' places the lower right corner of the image in the lower right corner of the element. With a value pair of '14% 84%', the point 14% across and 84% down the image is to be placed at the point 14% across and 84% down the element.

If the background image is fixed with regard to the canvas (a possible value of 'bg-style'), the images are placed relative to the canvas instead of the element. E.g.:

BODY {

background: url(logo.png) fixed 100% 100%;

}

In the example above, the image is placed in the lower right corner of the canvas.

The keyword values are defined as follows:

left = 0%

center = 50%

right = 100%

top = 0%

middle = 50%

bottom = 100%


background-attachment Attribute

{ background-attachment: scroll| fixed}

If a background image is specified, the value of ''background-attachment' determines if it is fixed with regard to the canvas or if it scrolls along with the content.

This attribute is not inherited.


background-color Attribute

{ background-color: <color> | transparent}

This property sets the background color of an element.

This attribute is not inherited.


background-image Attribute

{ background-image: <url> | none}

This property sets the background image of an element.

This attribute is not inherited.


background-position Attribute

{ background-position: [<position> | <length>]{1,2} | [top | center | bottom] || [left | center | right]}

If a background image has been specified, the value of 'background-position' specifies its initial position.

This attribute is not inherited.


background-repeat Attribute

{ background-repeat: repeat| repeat-x | repeat-y | no-repeat}

If a background image is specified, the value of 'background-repeat' determines how/if the image is repeated.

This attribute is not inherited.


border Attribute

{ border: <border-width> || <border-style> || <color>}

This attribute specifies the border to display around the element. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-bottom Attribute

{ border-bottom: <border-bottom-width> || <border-style> || <color>}

This attribute specifies the bottom border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-bottom-color Attribute

{ border-bottom-color: <color>}

This property sets the color of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-bottom-style Attribute

{ border-bottom-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-bottom-width Attribute

{ border-bottom-width: thin | medium| thick | <length>}

This property sets the width of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-color Attribute

{ border-color: <color>{1,4}}

This property sets the color of the four borders. Supported on block and replaced elements only.

This attribute is not inherited.


border-left Attribute

{ border-left: <border-left-width> || <border-style> || <color>}

This attribute sets the left border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-left-color Attribute

{ border-left-color: <color>}

This property sets the color of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-left-style Attribute

{ border-left-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-left-width Attribute

{ border-left-width: thin | medium| thick | <length>}

This property sets the width of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right Attribute

{ border-right: <border-right-width> || <border-style> || <color>}

This attribute sets the right border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-right-color Attribute

{ border-right-color: <color>}

This property sets the color of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right-style Attribute

{ border-right-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right-width Attribute

{ border-right-width: thin | medium| thick | <length>}

This property sets the width of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-style Attribute

{ border-style: none| dotted | dashed | solid | double | groove | ridge | inset | outset}

This property sets the style of the for borders. Supported on block and replaced elements only.

This attribute is not inherited.


border-top Attribute

{ border-top: <border-top-width> || <border-style> || <color>}

This attribute describes top border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-top-color Attribute

{ border-top-color: <color>}

This property sets the color of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-top-style Attribute

{ border-top-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-top-width Attribute

{ border-top-width: thin | medium| thick | <length>}

This property sets the width of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-width Attribute

{ border-width: [thin | medium | thick | <length>]{1,4}}

This property is a shorthand property for setting 'border-width-top', 'border-width-right', 'border-width-bottom', and 'border-width-left' at the same place in the style sheet. Supported on block and replaced elements only.

This attribute is not inherited.


clear Attribute

{ clear: none| left | right | both}

Specifies if elements allow floating elements (normally images) to the left or right. More specifically, the value of this property lists the sides where floating elements are not accepted. With 'clear' set to 'left', an element will be moved below any floating element on the left side. With 'clear' set to 'none', floating elements are allowed on all sides. For example:

h3 { clear: left }

This attribute is not inherited.


clip Attribute

{ clip: <shape> | auto }

Specifies which part of the element is visible. Any part of an element that is outside the clip area is transparent.

The shape can be:
rect (<top> <right><bottom> <left>)
where <top>, <right>, <bottom>, and <left> specify either auto or a length value.

This attribute is not inherited.


color Attribute

{ color: <color>}

This property describes the text color of an element, i.e. the "foreground" color.

This attribute is inherited.

Settings

There are different ways to specify red:

EM { color: red } /* natural language / CNS */

EM { color: #F00 } /* #RGB */

EM { color: #FF0000 } /* #RRGGBB */

EM { color: rgb 1.0 0.0 0.0 } /* float range: 0.0 - 1.0 */


cursor Attribute

{ cursor: auto | crosshair | default | hand | move | e-resize | ne-resize | nw-resize | n-resize | se-resize | sw-resize | s-resize | w-resize| text | wait | help}

Specifies the type of cursor to be displayed for the mouse pointer.

auto

The UA determines the cursor to display based on the current context.

crosshair

a simple crosshair

default

The platform-dependent default cursor. Usually an arrow.

hand

A hand

move

indicates something is to be moved

*-resize

indicates that the edge is to be moved

text

Used to indicate editable text. Usually an I-bar.

wait

A cursor to indicate that the program is busy and the user should wait. Usually a watch or hourglass.

This attribute is inherited.


display Attribute

{ display: none}

Indicates whether an element is rendered. If set to "none", the element is not rendered. If set to "", the element is rendered. The default value is "". In contrast to the Visibility attribute, if the value is set to "none", no space is reserved for the element on the screen.

For values other than 'none', the element will display with its normal display type.

This attribute is not inherited.


float Attribute

{ float: left | right | none}

Specifies whether the object floats, causing text to flow around it.

This attribute is not inherited.

Settings

With the value 'none', the element will be displayed where it appears in the text. With a value of 'left' ('right') the margin properties will decide the horizontal positioning of the image and the text will float on the right (left) side of the image. With a a value of 'left' or 'right', the element is treated as block-level (i.e. the 'display' property is ignored)


font Attribute

{ font: [ <font-style> || <font-variant> || <font-weight> ]? <font-size> [ / <line-height> ]? <font-family>}

Defines the font attributes.

This attribute is inherited.


@font-face Attribute

@font-face { font-family: <font-family> ; url(<URL>); }

Specifies a font to embed into your HTML document. This feature allows you to use specific fonts that might not be available on your local system. The URL should point to an embedded OpenType file (.eot or .ote format). The file contains compressed, subsetted font data that is converted to a TrueType font and installed by T2embed.dll.

The example below shows how to embed a font in an HTML document by referencing its source from another site.

<html>

<head>

<style>

@font-face {font-family:comic;

src:url(http://axtest/tritest/beta2styles/fonts/comicbold.eot);}

</style>

<title>Font embedding using the @font-face</title>

</head>

<body>

<p style="font-family:comic;font-size:18pt">this line uses @font face defined in the above style element section using comic sans ms bold in 18pt.</p>

</body>

</html>

The following example uses an in-line style.

<html>

<head>

<title>Font embedding using the @font-face</title>

<body>

<p style="@font-face comic{src:url(http://axtest/tritest/beta2styles/fonts/comicbold.eot);} this is an in-line style example of the @font face attribute using comic sans ms bold font.

</body>

</html>

Another example uses the STYLE element to combine several style sheets.

<STYLE>

@import url(http://somepartialstylesheet);

@import url(http://someotherstylesheet);

h3 {color:yellow}

</STYLE>


font-family Attribute

{ font-family: [[ <family-name> | <generic-family> ] , ]* [ <family-name> | <generic-family> ]}

Sets the font-family.

This attribute is inherited.

Settings

The value is a prioritized list of font family names and/or generic family names. List items are separated by white space. If the font family name contains white space, it should be quoted with single or double quotes.

In level 1, the following generic families are defined:

'serif' (e.g. Times)

'sans-serif' (e.g. Helvetica)

'cursive' (e.g. Zapf-Chancery)

'fantasy' (e.g. Western)

'monospace' (e.g. Courier)

Style sheet writers are encouraged to offer a generic font family at the end of the list:

BODY { font-family: univers helvetica sans-serif }

BODY { font-family: 'new century schoolbook' serif }

BODY { font-family: "Bill's own font" fantasy }

Ideally, the style sheet designer should specify only one font, and the font manager should return the best alternative (perhaps by taking visual similarity, visual quality and performance into account). Unfortunately, current rendering environments do not offer this level of service, and it is beyond the style sheet mechanism to do so. Therefore, a prioritized list of alternative families can be supplied. This practice poses one problem: the UA must be able to determine if a font selection has been successful or not to know how far it should proceed in the list. One example: if the style sheet asks for 'univers' and the window system is smart enough to suggest 'helvetica' (which looks almost identical) as a replacement, is this a success or failure? This specification leaves the answer undefined for now.


font-size Attribute

{ font-size: [xx-large | x-large | large | medium | small | x-small | xx-small] | [larger | smaller] | <percentage> | <length>}

Specifies the font size.

This attribute is inherited.

Settings

Refer to the CSS1 specification for details on font-size.


font-style Attribute

{ font-style: normal| italic | oblique}

Sets the font style.

IE currently only supports italic | normal.

This attribute is inherited.

Settings

Legal combinations of the values are:

  • one of the four values

  • 'italic' or 'oblique', combined with 'small-caps'

If the preferred font style cannot be accomplished, the UA should make best efforts to find acceptable substitutions. Often, an 'oblique' font can be substituted by an 'italic' font. If 'small-caps' are not available, capital letters of a smaller font size can be used to render small characters if the resolution of the output medium is appropriate for this.

h3, H2, H3 { font-style: small-caps italic }

h3 EM { font-style: italic }

In the example above, emphasized text within 'h3' will appear in normal lower-case italic.


font-variant Attribute

{ font-variant: normal| small-caps}

Sets a font variation, such as small caps.

This attribute is inherited.


font-weight Attribute

{ font-weight: normal| bold | bolder | lighter | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900}

Sets the weight (boldness) of the text.

IE currently only supports normal | bold.

This attribute is inherited.

Settings

If the value is a number, it is interpreted relative to the parent element's weight. A value of '1' suggests two jumps in the table corresponding to the keywords.

P { font-weight: medium }

B { font-weight: +1 } /* the '+' is optional */

In the example above, 'B' elements will be two table position "bolder" than their parent. If they are children of an 'P' element, the resulting value is 'bold'. Non-integer font weights are allowed.

If the desired font weight is not available, the UA selects an approximation strategy.


height Attribute

{ height: <length> | auto}

This property can be applied to text, but it is most useful with inline images and similar insertions. The height is to be enforced by scaling the image if necessary. When scaling, the aspect ratio of the image should be preserved if the 'width' property is 'auto'.

This attribute is not inherited.


@import Attribute

@import url (<URL>);

Specifies a style sheet to import. The statement must occur at the start of a style sheet, before any declarations.

Rules in the style sheet override rules in the imported style sheet.


left Attribute

{ left: <length> | <percentage> | auto}

Sets the left position when in a positioned element.

This attribute is not inherited.


letter-spacing Attribute

{ letter-spacing: normal| <length>}

The length unit indicates an addition to the default space between characters.

This attribute is inherited.

Settings

Values can be negative, but there may be implementation-specific limits. The UA is free to select the exact spacing algorithm. The letter spacing may also be influenced by justification (which is a value of the 'align' property).

BLOCKQUOTE { letter-spacing: 0.1em }

Here, the word-spacing between each character in 'BLOCKQUOTE' elements would be increased with '0.1em'.


line-height Attribute

{ line-height: normal| <number> | <length> | <percentage>}

The property refers to the distance between two adjacent lines' baselines.

This attribute is inherited.

Settings

If there is more than one element on a formatted line, the maximum 'line-height' will apply. One should therefore be careful when setting 'line-height' on inline elements.

Negative values are not allowed.

DIV { line-height: 1.2%; font-size: 10pt } /* number */

DIV { line-height: 1.2em; font-size: 10pt } /* length */

DIV { line-height: 120%; font-size: 10pt } /* percentage */

The three rules in the above example are identical. If the value is set to 'normal', the line-height is set to a reasonable value for the element's font. It is recommended that the 'normal' value be set between 1.0 and 1.2.


list-style Attribute

{ list-style: <keyword> || <position> || <url>}

This property can be set on any element, and it will inherit normally down the tree. However, the 'list-style' will only be displayed on elements with a 'display' value of 'list-item'. In HTML this is typically the case for the 'LI' element.

The 'list-style' property is a shorthand notation for setting the three properties 'list-style-type', 'list-style-image', and 'list-style-position' at the same place in the style sheet.

This attribute is inherited.

Settings

If no type is specified, the default is disc and the default position is outside.


list-style-image Attribute

{ list-style-image: <url> | none}

This property sets the image that will be used as the list-item marker. When the image is available it will replace the marker set with the 'list-style-type' marker.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


list-style-position Attribute

{ list-style-position: inside | outside}

The value of 'list-style-position' determines how the list-item marker is drawn with regard to the content.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


list-style-type Attribute

{ list-style-type: disk| circle | square | decimal | lower-roman | upper-roman | lower-alpha | upper-alpha | none}

This property is used to determine the appearance of the list-item marker if 'list-style-image' is 'none' or if the image pointed to by the URL cannot be displayed.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


margin Attribute

{ margin: [ <length> | <percentage> | auto ] {1,4}}

Allows all four margins to be specified with a single attribute. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

The values specify the margins in the following order: top,right,bottom, left.


margin-bottom Attribute

{ margin-bottom: [ <length> | <percentage> | auto ]}

Specifies the bottom-margin for the text block. Supported on block and replaced elements only.

This attribute is not inherited.


margin-left Attribute

{ margin-left: [ <length> | <percentage> | auto ]}

Specifies the left-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


margin-right Attribute

{ margin-right: [ <length> | <percentage> | auto ]}

Specifies the right-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


margin-top Attribute

{ margin-top: [ <length> | <percentage> | auto ]}

Specifies the top-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


overflow Attribute

{ overflow: none | clip | scroll}

This attribute is not inherited.


padding Attribute

{ padding: [ <length> | <percentage> ] {1,4}}

The property describes how much space to insert between the border and the content (e.g. text or image). The order is top, right, bottom, left. If there is only one value, it applies to all sides, if there are two or three, the missing values are taken from the opposite side.

Supported on block and replaced elements only.

This attribute is not inherited.


padding-bottom Attribute

{ padding-bottom: <length> | <percentage>}

This property sets the bottom padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-left Attribute

{ padding-left: <length> | <percentage>}

This property sets the left padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-right Attribute

{ padding-right: <length> | <percentage>}

This property sets the right padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-top Attribute

{ padding-top: <length> | <percentage>}

This property sets the top padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


page-break-after Attribute

{ page-break-after: }

To be provided.

This attribute is not inherited.


page-break-before Attribute

{ page-break-before: }

To be provided.

This attribute is not inherited.


position Attribute

{ position: absolute | relative | static}

Specifies whether the element can be positioned. When set to relative, the object is placed relative to its parent object. When set to absolute, it is placed relative to the document.

<DIV align=center> Hello

<SPAN Style="position:relative; top:100; left:100"> World </SPAN>

</DIV>

The word "Hello" will be placed in the center of the screen. The word "World" will be placed down 100 and right 100 relative to the word "Hello".

This attribute is not inherited.


text-align Attribute

{ text-align: left | right | center | justify}

This property describes how text is aligned within the element. The actual justification algorithm used is UA and human language dependent.

This attribute is inherited.

Settings

Example

DIV.center { text-align: center }

Since this property inherit, all block-level elements inside the 'DIV' element with 'CLASS=center' will be centered. Note that alignments are relative to the width of the element, not the canvas.


text-decoration Attribute

{ text-decoration: none| [ underline || overline || line-through || blink ]}

This property describes decorations that are added to the text of an element.

This attribute is not inherited.

Settings

If the element has no text (e.g. the IMG element in HTML) or is an empty element (e.g. "<EM></EM>"), this property has no effect.

Formatters should treat unknown values as 'box', which should be rendered as a simple rectangle around the element. If the element is 'inline' and spans several lines, the UA is free to render several boxes, possibly with omitted edges.

If more than one color is required, e.g. for the 'box', the other colors should be based on the text color.

This property is not inherited, but children elements should match their ancestor. E.g., if an element is underlined, the line should span the child elements. The color of the underlining will remain the same even if descendant elements have different 'color' values.

A:link, A:visited, A:active { text-decoration: underline }

The example above would underline the text of all active links.


text-indent Attribute

{ text-indent: <length> | <percentage>}

The property specifies indent that appears before the first formatted line. 'text-indent' may be negative. An indent is not inserted in the middle of an element that was broken by another (such as 'BR' in HTML).

This attribute is inherited.

Settings

Example

P { text-indent: 3em }


text-transform Attribute

{ text-transform: capitalize | uppercase | lowercase | none}

Transforms the text.

This attribute is inherited.

Settings

The actual transformation in each case is human language and UA dependent.

h3 { text-transform: uppercase }

The example above would put 'h3' elements in uppercase text.


top Attribute

{ top: <length> | <percentage> | auto}

Sets or Returns the top position for elements that are positioned absolutely or relatively

This attribute is not inherited.


vertical-align Attribute

{ vertical-align: baseline| sub | super | top | text-top | middle | bottom | text-bottom | <percentage>}

The property affects the vertical positioning of the element.

This attribute is not inherited.

Settings

One set of keywords is relative to the parent element:

  • baseline

  • middle

  • sub

  • super

  • text-top

  • text-bottom

Another set of properties are relative to the formatted line that the element is a part of:

  • top

  • bottom

Using the 'top' and 'bottom' alignment, unsolvable situations can occur where element dependencies form a loop.

Percentage values refer to the 'line-height' of the element itself. E.g., a value of '-100%' will lower the element to where the baseline of the next line should have been.

The 'first-letter' pseudo-element has a special interpretation of a negative value on 'vertical-align': the letter is "dropped" into the element.

Example

SPAN.subscript { vertical-align: sub }


visibility Attribute

{ visibility: visible | hidden | inherit}

This attribute is not inherited.


width Attribute

{ width: <length> | <percentage> | auto}

This property can be applied to text elements, but it is most useful with inline images and similar insertions. The width is to be enforced by scaling the image if necessary. When scaling, the aspect ratio of the image should be preserved if the 'height' property is 'auto'.

This attribute is not inherited.


z-index Attribute

{ z-index: number}

Specifies the z-index for the element. Positive z-index is above the text, negative z-index is rendered below the text.

This attribute is not inherited.


The :link, :visited, and :active Pseudo-Classes

The :link, :visited, and :active pseudo-classes let you set the style of A elements based on the current state of the links. In a selector, you use these pseudo-classes with the A element in the same way you would use class identifiers.

A:link { color: red } /* unvisited link */

A:visited { color: blue } /* visited links */

Unlike class identifiers, you do not use the pseudo-classes with the CLASS= attribute. Instead, the browser automatically interprets which pseudo-class to use based on the state of the link.

You can combine pseudo-classes with normal classes.

A.external:visited { color: blue }

If the URL specified by an A element having the external class (defined above) has been visited, it displays in blue. Note that normal class identifiers must precede the pseudo-class in the selector.

You can apply pseudo-classes to nested element names, just as with class identifiers.

A:link IMG { border: solid blue }

Using pseudo-classes on elements other than the A element has no effect.


Unsupported CSS Attributes

Internet Explorer 4.0 does not support the following CSS attributes.

word-spacing

!important

first-letter pseudo

first-line pseudo

white-space


HTML Character Sets

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Microsoft® Internet Explorer interprets the bytes in your document according to the applied character set translations. It interprets numeric character references ("&#12345;") as ISO10646 code points, consistent with the Unicode Standard, version 2.0, and independent of the chosen character set. Named entities ("&") are displayed independently of the chosen character set as well.

The display of an arbitrary numeric character reference requires the existence of a font that is able to display that particular character on the user's system. Accordingly, the content in the first column of the following tables may not render as expected on all systems.


ISO Latin-1 Character Set

This document lists and displays the colors supported by Microsoft® Internet Explorer 4.0.

You can specify colors in two ways—by using a color name, or by using numbers to denote a red-green-blue (RGB) color value.

NAME | RGB Value | NAME | RGB Value
ALICEBLUE | #F0F8FF | ANTIQUEWHITE | #FAEBD7
AQUA | #00FFFF | AQUAMARINE | #7FFFD4
AZURE | #F0FFFF | BEIGE | #F5F5DC
BISQUE | #FFE4C4 | BLACK | #000000
BLANCHEDALMOND | #FFEBCD | BLUE | #0000FF
BLUEVIOLET | #8A2BE2 | BROWN | #A52A2A
BURLYWOOD | #DEB887 | CADETBLUE | #5F9EA0
CHARTREUSE | #7FFF00 | CHOCOLATE | #D2691E
CORAL | #FF7F50 | CORNFLOWER | #6495ED
CORNSILK | #FFF8DC | CRIMSON | #DC143C
CYAN | #00FFFF | DARKBLUE | #00008B
DARKCYAN | #008B8B | DARKGOLDENROD | #B8860B
DARKGRAY | #A9A9A9 | DARKGREEN | #006400
DARKKHAKI | #BDB76B | DARKMAGENTA | #8B008B
DARKOLIVEGREEN | #556B2F | DARKORANGE | #FF8C00
DARKORCHID | #9932CC | DARKRED | #8B0000
DARKSALMON | #E9967A | DARKSEAGREEN | #8FBC8B
DARKSLATEBLUE | #483D8B | DARKSLATEGREY | #2F4F4F
DARKTURQUOISE | #00CED1 | DARKVIOLET | #9400D3
DEEPPINK | #FF1493 | DEEPSKYBLUE | #00BFFF
DIMGRAY | #696969 | DODGERBLUE | #1E90FF
FIREBRICK | #B22222 | FLORALWHITE | #FFFAF0
FORESTGREEN | #228B22 | FUCHIA | #FF00FF
GAINSBORO | #DCDCDC | GHOSTWHITE | #F8F8FF
GOLD | #FFD700 | GOLDENROD | #DAA520
GRAY | #808080 | GREEN | #008000
GREENYELLOW | #ADFF2F | HONEYDEW | #F0FFF0
HOTPINK | #FF69B4 | INDIANRED | #CD5C5C
INDIGO | #4B0082 | IVORY | #FFFFF0
KHAKI | #F0E68C | LAVENDER | #E6E6FA
LAVENDERBLUSH | #FFF0F5 | LAWNGREEN | #7CFC00
LEMONCHIFFON | #FFFACD | LIGHTBLUE | #ADD8E6
LIGHTCORAL | #F08080 | LIGHTCYAN | #E0FFFF
LIGHTGOLDENRODYELLOW | #FAFAD2 | LIGHTGREEN | #90EE90
LIGHTGREY | #D3D3D3 | LIGHTPINK | #FFB6C1
LIGHTSALMON | #FFA07A | LIGHTSEAGREEN | #20B2AA
LIGHTSKYBLUE | #87CEFA | LIGHTSLATEGRAY | #778899
LIGHTSTEELBLUE | #B0C4DE | LIGHTYELLOW | #FFFFE0
LIME | #00FF00 | LIMEGREEN | #32CD32
LINEN | #FAF0E6 | MAGENTA | #FF00FF
MAROON | #800000 | MEDIUMAQUAMARINE | #66CDAA
MEDIUMBLUE | #0000CD | MEDIUMORCHID | #BA55D3
MEDIUMPURPLE | #9370DB | MEDIUMSEAGREEN | #3CB371
MEDIUMSLATEBLUE | #7B68EE | MEDIUMSPRINGGREEN | #00FA9A
MEDIUMTURQUOISE | #48D1CC | MEDIUMVIOLETRED | #C71585
MIDNIGHTBLUE | #191970 | MINTCREAM | #F5FFFA
MISTYROSE | #FFE4E1 | MOCCASIN | #FFE4B5
NAVAJOWHITE | #FFDEAD | NAVY | #000080
OLDLACE | #FDF5E6 | OLIVE | #808000
OLIVEDRAB | #6B8E23 | ORANGE | #FFA500
ORANGERED | #FF4500 | ORCHID | #DA70D6
PALEGOLDENROD | #EEE8AA | PALEGREEN | #98FB98
PALETURQUOISE | #AFEEEE | PALEVIOLETRED | #DB7093
PAPAYAWHIP | #FFEFD5 | PEACHPUFF | #FFDAB9
PERU | #CD853F | PINK | #FFC0CB
PLUM | #DDA0DD | POWDERBLUE | #B0E0E6
PURPLE | #800080 | RED | #FF0000
ROSYBROWN | #BC8F8F | ROYALBLUE | #4169E1
SADDLEBROWN | #8B4513 | SALMON | #FA8072
SANDYBROWN | #F4A460 | SEAGREEN | #2E8B57
SEASHELL | #FFF5EE | SIENNA | #A0522D
SILVER | #C0C0C0 | SKYBLUE | #87CEEB
SLATEBLUE | #6A5ACD | SLATEGRAY | #708090
SNOW | #FFFAFA | SPRINGGREEN | #00FF7F
STEELBLUE | #4682B4 | TAN | #D2B48C
TEAL | #008080 | THISTLE | #D8BFD8
TOMATO | #FF6347 | TURQUOISE | #40E0D0
VIOLET | #EE82EE | WHEAT | #F5DEB3
WHITE | #FFFFFF | WHITESMOKE | #F5F5F5
YELLOW | #FFFF00 | YELLOWGREEN | #9ACD32

Note These colors might not be compatible with other browsers.

An RGB color value consists of three two-digit hexadecimal numbers, with each number specifying the intensity of the corresponding color. For example, the color value #FF0000 is red because the red number is set to its highest value, FF (255 in the decimal, or base 10, system). Green and blue are set to zero. Similarly, #00FF00 is green and #0000FF is blue. The pound sign (#) is optional. In the following example, the HTML code displays a red horizontal rule.

<HR COLOR="#FF0000">

Although RGB color values theoretically allow for many thousands of colors, the actual number of colors available for your HTML document depends on the color capabilities of the devices the document will be viewed on. Many personal computers can display only 16 colors due to the type of video display adapter they use. Always choose colors carefully and, whenever possible, test your color choices on a variety of computers.

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Microsoft® Internet Explorer interprets the bytes in your document according to the applied character set translations. It interprets numeric character references ("&#12345;") as ISO10646 code points, consistent with the Unicode Standard, version 2.0, and independent of the chosen character set. Named entities ("&") are displayed independently of the chosen character set as well. The display of an arbitrary numeric character reference requires the existence of a font that is able to display that particular character on the user's system.

ISO Latin-1 Character Set

The following table contains the complete ISO Latin-1 character set, corresponding to the first 256 entries of the Unicode character repertoire in Internet Explorer 4.0. The table describes each character, its decimal code, and its named entity reference for HTML, and also provides a brief description.

Character | Decimal code | Named entity | Description
--- | &#00; | --- | Unused
--- | &#01; | --- | Unused
--- | &#02; | --- | Unused
--- | &#03; | --- | Unused
--- | &#04; | --- | Unused
--- | &#05; | --- | Unused
--- | &#06; | --- | Unused
--- | &#07; | --- | Unused
--- | &#08; | --- | Unused
--- | &#09; | --- | Horizontal tab
--- | &#10; | --- | Line feed
--- | &#11; | --- | Unused
--- | &#12; | --- | Unused
--- | &#13; | --- | Carriage Return
--- | &#14; | --- | Unused
--- | &#15; | --- | Unused
--- | &#16; | --- | Unused
--- | &#17; | --- | Unused
--- | &#18; | --- | Unused
--- | &#19; | --- | Unused
--- | &#20; | --- | Unused
--- | &#21; | --- | Unused
--- | &#22; | --- | Unused
--- | &#23; | --- | Unused
--- | &#24; | --- | Unused
--- | &#25; | --- | Unused
--- | &#26; | --- | Unused
--- | &#27; | --- | Unused
--- | &#28; | --- | Unused
--- | &#29; | --- | Unused
--- | &#30; | --- | Unused
--- | &#31; | --- | Unused
 | &#32; | --- | Space
! | &#33; | --- | Exclamation mark
" | &#34; | &quot; | Quotation mark
# | &#35; | --- | Number sign
$ | &#36; | --- | Dollar sign
% | &#37; | --- | Percent sign
& | &#38; | &amp; | Ampersand
' | &#39; | --- | Apostrophe
( | &#40; | --- | Left parenthesis
) | &#41; | --- | Right parenthesis
* | &#42; | --- | Asterisk
+ | &#43; | --- | Plus sign
, | &#44; | --- | Comma
- | &#45; | --- | Hyphen
. | &#46; | --- | Period (fullstop)
/ | &#47; | --- | Solidus (slash)
0 | &#48; | --- | Digit 0
1 | &#49; | --- | Digit 1
2 | &#50; | --- | Digit 2
3 | &#51; | --- | Digit 3
4 | &#52; | --- | Digit 4
5 | &#53; | --- | Digit 5
6 | &#54; | --- | Digit 6
7 | &#55; | --- | Digit 7
8 | &#56; | --- | Digit 8
9 | &#57; | --- | Digit 9
: | &#58; | --- | Colon
; | &#59; | --- | Semicolon
< | &#60; | &lt; | Less than
= | &#61; | --- | Equals sign
> | &#62; | &gt; | Greater than
? | &#63; | --- | Question mark
@ | &#64; | --- | Commercial at
A | &#65; | --- | Capital A
B | &#66; | --- | Capital B
C | &#67; | --- | Capital C
D | &#68; | --- | Capital D
E | &#69; | --- | Capital E
F | &#70; | --- | Capital F
G | &#71; | --- | Capital G
H | &#72; | --- | Capital H
I | &#73; | --- | Capital I
J | &#74; | --- | Capital J
K | &#75; | --- | Capital K
L | &#76; | --- | Capital L
M | &#77; | --- | Capital M
N | &#78; | --- | Capital N
O | &#79; | --- | Capital O
P | &#80; | --- | Capital P
Q | &#81; | --- | Capital Q
R | &#82; | --- | Capital R
S | &#83; | --- | Capital S
T | &#84; | --- | Capital T
U | &#85; | --- | Capital U
V | &#86; | --- | Capital V
W | &#87; | --- | Capital W
X | &#88; | --- | Capital X
Y | &#89; | --- | Capital Y
Z | &#90; | --- | Capital Z
[ | &#91; | --- | Left square bracket
\ | &#92; | --- | Reverse solidus (backslash)
] | &#93; | --- | Right square bracket
^ | &#94; | --- | Caret
_ | &#95; | --- | Horizontal bar (underscore)
` | &#96; | --- | Acute accent
a | &#97; | --- | Small a
b | &#98; | --- | Small b
c | &#99; | --- | Small c
d | &#100; | --- | Small d
e | &#101; | --- | Small e
f | &#102; | --- | Small f
g | &#103; | --- | Small g
h | &#104; | --- | Small h
i | &#105; | --- | Small i
j | &#106; | --- | Small j
k | &#107; | --- | Small k
l | &#108; | --- | Small l
m | &#109; | --- | Small m
n | &#110; | --- | Small n
o | &#111; | --- | Small o
p | &#112; | --- | Small p
q | &#113; | --- | Small q
r | &#114; | --- | Small r
s | &#115; | --- | Small s
t | &#116; | --- | Small t
u | &#117; | --- | Small u
v | &#118; | --- | Small v
w | &#119; | --- | Small w
x | &#120; | --- | Small x
y | &#121; | --- | Small y
z | &#122; | --- | Small z
{ | &#123; | --- | Left curly brace
| | &#124; | --- | Vertical bar
} | &#125; | --- | Right curly brace
~ | &#126; | --- | Tilde
 | &#127; | --- | Unused
€ | &#128; | --- | Unused
 | &#160; | &nbsp; | Nonbreaking space
¡ | &#161; | &iexcl; | Inverted exclamation
¢ | &#162; | &cent; | Cent sign
£ | &#163; | &pound; | Pound sterling
¤ | &#164; | &curren; | General currency sign
¥ | &#165; | &yen; | Yen sign
¦ | &#166; | &brvbar; or &brkbar; | Broken vertical bar
§ | &#167; | &&sect; | Section sign
¨ | &#168; | &&um; or &&die; | Diæresis / Umlaut
© | &#169; | &&copy; | Copyright
ª | &#170; | &&ordf; | Feminine ordinal
« | &#171; | &&laquo; | Left angle quote, guillemot left
¬ | &#172; | &&not | Not sign
 | &#173; | &shy; | Soft hyphen
® | &#174; | &reg; | Registered trademark
¯ | &#175; | &macr; or &hibar; | Macron accent
° | &#176; | &deg; | Degree sign
± | &#177; | &plusmn; | Plus or minus
² | &#178; | &sup2; | Superscript two
³ | &#179; | &sup3; | Superscript three
´ | &#180; | &acute; | Acute accent
µ | &#181; | &micro; | Micro sign
¶ | &#182; | &para; | Paragraph sign
· | &#183; | &middot; | Middle dot
¸ | &#184; | &cedil; | Cedilla
¹ | &#185; | &sup1; | Superscript one
º | &#186; | &ordm; | Masculine ordinal
» | &#187; | &raquo; | Right angle quote, guillemot right
¼ | &#188; | &frac14; | Fraction one-fourth
½ | &#189; | &frac12; | Fraction one-half
¾ | &#190; | &frac34; | Fraction three-fourths
¿ | &#191; | &iquest; | Inverted question mark
À | &#192; | &Agrave; | Capital A, grave accent
Á | &#193; | &Aacute; | Capital A, acute accent
Â | &#194; | &Acirc; | Capital A, circumflex
Ã | &#195; | &Atilde; | Capital A, tilde
Ä | &#196; | &Auml; | Capital A, diæresis / umlaut
Å | &#197; | &Aring; | Capital A, ring
Æ | &#198; | &AElig; | Capital AE ligature
Ç | &#199; | &Ccedil; | Capital C, cedilla
È | &#200; | &Egrave; | Capital E, grave accent
É | &#201; | &Eacute; | Capital E, acute accent
Ê | &#202; | &Ecirc; | Capital E, circumflex
Ë | &#203; | &Euml; | Capital E, diæresis / umlaut
Ì | &#204; | &Igrave; | Capital I, grave accent
Í | &#205; | &Iacute; | Capital I, acute accent
Î | &#206; | &Icirc; | Capital I, circumflex
Ï | &#207; | &Iuml; | Capital I, diæresis / umlaut
Ð | &#208; | &ETH; | Capital Eth, Icelandic
Ñ | &#209; | &Ntilde; | Capital N, tilde
Ò | &#210; | &Ograve; | Capital O, grave accent
Ó | &#211; | &Oacute; | Capital O, acute accent
Ô | &#212; | &Ocirc; | Capital O, circumflex
Õ | &#213; | &Otilde; | Capital O, tilde
Ö | &#214; | &Ouml; | Capital O, diæresis / umlaut
× | &#215; | &times; | Multiply sign
Ø | &#216; | &Oslash; | Capital O, slash
Ù | &#217; | &Ugrave; | Capital U, grave accent
Ú | &#218; | &Uacute; | Capital U, acute accent
Û | &#219; | &Ucirc; | Capital U, circumflex
Ü | &#220; | &Uuml; | Capital U, diæresis / umlaut
Ý | &#221; | &Yacute; | Capital Y, acute accent
Þ | &#222; | &THORN; | Capital Thorn, Icelandic
ß | &#223; | &szlig; | Small sharp s, German sz
à | &#224; | &agrave; | Small a, grave accent
á | &#225; | &aacute; | Small a, acute accent
â | &#226; | &acirc; | Small a, circumflex
ã | &#227; | &atilde; | Small a, tilde
ä | &#228; | &auml; | Small a, diæresis / umlaut
å | &#229; | &aring; | Small a, ring
æ | &#230; | &aelig; | Small ae ligature
ç | &#231; | &ccedil; | Small c, cedilla
è | &#232; | &egrave; | Small e, grave accent
é | &#233; | &eacute; | Small e, acute accent
ê | &#234; | &ecirc; | Small e, circumflex
ë | &#235; | &euml; | Small e, diæresis / umlaut
ì | &#236; | &igrave; | Small i, grave accent
í | &#237; | &iacute; | Small i, acute accent
î | &#238; | &icirc; | Small i, circumflex
ï | &#239; | &iuml; | Small i, diæresis / umlaut
ð | &#240; | &eth; | Small eth, Icelandic
ñ | &#241; | &ntilde; | Small n, tilde
ò | &#242; | &ograve; | Small o, grave accent
ó | &#243; | &oacute; | Small o, acute accent
ô | &#244; | &ocirc; | Small o, circumflex
õ | &#245; | &otilde; | Small o, tilde
ö | &#246; | &ouml; | Small o, diæresis / umlaut
÷ | &#247; | &divide; | Division sign
ø | &#248; | &oslash; | Small o, slash
ù | &#249; | &ugrave; | Small u, grave accent
ú | &#250; | &uacute; | Small u, acute accent
û | &#251; | &ucirc; | Small u, circumflex
ü | &#252; | &uuml; | Small u, diæresis / umlaut
ý | &#253; | &yacute; | Small y, acute accent
þ | &#254; | &thorn; | Small thorn, Icelandic
ÿ | &#255; | &yuml; | Small y, diæresis / umlaut


Additional Named Entities for HTML

Character | Named entity | Numeric character reference | Description
Latin Extended-B |  |  |
ƒ | &fnof | &#402; | latin small f with hook, =function, =florin, U0192 ISOtech
Greek |  |  |
Α | &Alpha | &#913; | greek capital letter alpha, U0391
Β | &Beta | &#914; | greek capital letter beta, U0392
Γ | &Gamma | &#915; | greek capital letter gamma, U0393 ISOgrk3
Δ | &Delta | &#916; | greek capital letter delta, U0394 ISOgrk3
Ε | &Epsilon | &#917; | greek capital letter epsilon, U0395
Ζ | &Zeta | &#918; | greek capital letter zeta, U0396
Η | &Eta | &#919; | greek capital letter eta, U0397
Θ | &Theta | &#920; | greek capital letter theta, U0398 ISOgrk3
Ι | &Iota | &#921; | greek capital letter iota, U0399
Κ | &Kappa | &#922; | greek capital letter kappa, U039A
Λ | &Lambda | &#923; | greek capital letter lambda, U039B ISOgrk3
Μ | &Mu | &#924; | greek capital letter mu, U039C
Ν | &Nu | &#925; | greek capital letter nu, U039D
Ξ | &Xi | &#926; | greek capital letter xi, U039E ISOgrk3
Ο | &Omicron | &#927; | greek capital letter omicron, U039F
Π | &Pi | &#928; | greek capital letter pi, U03A0 ISOgrk3
Ρ | &Rho | &#929; | greek capital letter rho, U03A1
Σ | &Sigma | &#931; | greek capital letter sigma, U03A3 ISOgrk3
Τ | &Tau | &#932; | greek capital letter tau, U03A4
Υ | &Upsilon | &#933; | greek capital letter upsilon, U03A5 ISOgrk3
Φ | &Phi | &#934; | greek capital letter phi, U03A6 ISOgrk3
Χ | &Chi | &#935; | greek capital letter chi, U03A7
Ψ | &Psi | &#936; | greek capital letter psi, U03A8 ISOgrk3
Ω | &Omega | &#937; | greek capital letter omega, U03A9 ISOgrk3
a | &alpha | &#945; | greek small letter alpha, U03B1 ISOgrk3
b | &beta | &#946; | greek small letter beta, U03B2 ISOgrk3
g | &gamma | &#947; | greek small letter gamma, U03B3 ISOgrk3
d | &delta | &#948; | greek small letter delta, U03B4 ISOgrk3
ε | &epsilon | &#949; | greek small letter epsilon, U03B5 ISOgrk3
ζ | &zeta | &#950; | greek small letter zeta, U03B6 ISOgrk3
η | &eta | &#951; | greek small letter eta, U03B7 ISOgrk3
θ | &theta | &#952; | greek small letter theta, U03B8 ISOgrk3
ι | &iota | &#953; | greek small letter iota, U03B9 ISOgrk3
κ | &kappa | &#954; | greek small letter kappa, U03BA ISOgrk3
λ | &lambda | &#955; | greek small letter lambda, U03BB ISOgrk3
μ | &mu | &#956; | greek small letter mu, U03BC ISOgrk3
ν | &nu | &#957; | greek small letter nu, U03BD ISOgrk3
ξ | &xi | &#958; | greek small letter xi, U03BE ISOgrk3
µn; | &omicron | &#959; | greek small letter omicron, U03BF NEW
p | &pi | &#960; | greek small letter pi, U03C0 ISOgrk3
ρ | &rho | &#961; | greek small letter rho, U03C1 ISOgrk3
ς | &sigmaf | &#962; | greek small letter final sigma, U03C2 ISOgrk3
σ | &sigma | &#963; | greek small letter sigma, U03C3 ISOgrk3
τ | &tau | &#964; | greek small letter tau, U03C4 ISOgrk3
υ | &upsilon | &#965; | greek small letter upsilon, U03C5 ISOgrk3
φ | &phi | &#966; | greek small letter phi, U03C6 ISOgrk3
χ | &chi | &#967; | greek small letter chi, U03C7 ISOgrk3
ψ | &psi | &#968; | greek small letter psi, U03C8 ISOgrk3
ω | &omega | &#969; | greek small letter omega, U03C9 ISOgrk3
ϑ | &thetasym | &#977; | greek small letter theta symbol, U03D1 NEW
ϒ | &upsih | &#978; | greek upsilon with hook symbol, U03D2 NEW
ϖ | &piv | &#982; | greek pi symbol, U03D6 ISOgrk3
General Punctuation |  |  |
• | &bull | &#8226; | bullet, =black small circle, U2022 ISOpub
… | &hellip | &#8230; | horizontal ellipsis, =three dot leader, U2026 ISOpub
′ | &prime | &#8242; | prime, =minutes, =feet, U2032 ISOtech
″ | &Prime | &#8243; | double prime, =seconds, =inches, U2033 ISOtech
‾ | &oline | &#8254; | overline, =spacing overscore, U203E NEW
⁄ | &frasl | &#8260; | fraction slash, U2044 NEW
Letterlike Symbols |  |  |
℘ | &weierp | &#8472; | script capital P, =power set, =Weierstrass p, U2118 ISOamso
ℑ | &image | &#8465; | blackletter capital I, =imaginary part, U2111 ISOamso
ℜ | &real | &#8476; | blackletter capital R, =real part symbol, U211C ISOamso
™ | &trade | &#8482; | trade mark sign, U2122 ISOnum
ℵ | &alefsym | &#8501; | alef symbol, =first transfinite cardinal, U2135 NEW
Arrows |  |  |
← | &larr | &#8592; | leftward arrow, U2190 ISOnum
↑ | &uarr | &#8593; | upward arrow, U2191 ISOnum
→ | &rarr | &#8594; | rightward arrow, U2192 ISOnum
↓ | &darr | &#8595; | downward arrow, U2193 ISOnum
↔ | &harr | &#8596; | left right arrow, U2194 ISOamsa
↵ | &crarr | &#8629; | downward arrow with corner leftward, =carriage return, U21B5 NEW
⇐ | &lArr | &#8656; | leftward double arrow, U21D0 ISOtech
⇑ | &uArr | &#8657; | upward double arrow, U21D1 ISOamsa
⇒ | &rArr | &#8658; | rightward double arrow, U21D2 ISOtech
⇓ | &dArr | &#8659; | downward double arrow, U21D3 ISOamsa
⇔ | &hArr | &#8660; | left right double arrow, U21D4 ISOamsa
Mathematical Operators |  |  |
∀ | &forall | &#8704; | for all, U2200 ISOtech
∂ | &part | &#8706; | partial differential, U2202 ISOtech
∃ | &exist | &#8707; | there exists, U2203 ISOtech
∅ | &empty | &#8709; | empty set, =null set, =diameter, U2205 ISOamso
∇ | &nabla | &#8711; | nabla, =backward difference, U2207 ISOtech
∈ | &isin | &#8712; | element of, U2208 ISOtech
∉ | &notin | &#8713; | not an element of, U2209 ISOtech
∋ | &ni | &#8715; | contains as member, U220B ISOtech
∏ | &prod | &#8719; | n-ary product, =product sign, U220F ISOamsb
∑ | &sum | &#8722; | n-ary sumation, U2211 ISOamsb
− | &minus | &#8722; | minus sign, U2212 ISOtech
∗ | &lowast | &#8727; | asterisk operator, U2217 ISOtech
√ | &radic | &#8730; | square root, =radical sign, U221A ISOtech
∝ | &prop | &#8733; | proportional to, U221D ISOtech
∞ | &infin | &#8734; | infinity, U221E ISOtech
∠ | &ang | &#8736; | angle, U2220 ISOamso
∧ | &and | &#8869; | logical and, =wedge, U2227 ISOtech
∨ | &or | &#8870; | logical or, =vee, U2228 ISOtech
∩ | &cap | &#8745; | intersection, =cap, U2229 ISOtech
∪ | &cup | &#8746; | union, =cup, U222A ISOtech
∫ | &int | &#8747; | integral, U222B ISOtech
∴ | &there4 | &#8756; | therefore, U2234 ISOtech
∼ | &sim | &#8764; | tilde operator, =varies with, =similar to, U223C ISOtech
≅ | &cong | &#8773; | approximately equal to, U2245 ISOtech
≈ | &asymp | &#8773; | almost equal to, =asymptotic to, U2248 ISOamsr
≠ | &ne | &#8800; | not equal to, U2260 ISOtech
≡ | &equiv | &#8801; | identical to, U2261 ISOtech
≤ | &le | &#8804; | less-than or equal to, U2264 ISOtech
≥ | &ge | &#8805; | greater-than or equal to, U2265 ISOtech
⊂ | &sub | &#8834; | subset of, U2282 ISOtech
⊃ | &sup | &#8835; | superset of, U2283 ISOtech
⊄ | &nsub | &#8836; | not a subset of, U2284 ISOamsn
⊆ | &sube | &#8838; | subset of or equal to, U2286 ISOtech
⊇ | &supe | &#8839; | superset of or equal to, U2287 ISOtech
⊕ | &oplus | &#8853; | circled plus, =direct sum, U2295 ISOamsb
⊗ | &otimes | &#8855; | circled times, =vector product, U2297 ISOamsb
⊥ | &perp | &#8869; | up tack, =orthogonal to, =perpendicular, U22A5 ISOtech
⋅ | &sdot | &#8901; | dot operator, U22C5 ISOamsb
Miscellaneous Technical |  |  |
⌈ | &lceil | &#8968; | left ceiling, =apl upstile, U2308, ISOamsc
⌉ | &rceil | &#8969; | right ceiling, U2309, ISOamsc
⌊ | &lfloor | &#8970; | left floor, =apl downstile, U230A, ISOamsc
⌋ | &rfloor | &#8971; | right floor, U230B, ISOamsc
⟨ | &lang | &#9001; | left-pointing angle bracket, =bra, U2329 ISOtech
⟩ | &rang | &#9002; | right-pointing angle bracket, =ket, U232A ISOtech
Geometric Shapes |  |  |
◊ | &loz | &#9674; | lozenge, U25CA ISOpub
Miscellaneous Symbols |  |  |
♠ | &spades | &#9824; | black spade suit, U2660 ISOpub
♣ | &clubs | &#9827; | black club suit, =shamrock, U2663 ISOpub
♥ | &hearts | &#9829; | black heart suit, =valentine, U2665 ISOpub
♦ | &diams | &#9830; | black diamond suit, U2666 ISOpub

© 1997 Microsoft Corporation. All rights reserved. Terms of use..


Character Entities for Special Symbols and BIDI Text

Using NE | NE | NCR | Using NCR
C0 Controls and Basic Latin |  |  |
" | &quot | &#34; | quotation mark, =apl quote, U0022 ISOnum
& | &amp | &#38; | ampersand, U0026 ISOnum
< | &lt | &#60; | less-than sign, U003C ISOnum
> | &gt | &#62; | greater-than sign, U003E ISOnum
Latin Extended-A |  |  |
Œ | &OElig | &#338; | latin capital ligature oe, U0152 ISOlat2
œ | &oelig | &#339; | latin small ligature oe, U0153 ISOlat2
Š | &Scaron | &#352; | latin capital letter s with caron, U0160 ISOlat2
š | &scaron | &#353; | latin small letter s with caron, U0161 ISOlat2
Ÿ | &Yuml | &#376; | latin capital letter y with diaeresis, U0178 ISOlat2
Spacing Modifier Letters |  |  |
ˆ | &circ | &#710; | modifier letter circumflex accent, U02C6 ISOpub
˜ | &tilde | &#732; | small tilde, U02DC ISOdia
General Punctuation |  |  |
 | &ensp | &#8194; | en space, U2002 ISOpub
 | &emsp | &#8195; | em space, U2003 ISOpub
 | &thinsp | &#8201; | thin space, U2009 ISOpub
‌ | &zwnj | &#8204; | zero width non-joiner, U200C NEW RFC 2070
‍ | &zwj | &#8205; | zero width joiner, U200D NEW RFC 2070
‎ | &lrm | &#8206; | left-to-right mark, U200E NEW RFC 2070
‏ | &rlm | &#8207; | right-to-left mark, U200F NEW RFC 2070
– | &ndash | &#8211; | en dash, U2013 ISOpub
— | &mdash | &#8212; | em dash, U2014 ISOpub
‘ | &lsquo | &#8216; | left single quotation mark, U2018 ISOnum
’ | &rsquo | &#8217; | right single quotation mark, U2019 ISOnum
‚ | &sbquo | &#8218; | single low-9 quotation mark, U201A NEW
“ | &ldquo | &#8220; | left double quotation mark, U201C ISOnum
” | &rdquo | &#8221; | right double quotation mark, U201D ISOnum
„ | &bdquo | &#8222; | double low-9 quotation mark, U201E NEW
† | &dagger | &#8224; | dagger, U2020 ISOpub
‡ | &Dagger | &#8225; | double dagger, U2021 ISOpub
‰ | &permil | &#8240; | per mille sign, U2030 ISOtech
‹ | &lsaquo | &#8249; | single left-pointing angle quotation mark, U2039 ISO proposed
› | &rsaquo | &#8250; | single right-pointing angle quotation mark, U203A ISO proposed

© 1997 Microsoft Corporation. All rights reserved. Terms of use..


Character Set Recognition

Internet Explorer uses the character set specified for a document to determine how to translate the bytes in the document into characters on the screen or paper. By default, Internet Explorer uses the character set specified in the HTTP content type returned by the server to determine this translation. If this parameter is not given, Internet Explorer uses the character set specified by the META element in the document. It uses the user's preferences if no META element is given.

You can use the META element to explicitly set the character set for a document. In this case, you set the HTTP-EQUIV= attribute to "Content-Type" and specify a character set identifier in the CONTENT= attribute. For example, the following META element identifies Windows-1251 as the character set for the document.

<META HTTP-EQUIV="Content-Type"

CONTENT="text/html; CHARSET=Windows-1251"&gt;

As long as you place the META element before the BODY element, it affects the whole document, including the TITLE element. For clarity it should appear as the first element after HEAD so that all readers know the encoding before the first displayable is parsed. Note that the META element applies to the document containing it. This means, for example, that a compound document (a document consisting of two or more documents in a set of frames) can use different character sets in different frames.

Windows Codepage # | Display name | Preferred ID on SAVE | Aliases in Internet Explorer 4
1252 (See Note 1) | Western | iso-8859-1 except when 128-159 is used, use "Windows-1252" | iso-8859-1
28592 | Central European (ISO) | iso-8859-2 | iso8859-2, iso-8859-2, iso_8859-2, latin2, iso_8859-2:1987, iso-ir-101, l2, csISOLatin2
1250 | Central European (Windows) | Windows-1250 | Windows-1250, x-cp1250
1251 | Cyrillic (Windows) | Windows-1251 | Windows-1251, x-cp1251
1253 | Greek (Windows) | Windows-1253 | Windows-1253
1254 | Turkish (Windows) | Windows-1254 | Windows-1254
932 | Japanese (Shift-JIS) | shift_jis | shift_jis, x-sjis, ms_Kanji, csShiftJIS, x-ms-cp932
51932 | Japanese (EUC) | x-euc-jp | Extended_UNIX_Code_Packed_Format_for_Japanese, csEUCPkdFmtJapanese, x-euc-jp, x-euc
50220 | Japanese (JIS) | iso-2022-jp | csISO2022JP, iso-2022-jp
1257 | Baltic (Windows) | Windows-1257 | windows-1257
950 | Traditional Chinese (BIG5) | big5 | big5, csbig5, x-x-big5
936 | Simplified Chinese (GB2312) | gb2312 | GB_2312-80, iso-ir-58, chinese, csISO58GB231280, csGB2312, gb2312
20866 | Cyrillic (KOI8-R) | koi8-r | csKOI8R, koi8-r
949 (See Note 2) | Korean (KSC5601) | ks_c_5601 | euc-kr
1255 (logical) (See Note 3) | Hebrew (ISO-logical) | Windows-1255 | iso-8859-8i
1255 (visual) | Hebrew (ISO-Visual) | iso-8859-8 | ISO-8859-8 Visual, ISO-8859-8 , ISO_8859-8, visual
862 | Hebrew (DOS) | dos-862 | dos-862
1256 | Arabic (Windows) | Windows-1256 | Windows-1256
720 | Arabic (DOS) | dos-720 | dos-720
874 | Thai | Windows-874 | Windows-874
1258 | Vietnamese | Windows-1258 | Windows-1258
65001 | Unicode UTF-8 | UTF-8 | UTF-8, unicode-1-1-utf-8, unicode-2-0-utf-8
65000 | Unicode UTF-7 | UNICODE-1-1-UTF-7 | utf-7, UNICODE-1-1-UTF-7, csUnicode11UTF7, utf-7
50225 | Korean (ISO) | ISO-2022-KR | ISO-2022-KR, csISO2022KR
52936 (See Note 4) | Simplified Chinese (HZ) | HZ-GB-2312 | HZ-GB-2312
28594 | Baltic (ISO) | iso-8869-4 | ISO_8859-4:1988, iso-ir-110, ISO_8859-4, ISO-8859-4, latin4, l4, csISOLatin4
28585 | Cyrillic (ISO) | iso_8859-5 | ISO_8859-5:1988, iso-ir-144, ISO_8859-5, ISO-8859-5, cyrillic, csISOLatinCyrillic, csISOLatin5
28597 | Greek (ISO) | iso-8859-7 | ISO_8859-7:1987, iso-ir-126, ISO_8859-7, ISO-8859-7, ELOT_928, ECMA-118, greek, greek8, csISOLatinGreek
28599 | Turkish (ISO) | iso-8859-9 | ISO_8859-9:1989, iso-ir-148, ISO_8859-9, ISO-8859-9, latin5, l5, csISOLatin5

Notes: Source documents

Note 1: us-ascii, ascii, iso8859-1, iso_8859-1, iso-8859-1, ANSI_X3.4-1968, iso-ir-6, ANSI_X3.4-1986, ISO_646, irv:1991, ISO646-US, us, IBM367, cp367, csASCII, latin1, iso_8859-1:1987, iso-ir-100, ibm819, cp819, Windows-1252, x-ansi

Note 2: ks_c_5601, ks_c_5601-1987, korean, csKSC56011987, euc-kr

Note 3: ISO_8859-8:1988, iso-ir-138, hebrew, csISOLatinHebrew, Windows-1255, ISO_8859-8i , ISO_8859-8e, ISO-8859-8i, ISO-8859-8e , logical

Note 4: http://www.internic.net/rfc/rfc1843.txt


Introducing HTML Help

Overview

Microsoft® HTML Help consists of an online Help Viewer, related help components, and help authoring tools from Microsoft Corporation. The Help Viewer uses the underlying components of Microsoft Internet Explorer to display help content. It supports HTML, ActiveX™, Java™, scripting languages (JavaScript, and Microsoft Visual Basic® Script), and HTML image formats (.jpeg, .gif, and .png files). The help authoring tool, HTML Help Workshop, provides an easy-to-use system for creating and managing help projects and their related files.

Features

  • The HTML Help components, which consist of an ActiveX control or Java Applet to insert into HTML files, a help authoring tool, an online image editing tool, and an executable program that displays a user's help files. GO
  • An authoring guide with sections on how to design a help system and how to use HTML Help Workshop. GO
  • References that contain information about the HTML Helsp ActiveX control, an HTML Help API reference for developers, a complete HTML tag reference, and reusable help topics that explain how to use the Help Viewer. GO


About accessibility and disability concerns

Your help system should contain information on how users with disabilities can use your software and your online help. The accessibility word list will help you identify some of the most common terms used to refer to disabilities. It can also serve as a checklist for identifying and creating topics about the features in your software program that can help users with disabilities.

Information on developing accessible software, Web site designs, and recommendations on making HTML content more accessible, is also available on the Microsoft Accessibility and Disabilities Web site.

The HTML Help Viewer contains shortcut keys and other features that make the Help Viewer accessible for users. These features are documented in the Help Viewer topics. You can include these topics in your own help system so that your users will also be aware of them.


About the accessibility word list

The accessibility word list is a list containing words that are commonly used either to describe physical disabilities or features in software programs that assist users with disabilities. For example, the accessibility word list contains the words "blind" and "selection cursor, adjusting for improved visibility."

Help authors can use the word list as a reminder to include topics on all areas of accessibility in any documentation they provide. Items from the word list can also be added as table of contents entries or as keywords to index files. This will enable users with disabilities to easily find the information they need about your software product.


The accessibility word list

Words in this list either describe physical disabilities or describe features in software programs that provide access to users with disabilities.

accelerator keys
access keys
accessibility concerns
accessibility features
accessible
accessing with keyboard
adjusting for improved visibility
adjustments for impaired motion or vision
ALT text
alternative input devices
appearance
Application key
assigning
assistive technology
AutoComplete
AutoCorrect
AutoFill
AutoText
beeps
   difficulty hearing
   turning off
   turning on
blind
blindness or low vision
changing size
click with the keyboard
cognitive impairments
color blind
color palette
colors
   adjusting for improved visibility
   used as visual cues, alternatives to
Control Panel
   adjustments for impaired motion or vision
cursor, adjusting for improved visibility
custom
custom shortcut keys
customize
customizing
deaf
deaf or hard-of-hearing
deafness
default buttons
dialog boxes
   default buttons
   default values
   navigating with TAB key
   navigating with SHIFT+TAB key
   ENTER key
difficulty hearing
disabilities
disability concerns
disabled
documentation
   in alternative formats
   online
dyslexia
enlarge
ENTER key
focus
fonts
   adjusting for improved visibility
   changing size
   colors
   for menus
   for toolbars
frequently-used text
handicapped
handicaps
hard-of-hearing
hearing impairments
high-contrast
hotkeys
image descriptions
impaired hearing, motion, sight, or vision
insertion point
   adjusting for improved visibility
key combinations
keyboard
   adjustments for impaired motion
   layouts for individuals with impaired motion
   shortcuts
keyboard combinations
keyboard navigation
keyboard shortcuts
keystroke shortcuts
keystrokes
large buttons
large fonts
large-print documentation
learning disabilities
low vision
magnify
menus, accessing with keyboard
mobility impairments
motion impairments
motor impairments
mouse
   adjustments for impaired motion or vision
navigating
navigation
   in dialog boxes
   in menus
   in toolbars
   with the keyboard
   with the mouse
online
pointer, adjusting for improved visibility
printing list of
reduced hearing, motion, or vision
right-click with the keyboard (Shift+F10)
scale
screen enlargement
scroll
seizure disorders
selection cursor
   adjusting for improved visibility
shortcut keys
   assigning
   for menus
   in dialog boxes
   for toolbars
   printing list of
shortcuts
sight impairments
sound
sounds
   difficulty hearing
   turning off
   turning on
speech
speech impairments
speech-to-text
text view
text-to-speech
toolbars
   accessing with keyboard
   customizing
vision impairments
visually impaired
voice input
Windows logo key
with the keyboard
with the mouse
word list, accessibility
word prediction
zoom

Note

  • Items from the word list can also be added as table of contents entries or as keywords to index files. This will enable users with disabilities to easily find the information they need about your software product.


HTML Help API Reference

About the HTML Help API Reference

The HTML Help API Reference provides information on the HTML Help application programming interface (API), which enables a program to display a help window. It includes comprehensive information about how to use the HTML Help API commands, data structures, and notification messages.

The reference provides the following sections:

Overview

These topics describe the HTML Help API, and explain the syntax required to access it.

Reference

These topics provide syntax descriptions and code examples for all commands that can be passed to HtmlHelp(), and syntax descriptions for all structures and notification messages used by HtmlHelp().


The HTML Help authoring commands

This is where the authoring commands appear in the HTML Help Viewer:

HTML Help Authoring Commands


To automatically display a help file after compiling

  1. open a project (.hhp) file, and then click Compile.
  2. In the Create a Compiled File dialog box, select the Automatically display compiled help file when done check box.


Automatically hiding the Navigation pane

You can design your compiled help (.chm) file so that the Navigation pane is automatically hidden when a user clicks outside of the HTML Help Viewer. This allows the user to see more of the screen when working in a software program. When the user clicks inside the help topic, the Navigation pane is reopened.

To see an example of a help file that automatically hides the Navigation pane, you can download and view the help topics for the Help Viewer from the HTML Help Web site.


To automatically hide the Navigation pane

  1. Open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Navigation Pane tab.
  3. In the Window type box, click the window you want, and then select the Automatically show/hide navigation pane check box.


About basic procedures for using HTML Help Workshop

The following list describes the basic procedures for using HTML Help Workshop.

Help Workshop Tasks | File Management Tasks | Preferences
Open HTML Help Workshop | View a file | Set Help project preferences
Close HTML Help Workshop | Change the name or location of a file | Set contents file preferences
Display or hide the toolbar | Save all open files | Set index file preferences
Display or hide the status bar | Close a file |
Display HTML Help Messages | Close all open files |
Arrange HTML Help Workshop windows or icons | Close a Help project |
 | Save a Help project |
 | Change the name or location of a Help project |

To open HTML Help Workshop

X On the Start menu, point to Programs, point to HTML Help Workshop, and then click HTML Help Workshop.

To close HTML Help Workshop

X On the File menu, click Exit.

To display or hide the toolbar

X On the View menu, click Toolbar.

To display or hide the status bar

X On the View menu, click Status Bar.

To display HTML Help Messages

X On the View menu, click HTML Help Messages.

To arrange HTML Help Workshop windows or icons

X On the Window menu, click Cascade, Tile Horizontally, Tile Vertically, or Arrange Minimized Windows.

To view a file

X On the File menu, click Open.

To change the name or location of a file

X On the File menu, click Save File As.

To save all open files

X On the File menu, click Save All Files.

To close a file

X On the File menu, click Close File.

To close all open files

X On the File menu, click Close All.

To close a help project

X On the File menu, click Close Project.

To save a help project

X On the File menu, click Save Project.

To change the name or location of a help project

X On the File menu, click Save Project As.

To set help project preferences

X On the File menu, click Preferences, and then click the General tab.

To set contents file preferences

X On the File menu, click Preferences, and then click the Contents tab.

To set index file preferences

X On the File menu, click Preferences, and then click the Index tab.

To edit an existing project file

X On the File menu, click Open. In the Files of type box, click Project files (*.hhp), and then locate the project file.

To close an open project file

X On the File menu, click Close Project.

To save an open project file

X On the File menu, click Save Project.

To rename an open project file or save it in a new location

X On the File menu, click Save Project As.


About adding buttons to a help window

The following list describes the buttons that you can add to a help window:

Hide/Show | Opens or closes the Navigation pane. Alternatively, you can display a help window without the Navigation pane, or set up your window to automatically hide the Navigation pane when it is opened.
Locate | Shows where the current topic is located in the table of contents. If the current topic is not listed in the table of contents, this command will not work. Alternatively, you can specify that the table of contents automatically synchronize with the topic that appears in the Topic pane.
Back | Jumps to the previous topic.
Forward | Jumps to the next topic in a previously viewed sequence.
Stop | Stops downloading file information. This is useful if your help system contains links to the Web. A user can click this button to stop a Web page from downloading.
Refresh | Updates the topic that is currently displayed in the Topic pane. This is also useful if your help system contains links to the Web.
Home | Jumps to a designated home page. You can specify a home page in your project file by clicking Add/Modify Window Definitions, clicking the Files tab, and then typing a file name in the Home box.

Add/Modify Window Definitions

Adds or edits window definitions and the general appearance of the HTML Help Viewer.

Print | If you are on the Contents tab, provides options to print pages, headings, and subtopics, or the entire table of contents. If you are on the Index or Search tab, it opens the Print dialog box to print the current topic.
Options | Opens a menu list that contains Home, Show, Back, Stop, Refresh, Print, Search Highlight On/Off, and Internet Options commands. All buttons that you add to your help windows will be listed on this menu. This enables accessibility shortcut keys for each command. The Internet Options and Search Highlight On/Off commands are only available on the Options menu. The Internet Options command opens the Internet Explorer Internet Options dialog box allowing quick access to accessibility and other features. The Search Highlight On/Off command turns on or off highlighting for search terms.
Jump 1 | Jumps to an author-designated Web page or help topic. You can add a Jump button to link to an important topic in your help system, or to a page on the Web. If you are linking to a file in your help system, and the file is located in the same directory as your project (.hhp) file, you only need to include the name of the file. If you are linking to the Web, you need to provide a complete URL including the HTTP part of the address.
Jump 2 | Jumps to an author-designated Web page or help topic.

Note

  • The default Back and Forward buttons are predefined to give you the same functionality they have in Microsoft Internet Explorer. They do not provide an author-defined browse sequence.


To add a Jump button to a help window

  1. Click Add/Modify Window Definitions, and then click the Buttons tab.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. In the Window Type box, click the window you want to add a Jump button to.
  3. Select the Jump 1 check box, and then type a name for the button in the Jump 1 text box.
  4. Click OK. The Resolve Window Definition Wizard will appear.
  5. Verify the window name, and then click Next.
  6. In the Button name box, type the name of the button again, and then, in the Jump to File box, enter a file name or HTTP address:
    • If you want to link to a file in your help system, and the file is located in the same folder as your project (.hhp) file, you only need to type the file name.
    • If you want to link to a Web site, you need to provide the full URL including the HTTP address for the site. For example, http://www.microsoft.com.
  7. Click Next, and then click Finish.

Notes

  • You can add two Jump buttons to a help window.
  • If you are linking to a file in your help system that is not in the same folder as your project file, you need to provide the relative path to the file. For example, If your topic file is located in a subfolder called Topics, you need to type Topics/Mytopic.htm.


To open a compiled help file from a contents or index entry

  1. Open a contents (.hhc) or index (.hhk) file.
  2. Click Insert a Page or Insert a Keyword.

    Insert a Page

    Adds a page level icon to a table of contents with its associated name, file, URL, and style information.

    Insert a Keyword

    Adds a keyword to an index with its associated keyword name, file, URL, and destination information.

  3. In the Entry title or Keyword box, type a name for the table of contents or index link.
  4. Click Add, and then, in the File or URL box, type the name of the compiled help (.chm) file.

Notes

  • When a user clicks the link a dialog box will appear that gives them the option of saving the compiled help file to their hard disk or opening it from the directory where it's located.
  • If the compiled help file you are linking to is in a different directory than the topic you are linking from, you will need to enter the path to the compiled help file in the File or URL box. For example, if the help file is located in a directory on the Web, you would need to enter the full URL including the HTTP address, <A HREF="http://www.sample.com/example.chm">


To open a compiled help file from a Web page or topic file

  1. Create an HTML file.
  2. Use the following syntax to open the compiled help (.chm) file from your HTML file:

    <A HREF="file name.chm">Link text</a>

    where file name.chm is the name of the compiled help file, and Link text is the text link.
  3. Make sure that the compiled help file you want to link to is located in the same directory as the topic file you are linking from.

Notes

  • When a user clicks the link a dialog box will appear that gives them the option of saving the compiled help file to their hard disk or opening it from the directory where it's located.
  • If the compiled help file you are linking to is in a different directory than the topic you are linking from, you will need to enter the path to the compiled help file. For example, if the help file is located in a directory on the Web, you would need to enter the full URL including the HTTP address, <A HREF="http://www.sample.com/example.chm">


To view compiled help file information

  1. On the File menu, click CHM Information.
  2. To list all of the files in the compiled help file, select the List file names check box.
  3. To view the default help title, default window type, and other project defaults, select the List default project settings check box.

Notes

  • You can save the compiled help file information to a file.
  • You can clear the results by clicking the Edit menu, and then clicking Clear Log.


To assign an alternate location for a contents or index entry

  1. Open a contents (.hhc) or index (.hhk) file, and then click the entry you want to assign an alternate location for.
  2. Click Edit Selection, and then click Add/Edit.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  3. In the File or URL box, enter the alternate location.

Note

  • You can use this feature to link from a contents or index entry to a Web site. It is also useful, for example, when information that is not available at the time your help content ships will be available on a Web site. You can add a placeholder topic that will link to the alternate location.


To create a binary contents file

  1. Open a project file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Compiler tab, and select the Create a binary TOC checkbox.

Notes

  • Only book and page icons are supported. Alternate icons, such as the ones for a new entry or Web page entry, are not supported.
  • Site map customizations are not supported.
  • Information types are not supported.


Create a contents file

You make a table of contents by creating a contents (.hhc) file.

Notes

  • If you design a help system using the Help Viewer, adding a contents file to your help project creates the Contents tab in the Navigation pane of the Help Viewer once the project is compiled.
  • If you design for a Web site or your own frameset, make sure you add the HTML Help ActiveX control to the appropriate files and specify a default frame to display your contents file.

What do you want to do?

Topic link | Create a new contents file
Topic link | Automatically generate a table of contents
Topic link | Edit or update a table of contents
Topic link | Change or create icons for contents entries
Home page link | About creating table of contents files


Customizing a table of contents

Customize a table of contents

If you are creating a contents (.hhc) file that will appear in the Help Viewer, you can customize how the window looks and how contents entries in the Navigation pane appear.

What do you want to do?

Topic link | Learn more about customizing a table of contents
Topic link | Modify the Navigation pane in the Help Viewer
Topic link | Customize the appearance of a contents file
Topic link | Change or create icons for contents entries
Topic link | Specify the default frame in a contents or index file
Home page link | About creating table of contents files


About customizing a table of contents

There are many ways to customize how contents entries in the Navigation pane appear, and how the pane itself appears. For example, you can:

  • Use custom images you have designed instead of the default images provided for your contents entries.
  • Add a border, plus or minus squares, a sunken edge, or other design elements to your contents window.
  • Change the width of the Navigation pane.
  • Have your table of contents display only heading level entries or all entries when a user first opens it.
  • Have the Help Viewer automatically display the Contents tab when a user first opens it.
  • Change whether the Contents, Index, and Search tabs appear at the top, bottom, or side of the Navigation pane.

If you design for a Web site or your own frameset, you can add HTML design elements to customize the file or frame you add the HTML Help ActiveX control to. You can then specify the frame name you want your pages to jump to.


To customize the appearance of a contents file

  1. open a project (.hhp) file, click the Contents tab, and then click Contents Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

  2. Click the Styles tab, and then click Add or Remove to specify the styles you want.


Edit or update a table of contents

Once you create a table of contents you can edit or update the entries and how they appear to the user.

What do you want to do?

Topic link | Use custom image files in a contents file
Topic link | Create new images for a contents file
Topic link | Assign an information type to a contents entry
Topic link | Flag a new table of contents entry
Topic link | Change a table of contents entry level from a folder or book to a page
Topic link | Assign a window type to a contents or index entry
Topic link | Assign an alternate location for topics
Home page link | About creating table of contents files


To specify the default frame in a contents or index file

  1. Open a help project file.
  2. Click the Contents or Index tab, and then click Contents Properties or Index Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

    Index Properties

    Defines the general appearance of the index.

  3. In the Default frame box, type the HTML frame name where your pages will jump.

Notes

  • The frame you specify must be defined in an HTML document.
  • You do not need to create your own frameset if you plan to use the Help Viewer to display your content.


To automatically generate a table of contents

  1. open a project (.hhp) file.
  2. Click Change Project Options, and then click the Files tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  3. Click Browse, next to the Contents file box, and then locate the folder that you want to store your contents file in.
  4. In File name box, type a name (using .hhc for the file name extension) for your contents file.
  5. Click Open. The name of your contents file and the full path appear in the Contents file box
  6. Select the Automatically create contents file (.hhc) when compiling check box.
  7. In the Maximum head level box, click the maximum heading level you want entries generated for in your contents file. For example, if you click 3 for the maximum head level, entries will be generated with <H1>, <H2>, and <H3> heading tags.

Note

  • If you make changes to a contents file that has been automatically generated, you will lose them if you compile the project again. To prevent this, make sure the Automatically create contents file when compiling check box is cleared before you recompile.


Change or create icons for contents entries

By default, HTML Help Workshop provides a book icon for main topics and a question mark icon for subtopics. A special icon is available to flag topics as new. You can change these default icons to one of several other standard icon images or create your own icons.

What do you want to do?

Topic link | Use a new icon strip in a contents file
Topic link | Apply an icon to a contents entry
Topic link | Flag a new table of contents entry
Topic link | Create a new icon strip for a contents file
Home page link | Create a contents file
Home page link | About creating table of contents files


To use a new icon strip in a contents file

  1. Open a project (.hhp) file, click the Contents tab, and then click Contents Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

  2. Select the Use custom images from a file check box.
  3. In the Image file box, enter the path to an icon strip bitmap (.bmp) file that contains the images you want to use instead of the default images.
  4. Save and close the project file.
  5. Reopen the project file.

Note

  • If you want to use folders and pages instead of books and topics, click Contents Properties, and then select the Use folders instead of books check box.


To apply an icon to a contents entry

  1. Open a project (.hhp) file, and then click the Contents tab.
  2. Click a contents entry, and then click the Edit Selection button.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  3. Click the Advanced tab.
  4. In the Image index box, select the image you want to apply to the contents entry.

Notes

  • You can create new icon images for any type of contents entry.
  • Some icons are not supported in a binary table of contents.


To change a table of contents entry level from a folder or book to a page

  1. Open the contents file, and then select the entry you want to change to a folder or book.
  2. Click Edit Selection, and then click the Advanced tab.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  3. Select the Change entry to a heading check box.

Note

  • You can also use this procedure to change a page to a folder or book.


About binary contents files

You can reduce the time it takes to load a very large table of contents by creating a binary contents file. A binary table of contents is populated based on user demand. For example, in a table of contents where a book is located within another book, the second level book will not be populated until a user clicks it.

There are other limitations to a binary table of contents:

  • Only book and page icons are supported. Alternate icons, such as the ones for a new entry or Web page entry, are not supported.
  • Site map customizations are not supported.
  • Information types are not supported.


To flag a new table of contents entry

  1. Open the contents (.hhc) file, and then select the entry you want to flag as a new entry.
  2. Click Edit Selection, and then click the Advanced tab.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  3. Select the Mark as a new entry check box.

Note

  • New icons are not supported in a binary table of contents.


To create a new contents file

  1. On the File menu, click New, and then click Table of Contents.
  2. Click Insert a Heading or Insert a Page to add the titles and subtitles that you want to appear in the table of contents.

    3. Insert a Heading

    Adds a heading level icon to a table of contents with its associated name, file, URL, and style information.

    Insert a Page

    Adds a page level icon to a table of contents with its associated name, file, URL, and style information.

Notes

  • You can move an entry up or down, left or right, by clicking the Move Arrows. When you move a heading entry, all the entries that follow it are moved too.

    Move Arrows

    Moves the selection up, down, left, or right.

  • To change an entry, click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  • Before you can display a contents file in the Help Viewer, you need to add it to the help project file, and then compile the project.


About creating a new icon image strip for a contents file

About creating a new icon strip for a contents file

The first 8 images on your new icon strip should communicate the concepts in the list below. The order of the first 8 images is important because the images change to reflect user actions.

For example, if you assign the Closed Item 1 icon to a topic in your table of contents, and a user clicks it, the image will automatically change to Open Item 1.

  1. Closed Item 1
  2. Open Item 1
  3. New Closed Item 1
  4. New Open Item 1
  5. Closed Item 2
  6. Open Item 2
  7. New Closed Item 2
  8. New Open Item 2
  9. Item 3
  10. Item 4
  11. Item 5
  12. Item 6
  13. Item 7
  14. Item 8

Notes

  • Items 3 through 8 can convey any concept you want, but they must be present in your custom icon strip for the new images to display correctly. You must include at lest 14 images in your custom icon strip.
  • You are not, however, limited to 14 images. You can include up to 42 images in your custom icon strip.
  • Custom icons are not supported in a binary table of contents.


To create a new icon strip for a contents file

  • Use a bitmap editor to create a single 16-color icon strip containing all of the images you want to display as contents entry icons.

Notes

  • Make sure the height of each image does not exceed 20 pixels. The images on the default icon strip bitmap are 16 pixels high. For display consistency, the images on your icon strip bitmap should also be 16 pixels high.
  • Make sure the width of each image does not exceed 20 pixels. The images should be from 16 through 20 pixels wide, and they should be uniform.
  • Make sure your icon strip bitmap contains at least 14 images. Your icon strip bitmap may contain as many as 42 images.
  • Align each image precisely with adjacent images. Don't put any space between the images.


To create a table of contents for a Web page

  1. Create a table of contents file.
  2. Create the HTML file that will contain your table of contents.
  3. Position your cursor at the location where you want the table of contents file to appear, and then click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  4. In the Specify the command box, click Table of Contents, and then follow the instructions on your screen.

Note

  • If your users do not have a browser that supports ActiveX controls, try using the HTML Help Java Applet.
  • For more information about the Contents command, see the HTML Help ActiveX control reference.


About compiler messages

When you compile a help project, HTML Help Workshop notifies you if there are basic problems in the project files by creating compiler messages. You can monitor these messages to see whether any problems, such as missing links or graphics, exist in your help files.

HTML Help Workshop reports these compiler messages:

Note

A condition you should be aware of, which will probably not cause serious problems when you open your help file. Note error messages have a number range from 1000 through 2999. For example, a broken link causes this type of message: The file "c:\htmlhelp\httempex.htm" has a link to a non-existent file: "tmplstep.htm".
Warning
A condition that results in a defective help file. Warning error messages have a number range from 3000 through 4999. For example, an invalid DLL causes this type of message: HHW4000: Warning: Unable to initialize for full-text search. The .dll may not be installed or is invalid.
Error
A condition that prevents the help file from being built. Error messages have a number range from 5000 through 6999.
Internal Error
An error caused by the HTML Help Workshop program. Internal Error messages have a number greater than 7000.

Note

  • HTML Help Workshop can display up to 64K of messages on the screen in Microsoft Windows 95 and 1 MB in Windows NT, but there is no practical limit to how many compiler messages can be saved to a file.


HTML Help file compression

HTML Help Workshop automatically compresses files during the compilation process.

What do you want to do?

Topic link | Learn more about HTML Help project files and how to create one
Home page link | About compiling a help project


About HTML markup and the compiler

HTML Help Workshop inserts HTML markup into topic files when you split an HTML file, or insert Associative link (ALink) names or Keyword link (KLink) keywords into HTML files. This markup information is used by the compiler to enable those features.

For example, this information enables ALinks added to HTML files to be resolved with their targets during compilation, allowing the user to click the ALink and see a list of topics.

The markup information is only used in compiled help (.chm) files. It includes a special CLASSID attribute that is referenced by the HTML Help compiler.

Notes

  • If you use the Split File command, insert an ALink name, or insert a KLink keyword into an uncompiled HTML file, it will be ignored by the Web browser.
  • HTML markup appears inside an <OBJECT> tag, which is not to be confused with the <OBJECT> tag used by the HTML Help ActiveX control.


To include a header file in a project file

  1. Open a project (.hhp) file, and then click HTML Help API Information.

    HTML Help API Information

    Adds or removes map, alias and text pop-up files that are used by the program calling into the HtmlHelp API.

  2. On the Map tab, click Header File.
  3. Locate the header (.h) file you want to include.
  4. Save the project.


About context-sensitive pop-up help

Help topics for context-sensitive pop-up help are text-only. Unlike window help topics, which are HTML files that you include in the [FILES] section of your project (.hhp) file, pop-up help topics are stored in a text file that you include in the [TEXT POPUPS] section of your project.

Using HTML Help Workshop, help authors can define the basic attributes of a pop-up window. More advanced attributes can be defined by a developer.

For example, in addition to writing code to enable the context-sensitive pop-up topics, a developer can modify the foreground and background colors, font family, font size, and margins of the pop-up topics.

Note

  • Pop-up windows can also be used in HTML Help topics, to create pop-up glossary definitions, for example.


Example: Create context-sensitive pop-up help

Context-sensitive help enables a user to easily find information about a specific user interface element. Pop-up help appears in a pop-up window rather than in the Help Viewer. This example is a four-step process that explains how to create context-sensitive pop-up help.

To make context-sensitive pop-up help work, you need to create a text file for your help topics and a header (.h) file, and then include them in your project (.hhp) file.

  • The text file contains all of the topics that are used for pop-up help. Each topic ID in the text file must match a symbolic ID in the header file. You can create more than one text file for topics.
  • The header file lists the symbolic IDs and numeric IDs for all the dialog boxes and controls in a program. Your software development team should be able to supply a list of IDs for your header file.

The four steps of the process are as follows:

  1. Create a text file for pop-up help topics.
  2. Create a header file.
  3. Create a [TEXT POPUPS] section in your project file.
  4. Include a header file in your project file.

Notes

  • Before proceeding, you may want to review some basic guidelines for creating pop-up help topics.
  • If your help doesn't work as expected, you can troubleshoot pop-up help problems.


To create a [TEXT POPUPS] section in a project file

  1. Open a project (.hhp) file, and then click HTML Help API Information.

    HTML Help API Information

    Adds or removes map, alias and text pop-up files that are used by the program calling into the HtmlHelp API.

  2. On the Text Pop-ups tab, click Header File, locate the header (.h) file that you created in step 2, and then click OK.
  3. Click Text File, and then locate the text file you created in step 1.
  4. Save the project.


To create a text file for pop-up help topics

  1. Open HTML Help Workshop.
  2. On the File menu, click New, and then click Text.
  3. Create an entry for each pop-up help topic, using the following format:

    .topic topic ID
    help topic

    Where topic ID, is the symbolic ID of a specific dialog box control, and help topic is the help text for the control.

  4. Save the text file.

The sample text file, below, is taken from HTML Help Workshop:

Notes

  • If you use an IDH_ prefix with the topic ID, as shown in the example above, HTML Help Workshop will automatically check that the topics mapped in your project file actually exist in your compiled help (.chm) file, and that your context-sensitive help topics are all mapped in your project file.

  • The topic ID for each entry must be unique.
  • To simplify file management, you can store help topics in multiple text files.
  • You can also use Microsoft Notepad or any other text editor to create this text file.


To create a header file

  1. Open Microsoft Notepad or another text editor.
  2. Create an entry for each symbolic ID, followed by its corresponding numeric ID, using the following format:

    #define IDH_symbolicID    1000

    Where symbolicID is the symbolic ID for part of the program (such as a dialog box or control) and 1000 is the numeric ID. The numeric IDs in the header file are used only by the HTML Help compiler. The compiler maps numeric IDs in the header file to help topics.

  3. Save the file with a .h extension.

The following sample header file is taken from HTML Help Workshop:

Sample header file

Note

  • If you use an IDH_ prefix with the symbolic ID, as shown in the example above, HTML Help Workshop will automatically check that the topics mapped in your project file actually exist in your compiled help (.chm) file, and that your context-sensitive help topics are all mapped in your project file.


Troubleshooting context-sensitive help

If your context-sensitive help is not working properly, use the following checklist to locate and solve the problem:

Mapping issues

  • Are the IDs contained in your compiled help (.chm) file mapped in your project (.hhp) file?
  • Does each ID that is mapped in the project file have a topic in the compiled help file?

Included file issues

  • Have you included a header (.h) file in the [TEXT POPUPS] section in your project (.hhp) file?
  • Have you included a text (.txt) file in the [TEXT POPUPS] section in your project file?
  • Is your [TEXT POPUPS] section referencing the correct location of the header and text files?

Pop-up help topic issues

  • Do the topic IDs in the text file match the symbolic IDs in the header file?
  • Have you double-checked your text file for misspellings or syntax errors?

Note

  • If you used the IDH_ prefix for your context-sensitive help topic IDs, HTML Help Workshop automatically compares the topic IDs in your compiled help file against those mapped to numeric values in your project file. Compiler messages will tell you where your context-sensitive help is broken so you can fix it.


Guidelines for creating a context-sensitive help file

When you write context-sensitive help, you first create a file containing context-sensitive help topics to which you have assigned unique IDs. Then you create a header file that lists the symbolic IDs and numeric IDs for all the dialog boxes and controls in a program.

Before you begin writing, consider the following:

  • Depending on your program, you could end up with hundreds or even thousands of context-sensitive help topics. If you develop a good tracking system it will save time when you communicate with software developers or test your files.
  • If you use IDH_ as the prefix for your context-sensitive help topic IDs, HTML Help Workshop automatically checks that the topics mapped in your project file actually exist in your compiled help (.chm) file. It also makes sure that your context-sensitive help topics are all mapped in your project (.hhp) file.
  • You do not need to write topics or add code for the OK, Cancel, Save, Open, Print and other buttons that are associated with common Windows 95 dialog boxes, because they are already included. However, if your software developer has modified the common dialog template to add a custom control to a dialog box, you must write help topics for any additional items.
  • Make sure that your software developer maps the help to include the labels, as well as the controls, in a program's dialog box. Some users click the control in a dialog box, such as a button or text box, to get help, while others click the label for the control. You probably want the same help topic to appear in either situation.
  • If there are several items in a group box, you might want separate help topics for each item. In this case, you can assign the group box label a generic topic that tells users to click each item in the group for specific information. If there is only one item in the group box, associate the group box label with the topic for the item.
  • You can map a topic ID to any number, but the numeric values defined in a help file must all be unique. You can specify numeric values in either decimal or standard hexadecimal format. Often, the software developer will create the mapping for you in a header (.h) file that you can include in your project.

Note

  • Information for software developers about creating the code for context-sensitive help is in the HTML Help API reference.


About creating context-sensitive help

Context-sensitive help assists users by providing help based on a specific dialog box or control in a program. This enables users to get specific information about whatever part of the program they are using at any given moment.

Help authors work with developers to create context-sensitive help. The help author creates a compiled help (.chm) file that contains the context-sensitive help topics and information that maps the topics to specific dialog boxes or controls. The developer modifies the program code so that the correct topic appears when a user requests help.

Context-sensitive help commonly appears in a pop-up window, which displays a help topic about a specific user interface element. For example, you can design your program to have a question mark button in the title bar of a dialog box. When a user clicks the question mark button, and then clicks anywhere in the dialog box, they will see a pop-up help topic that provides information about the user interface element they clicked.

You can also design context-sensitive help topics to appear in a secondary window, an embedded window, or in a Web browser.


To decompile a help file

  1. On the File menu, click Decompile.
  2. In the Destination folder box, enter the name of the folder where you want the decompiled files to be copied.
  3. In the Compiled help file box, enter the name of the compiled help (.chm) file you want to decompile.

Notes

  • This procedure is useful for reconstructing individual HTML source files from a compiled help file. It is also useful when you want to use the source files contained in the compiled help file in a browser that does not support compiled help files.
  • The decompile command is part of the HTML Help executable program (Hh.exe) and is therefore also a client-side command line switch that works when HTML Help Workshop is not set up. From a DOS prompt or from the Run command, type -decompile folder chm where -decompile is the switch, folder is the name of the destination folder where you want the decompiled files to be copied, and chm is the name of the compiled help file you want to decompile.


Designing a help system

The big picture

Get an overview of what components are in a help system, and how HTML Help assists you in creating, managing, organizing, compiling, and testing help files. GO

Learn about accessibility and disability concerns

Make your help system more accessible for users with disabilities. GO

Start a help system design

Start your design by deciding how your help system will be delivered and who your audience is. Then create plans for how to organize and present your help system. GO

Design help

Design your help system by deciding how you want your topics to appear and how closely you want to integrate help into the program you are documenting. GO

Design for a Web site

There are special considerations to make when you design a help system for the Web. You must also plan to update and manage the Web site. GO


Planning a table of contents

Adding a table of contents to your help system provides users with a hierarchical view of the content. Users click a topic listed in the table of contents, and are taken directly to the information they are looking for.

You can design your table of contents so that the topics contained in your help system are organized by subject or by category. You can organize your subject topics in the table of contents using icons that identify main topics and subtopics. For example, if you use the default icons, HTML Help Workshop provides a "folder" icon for main topics and a "page" icon for subtopics. You can change the default icons or create your own contents icons. If you are designing a table of contents for a Web site, special icons indicating new or updated topics are available to help users quickly scan the table of contents for new information.

You can indent topic titles so they are easier for a user to see when they are scanning the list of topics. If you are designing a table of contents that will use the Help Viewer, you can customize the way the Navigation pane of the Help Viewer looks.

If you are designing your own frameset, you can add HTML design elements to customize the frame to which you add the HTML Help ActiveX control.

Items from the accessibility word list can be added as table of contents entries so that disabled users can easily find the information they need about your software product.


Making topic or Web page connections

As a help author, one of your most important design considerations is setting up a clear and simple pattern to quickly get users to the help content they need.

An HTML help topic or Web page is part of a collection of similar help topics or Web pages that make up a help system or Web site. When a user browses the topics in your help file or Web site, they jump from page to page by clicking hyperlinks. A link is a word, phrase, or image that is highlighted and jumps to a specified location when the user clicks it.

If you add the HTML Help ActiveX control to your help topics or Web pages, you can connect users to information by creating a table of contents or index for your topics. You can add buttons to the button bar in the Help Viewer or to the windows you design in order to help users navigate to information.

Help topics also can be designed as context-sensitive topics that appear in a pop-up window when a user right-clicks a dialog box.


Designing context-sensitive help

You can create context-sensitive help for many of your program's interface elements. In dialog boxes, users can display help by clicking the question mark in the title bar of a dialog box, and then clicking an item within the dialog box. In Windows, users also can display help by right-clicking an item, clicking What's This?, and then clicking an interface element.


Design help

These topics contain information of special interest when planning a help system that will ship with a program.

  • You use the Help Viewer to display your topics.
  • You can create unique help system window designs.
  • You can design context-sensitive help for your system.
  • You can create training cards for your help system.
  • You can add shortcuts to your help topics.


Designing help topics or Web pages

Whether you are creating a help system or a Web site, the basic building block for all your help content is the Hypertext Markup Language (.htm, .html) file. You use HTML files to create your help topics and Web pages. The process you use to create a new HTML file is the same no matter what its purpose. The design you choose for each type of topic, however, will vary depending on its purpose.

No matter what type of topic you are creating, there are many ways to create lively and interesting files. You can add images, text, animation, and sound to your topics. You can add forms, tables, frames, e-mail, or custom scripts. You can add the HTML Help ActiveX control to your documents to provide a table of contents, an index, or related topics. Or, you can add a splash screen, a pop-up window, a shortcut button, or other command.

You may want to include one or more home pages in your help system or Web site. Because a home page provides the first interaction a user has with your help system or Web site, designing it is one of the most important things you will do.

You want your home page to communicate what your information is about and why it exists. It should also be a jumping-off point to the rest of your system. A user should be able to navigate quickly from your home page to any page in your system, either directly or through other topics.

You will also want to make your help system or Web pages accessible to users with disabilities. The Accessibility Word List will help get you started. Additional information on developing accessible software, web site designs, and recommendations on making HTML content more accessible is also available from the Microsoft Accessibility and Disabilities Web site.

If you are designing topics to be shipped with a program, you may have greater concerns about file size. You can limit art and multimedia content in your help system to reduce the file size.

If you are planning to distribute your help topics over the Web, file size may not be a design consideration. However, if you include a lot of multimedia in your topics, consider the amount of time it will take for a user to download your files.


Planning an index

Adding an index to a help system is one of the most important ways to get users quickly to the information they need. Usability studies have shown that users will more frequently use a well-planned index to locate topics than they will a table of contents or full-text search. Users click a keyword listed in the index and it either takes them directly to the topic containing the information they are looking for, or to a list of topics that contain the keyword.

The index contains keywords that you specify. It can contain terms for beginners and advanced users, synonyms for terms, terms that describe topics generally, and terms that describe topics specifically. The index provides users with many different ways to get to topics. The more ways you provide, the more likely it is that users will find the topic they need.

Traditionally an index is designed so that it contains first and second level entries. First-level entries describe a general category. Second-level entries are indented under the first-level entries and describe specific topics within that category. With HTML Help, you can use an unlimited number of index levels.

Items from the accessibility word list can be added as index keywords so that disabled users can easily find the information they need about your software product.

Tips for creating indexes

  • Plan some guidelines for creating keywords before you begin indexing.
  • If your index is being shipped with a software program, go through the user interface carefully and add index entries for every element. For example, include words or phrases that appear in tool tips, menu items, dialog boxes, and context-sensitive help topics.
  • Index entries should be short and concise, and should never wrap to a second line.
  • After you compile your help file, check your index keywords to make sure they look the way you want them to. Some keywords may be so similar that they could be consolidated.


Registering a help Web site with search engines

Many people browse the Internet for information by using search engines to locate Web sites. If you are designing a help system for distribution on the Internet, you can register it with the more popular search engines. These include Yahoo, Lycos, Excite, Webcrawler, AltaVista, and Infoseek, many of which can be reached if you open Microsoft Internet Explorer, and then click Search.

There may also be other search engines commonly used by those in your company, organization, or profession that you can register with. By registering with one or more search engines, you can make your site easier to find and increase traffic to it.

Each search engine has its own requirements for adding a Web site. The home page for each search engine usually has a link to a registration page containing information about how to add your Web site.


Start a help system design

Here are some suggestions for planning a help system or Web site:

  • Decide whether you will distribute your help system with a program, or on a Web site.
  • Determine who your audience is and, if you will distribute with a program, whether you want to use information types to direct topics to specific users.
  • If you will distribute with a program, decide whether you want to display topics in the Help Viewer or create your own frameset. If you are creating a Web site, plan page designs. For frameset and Web site design, plan which documents will contain the HTML Help ActiveX control.
  • Plan a design for your topics, create HTML template files, and begin writing.
  • Plan a design for your table of contents and index.
  • If you will distribute with a program, design any secondary help windows or modifications to the Help Viewer you want to use.
  • Create a help project (.hhp) file to manage your help files.


Designing a style sheet

The style sheet language most commonly used on the World Wide Web is known as cascading style sheets (CSS). When designing a style sheet, you use the CSS specifications set up by the World Wide Web Consortium (WC3), the organization that develops common protocols for the World Wide Web. The CSS specification and other information about how cascading style sheets work is available from the W3C Web site, along with information about other style sheet protocols.

By using a cascading style sheet, you can ensure design consistency across all your help files or Web pages. For example, you can include standard colors and images in your style sheet that will be applied to all of the files in your help system.


Designing a topic template

You can create HTML topic templates to greatly reduce the amount of time it takes to create each topic file. A topic template is an HTML file that contains all the font, style, heading, and design elements you use most frequently. Topic templates can be used as the basis for all the content in your help system or Web site.

Design your templates to contain all the basic elements a help author will need to create a specific topic type. For example, in an information system containing many overview topics, you can create an Overview template that contains all the basic style and design elements, in addition to boilerplate text.


Designing training card help

With training card help, you can create HTML help training card files that communicate directly with a program. The help file can send instructions to the program, or it can receive instructions from the program. Because most of the work happens in the program code, help authors and software developers must work together to create training card help.

You can use training card help to design topics that automatically guide users through tasks in a program. For example, the help topic can display the first step in a procedure. When the user carries out the step correctly, the topic automatically displays the second step. If the user makes a mistake, the program or a help topic can display a message describing the error.

A help author also can use training card help to create troubleshooting topics that initiate problem-solving actions in a program, or that enter settings in a program based on questions the user answers. Training card help can be a complex path of interconnected topics, or a single topic that contains only one call to the software program.


Updating and managing a help Web site

After you create a help Web site, an important task is updating and managing the information—making sure that your help Web pages are kept up-to-date and correct. Nothing is more annoying to a user than finding a page that contains outdated information. To make sure this does not happen to your help Web site, schedule time to make changes to your Web pages and to validate all content and links.

A good site management and updating plan should include the following tasks:

  • Adding new help content and information.
  • Updating existing help content and information.
  • Verifying file locations (for example, contents and index files).
  • Verifying internal links to your pages.
  • Verifying links to other pages.


Design for a Web site

When planning a Web site that uses components of HTML Help, consider the following:

  • Make a design plan based on whether you will be distributing topics over the Internet, an intranet, or an extranet.
  • Create the topic, contents, index and other files for your Web site.
  • Decide if you want to register your Web site with any search engines.
  • Plan for updating and managing your Web site.


Designing help windows

The most important part of a help file is the information in it—the words and pictures that the help file contains. But packaging is also important. The way you present words and pictures can play a significant role in making your help file more usable. When designing your help file for distribution with a program, you may want to create or customize the windows you use to display your topics.

When designing help windows, keep these options in mind:

  • You can change the type of window in which a topic appears. For example, your home page or an image map might appear in a secondary window while your information topics appear in the Help Viewer.
  • You can create different windows for different topic types. For example, help for a dialog box might appear in an embedded window while your information topics appear in the Help Viewer.
  • You can change the appearance of a window. For example, you can change a window's size and position, background colors, title bar, buttons, and other options.
  • You can create your own frameset to display topics.
  • You can ship multiple help files, each with its own set of window definitions.


To add a Favorites tab to the Navigation pane

  1. Open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Navigation Pane tab.
  3. In the Window type box, click the window you want, and then select the Favorites tab check box.

Notes

  • Adding a Favorites tab allows a user to create a personalized list of favorite help topics.
  • To see an example of Help Favorites, click the Favorites tab in this help file.
  • After you add a new tab, you may want to adjust the window size and position of the Help Viewer to account for the new space the tab uses in the navigation pane.


To close a window that contains a frameset

  1. Open the HTML file in which you want to include the link.
  2. Position your cursor where you want the link to appear.
  3. Add the link using the following syntax:

    <A HREF=JavaScript:window.top.close()>Close</A>

Notes

  • Currently the HTML Help ActiveX Control Close command does not work properly with Web pages that contain frames.
  • This link will close the main browser window and all of the frames it contains.


Example: Create a two-frame HTML frameset

This example is a five-step process that explains how to create a two-frame HTML frameset designed to appear in a Web browser. It provides instructions for creating a table of contents in the left frame that jumps to topics in the right frame. It also explains when and where to add the HTML Help ActiveX control.

Once you have created the example frameset you can add other HTML elements to it to see how it works. You can also change the frameset values or edit the HTML Help ActiveX control features.

The five steps of the process are as follows:

  1. Create a two-frame frameset.
  2. Add a navigation frame.
  3. Add a default frame location to the table of contents file.
  4. Add a topic frame.
  5. View the complete frameset in a browser.

Notes

  • If you don't want to create your own frameset to display topics you can use the Help Viewer.
  • To carry out this example, you must already have a contents (.hhc) file and a few HTML topic files that it links to.


To create a two-frame HTML frameset

  1. On the File menu, click New, and then click HTML File.
  2. Enter a title for this file, which is the file that controls your frameset.
  3. Within the <BODY> start and end tags, type:

<Frameset cols="40%,*">
<Frame name="left" src="left.htm">
<Frame name="right" src="right.htm">
</Frameset>
  4. Delete the <BODY> start and end tags from the file. Your frameset will not work if the file that controls the frameset uses them.
  5. Save the file as frames.htm.


To add a navigation frame

  1. On the File menu, click New, and then click HTML File.
  2. Enter a title for your file.
  3. Within the <BODY> start and end tags, type:

    <object type="text/site properties"> <param name="FrameName" value="right"> </object>

  4. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  5. In the Specify the command box, click Table of Contents, and then click Next.
  6. In the Location of .hhc file box, specify where the contents file is located. Do not specify an Image Bitmap or change the Height or Width values.
  7. Click Next twice, and then click Finish. Do not specify any Window styles.
  8. Save the file as left.htm, so that it matches the name you gave when you created frames.htm.


To add a default frame location to the table of contents file

  1. Open the contents file that will appear in your frameset and click Contents Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

  2. In the Default frame box, type: right.
  3. Save the contents file.


To add a topic frame

  1. On the File menu, click New, and then click HTML File.
  2. Enter a title for your topic file.
  3. Enter any content you want to display in the default topic frame.
  4. Save the file as right.htm.


To view the complete frameset in a browser

  • Open the frameset in Microsoft Internet Explorer. For this example, double-click frames.htm.

Note

  • You have now created the basic template for a frameset. You can make any modifications you want to the HTML files that appear. You can also edit the HTML Help ActiveX control.


To add a Search tab to the Navigation pane

  1. Enable full-text search.
  2. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  3. On the Compiler tab, select the Compile full-text search information check box, and then click OK.
  4. Click Add/Modify Window Definitions, and then click the Navigation Pane tab.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  5. In the Window type box, click the window you want, and then select the Search tab check box. Select the Advanced check box to add advanced full-text search features.

Notes

  • You can decrease the time it takes for a full-text search by including a full-text search stop list in your project. Any words in the stop list are omitted from the search. These are usually commonly occurring words, such as "the" or "and" that a user is unlikely to search for.
  • After you add a new tab, you may want to adjust the window size and position of the Help Viewer to account for the new space the tab uses in the navigation pane.


To enable full-text search

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Compiler tab, and select the Compile full-text search information check box.

Notes

  • You must also add a Search tab to any window definition where you want one to appear.
  • You can decrease the time it takes for a full-text search by including a full-text search stop list in your project file.


The difference between the Index tab and the Search tab

The Index tab contains keywords that you specify. It can contain terms for beginners and advanced users, synonyms for terms, terms that describe topics generally, and terms that describe topics specifically. The index provides users with many different ways to find topics. The more terms you provide, the more likely it is that users will locate the topic they need.

The Search tab lists words that appear only within the help topics. To find a topic, users must specify a word as it appears in the help topic they're trying to find. The Search feature will adjust some word endings. For example, if a user enters "creating" when searching the help files for HTML Help Workshop, topics that begin with "To create" will be found.

By using the Search tab, users can locate every topic that contains a particular word. This can be useful to you as a help author. For example, if the name of one of your program's interface elements changes, you can use the Search tab to locate every occurrence of the term in your help files. After you've found the terms, you can easily update them.


Adding advanced full-text search to a help project

Adding advanced full-text search allows a user to search using boolean, wildcard, and nested expressions. A user can also limit the search to previous results, match similar words, or search topic titles only. When advanced full-text search is enabled, the Search tab in the Help Viewer is enhanced.

To see an example of advanced full-text search, click the Search tab in this help file.


Add a Search tab

A Search tab allows a user to search through every word in a compiled help (.chm) file.

What do you want to do?

Topic link | Learn more about adding a Search tab to the Navigation pane
Topic link | Add a Search tab to the Navigation pane
Topic link | Enable full-text search
Topic link | Add a full-text search stop list to a help project
Topic link | Learn about the difference between the Index tab and the Search tab
Home page link | About customizing the Help Viewer


About adding a Search tab to the Navigation pane

A compiled help file can include a Search tab that allows a user to search through every word in a help file to find a match. For example, if a user does a full-text search on the word "index," every topic that contains the word "index" will be listed.

Depending on how complex your help system is, the Search tab can contain either basic or advanced full-text search functionality. Advanced full-text search allows a user to search using boolean, wildcard, and nested expressions.

Notes

  • To see an example of Advanced full-text search, click the Search tab in this help file. To see an example of a basic search, click the Search tab in the HTML Help Viewer topics Help file.
  • You can decrease the time it takes for a full-text search by including a full-text search stop word list in your help project.


About the HTML Help Authoring Guide

The HTML Help Authoring Guide is an online document designed to provide designers, developers, and help authors with the information they need to use HTML Help and its components.

The HTML Help Authoring Guide has these sections:

  • Introducing HTML Help: General information about HTML Help and an introduction to the HTML Help components.
  • Designing a help system: Topics for help authors, designers, and developers using HTML Help to design and develop a help system.
  • Creating help: Information for help authors using HTML Help Workshop as a tool to create, edit, and manage help files.
  • Using HTML Help on the Web: Information about using components of HTML Help on Web sites to organize and present information.
  • HTML Help references: The HTML Help ActiveX control reference, the HTML Help API reference, the HTML tag reference, are all imporatnt references for the help developer. A pointer is also available to the documentation for the HTML Help Viewer that a help author can use to create help topics for the Help Viewer.

The HTML Help Web site contains additional information about HTML Help design and development, including updated references, sample topics on how to use the Help Viewer, and a sample Web site that uses the HTML Help ActiveX control for navigation.


About HTML Help authoring assistance

HTML Help authoring assistance is offered through a set of special features for help authors. These commands are only available if HTML Help Workshop is installed on your computer:

  • Jump to URL displays the URL of the currently selected topic, and lets you jump to a URL that you specify. This makes it easy to see what page you are on, or quickly navigate to a specific page.
  • View Entry displays information about the currently selected table of contents entry, including the destination file or URL, target frame or window, and any information types associated with the entry.

Notes

  • In compiled help files, the Jump to URL and View Entry commands can be accessed by right-clicking in the toolbar or table of contents of the Help Viewer. The Jump to URL command is available on the system menu.
  • In HTML files containing the HTML Help ActiveX control, the Jump to URL and View Entry commands can only be accessed by right-clicking in the table of contents.
  • The View Entry command is not available if you are using a binary table of contents.


Monitor help messages

You can view help messages to determine whether actions in a help file are working correctly. Using this feature, you can monitor HTML Help API calls, context-sensitive help calls, and which topics and pop-up windows are current.

What do you want to do?

Topic link | View help messages
Topic link | Clear help messages
Topic link | Learn about compiler messages
Topic link | Compiling a help project
Home page link | About testing a help system


To view help messages

  • On the View menu, click HTML Help Messages.

Notes

  • To see an example of context-sensitive help in HTML Help Workshop, open a project (.hhp) file, click Add/Modify Window Definitions, and then, if you have not defined any already, add a new window type. Click the question mark in the upper-right corner of the dialog box, and then click a control. Note the text that appears in the View Messages window.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  • When viewing help messages, you can clear the message log at any time.


To clear help messages

  • On the Edit menu, click Clear Messages.

Note

  • There must be help messages to view before you can clear them.


HTML Help references

The HTML Help ActiveX control reference

The HTML Help ActiveX control reference provides information about how to use the control in an HTML file and how to set its commands and parameters. GO

The HTML Help application programming interface (API) reference

The HTML Help API reference provides information on the HTML Help application programming interface (API), which enables a program to display a help window. GO

HTML tag reference

The HTML Help tag reference provides information on HTML color values, HTML elements, HTML attributes, and cascading style sheet (CSS) attributes. GO

Script and DHTML examples

These examples show you how HTML Help can be extended using scripts and DHTML. Procedures explaining economical ways to include scripts and DHTML are provided. GO

HTML Help Viewer topics

The HTML Help Viewer topics contain basic information about how to use the viewer. If you are a help author, you can include these topics in your help file. GO


Contents or index entry information

Help is available for all the items on this tab. If you need conceptual information, select the "About" topic, otherwise click a procedure.

What do you want help with?

Table of contents entries

Index entries

Information types

Information on the Advanced tab


The HTML Help registry key

To find the HTML Help registry key

You can determine if HTML Help is installed on a computer by checking for the HTML Help registry key.

  1. Click Start, and then click Run.
  2. Type regedit in the Open box, and then click OK. This will open the Microsoft Registry Editor.
  3. Click Find on the Edit menu, and then search for the following CLSID:

    ADB880A6-D8FF-11CF-9377-00AA003B7A11

    This is the CLSID of the HTML Help ActiveX Control (Hhctrl.ocx). It is registered by the system during setup. If Hhctrl.ocx is installed on your system, the CLSID will be found under HKEY_CLASSES_ROOT/CLSID. If it is not found, Hhctrl.ocx is not installed.

Note

  • Use extreme caution when viewing your registry with the Registry Editor. Changing anything in the registry can adversely affect how your system functions.


Work with ALinks

Associative Links (ALinks) can be used by a help author to link related topics to each other. When a user clicks a link that is associated with an ALink name, a dialog box or pop-up menu appears that contains a list of the target topics that contain the ALink name. Unlike Keyword Links (KLinks), ALink names do not appear in the index.

What do you want to do?

Topic Link | Learn more about working with ALinks
Topic Link | Create an ALink in a topic that links to a target file
Topic Link | Add an ALink name to a target HTML file
Topic Link | See an example text link that uses an ALink
Topic Link | Learn about the difference between ALinks and KLinks
Topic Link | Work with KLinks
Home page link | About working with links


About working with ALinks

When you create Associative links (ALinks), you need to first add ALink names to the topics that are the targets for the link. Then you add the ALink object to the topics you want to link from.

For example, add the ALink name pilot to several target topics. Then add the ALink object, with pilot specified in the ALink name search, to a topic you want linked to the other topics. The Alink name pilot will appear in the list of target topics when a user clicks the ALink in the topic containing the ALink object.

You can use an ALink to jump to topics in the same or other help files. The ALink target list will appear in a Topics Found dialog box when the user clicks the link. You can change this so that the target list appears on a pop-up menu. For detailed information about ALinks, see the HTML Help ActiveX control reference.


To add an ALink name to a target HTML file

  1. Open an HTML file.
  2. Position your cursor anywhere between the <BODY> start and end tags of the file, at the location where you want to add the Associative link (ALink) names.
  3. On the Edit menu, click Compiler Information, and then click the ALink Names tab.
  4. Click Add, and then enter any ALink names. You can add multiple names by separating each name with a semicolon.

Notes

  • This adds an <OBJECT> tag with the ALink names you have added to your HTML file. The file is now a target file and you can create an ALink from another HTML file to it.
  • You can test ALinks in compiled help files.
  • For more information about ALinks, see the HTML Help ActiveX control reference.


Create a text link for HTML Help ActiveX control commands

Using the HTML Help ActiveX control and JavaScript, you can create text links in an HTML file (such as a Related Topics links, Keyword links, or Associative links) that have the same effect as adding a button. By default, the ActiveX control will add a button to the help topic. When a user clicks the button, a list of topics will appear. Alternatively, the user can click a text link.

To create a text link you must use a scripting language, such as JavaScript. You reference an instance of the ActiveX control and the command you want to use, and then link it to the text. For detailed information about using the Click and HHClick methods for text links, see the HTML Help ActiveX control reference.

What do you want to do?

Topic Link | Learn how to create a link to a command without using a button
Topic Link | See an example of a text link used with an ALink
Topic link | Assign a window type to a topic when linking
Home page link | About working with links


Example: To create an ALink as a text link

  1. Click here to see a sample ALink text link.
  2. Open the HTML file in which you want to create an Associative link (ALink) as a text link.
  3. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  4. In the Specify the command box, click ALink Search and, if you have already used the HTML Help ActiveX control in this file, enter an ID name for this instance of the control.
  5. Click Next, and then click Hidden to specify that you will be scripting this use of the HTML Help ActiveX control.
  6. Select the appropriate display type options, and then add the ALink names you want to jump to.
  7. Position the cursor at the location where you want to create the link, and then copy the following tag into your file:

    <A HREF="JavaScript:hhctrl2Click()">add link text here</A>

    In this example, hhctrl2 specifies 2 as the ID number for this instance of the HTML Help ActiveX control, which the ALink Search command should look for.
  8. Replace add link text here with the words you want to use.

Notes

  • For this example, the ALink name example was added to the beginning of the HTML file. When you click the text link, it jumps to all target files that contain example as an ALink name.
  • You can test ALinks in compiled help files.
  • For more information about ALinks, see the HTML Help ActiveX control reference.


To create an ALink in a topic that links to a target file

  1. Open the HTML file you want to link from, and then position your cursor at the location where you want to create an Associative link (ALink).
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click ALink Search, and then choose the appropriate display type and button options.
  4. In the Related Topics dialog box, specify the ALink names you want to jump to.
  5. For more information about ALinks, see the HTML Help ActiveX control reference.

Notes

  • You must add ALink names to the appropriate target topics before the ALink will work.
  • Adding an ALink to an HTML file adds an <OBJECT> tag to your file. This allows you to link to any other files that contain the ALink names you specify. When a user clicks the ALink, any topics that contain the ALink names you have specified will appear.
  • You can test ALinks in compiled help files.


To have ALink or KLink target topics appear on a pop-up menu

  1. Open the HTML file in which you want to have the Associative link (ALink) or Keyword link (KLink) target topics appear as items on a pop-up menu.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click ALink Search or KLink Search. If you are going to use scripting to access the command, enter the ID name to use for this instance of the HTML Help ActiveX control.
  4. Click Button if you want the ALink or KLink Search command to appear as a button or Hidden if you want to use a text link for this instance of the HTML Help ActiveX control.
  5. Select the Display on a Pop-up Menu check box, and then follow the instructions on your screen.

Notes

  • Topics appear in a Topics Found dialog box by default.
  • For more information about ALinks, KLinks, and other commands, see the HTML Help ActiveX control reference.


To edit the HTML Help ActiveX control in a file

  1. Open an HTML file, and then position the cursor at the location where you want to edit the ActiveX control properties.
  2. On the Tags menu, click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

Note

  • For more information about the control, see the HTML Help ActiveX control reference.


To insert the HTML Help ActiveX control into a topic

  1. Open an HTML file, and then position the cursor at the location where you want the ActiveX control functionality to appear.
  2. Click HTML Help ActiveX Control, and then follow the instructions on your screen.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

Notes

  • You can also edit the HTML Help ActiveX control.
  • The HTML Help ActiveX control is signed using Authenticode 2.0 technology. You may need to install Authenticode 2.0 in order to successfully run the control.
  • For more information about the control, see the HTML Help ActiveX control reference.


Work with bookmarks

Bookmarks enable you to link to a specific location in a help topic from within the same topic, or from another file.

What do you want to do?

Topic link | Learn more about working with bookmarks
Topic link | Create a bookmark
Topic link | Link to a bookmark in another HTML file
Home page link | About working with links


About working with bookmarks

Suppose you have a very long help topic and you want users to read information that appears in the middle of it, or you are in the middle of a long topic and want to give users a way to get back to the beginning. You can link to information anywhere in a topic by marking the exact location you want a user to jump to.

Help system or Web site authors can create topics that begin with a "hot" list of the most important information contained in the file. Rather than have the user scroll through the file to get to those topics, the author makes each item in the list a bookmark that takes the user directly to the item they click.

Bookmarks also are used with Back to top links, text or buttons that help a user navigate from the middle of a file back to the beginning. A table of contents or index entry can also jump to a bookmark.


To create a bookmark

  1. Create a text block named Bookmark that contains this syntax:

    <a name="Bookmark"><strong>Bookmark</strong></a>

    where Bookmark is the text you want the bookmark to link to.
  2. Insert the text block into your HTML file.
  3. Replace Bookmark with the text you want to link to.
  4. Create another text block named Link to Bookmark that contains the syntax:

    <a href="#Bookmark">Link to Bookmark</a>

    where Link to Bookmark is the text you want to link to the bookmark from.
  5. Insert the text block into your HTML file.
  6. Replace Link to Bookmark with the link text.
  7. Repeat steps 2, 3, 5, and 6 as necessary.

Note

  • Bookmarks refer to links that are in the middle of an HTML file. You can also link to a bookmark in another topic file.


To link to a bookmark in another HTML file

  • Use the following syntax:

    <A HREF="file name.htm#bookmark">link</A>

    where file name is the name of the topic file, bookmark is the name of the bookmark in the file you want to link to, and link is the link text.


About using cascading style sheets

A cascading style sheet is a separate HTML file that keeps track of design and format information such as the colors, fonts, font sizes, and margins you use in your help files or Web pages. By linking your HTML files to a cascading style sheet, you can easily create a consistent design for all of your files.

For example, suppose that you select a background color, colors for your links and text, and fonts for each heading level in your files. Instead of specifying that information in each file, you can create a style sheet. When you want to change those settings in all your files, you change only the style sheet.

You can also create a separate style sheet for different display devices. For example, you can use a style sheet to address the formatting concerns of Braille readers, text-to-speech converters, printers, or specialized browsers that understand the style-sheet instructions.


To create a cascading style sheet

  1. Open an HTML file, and then use the <STYLE> tag to specify the font, color, margin, heading styles, and other style elements you want your style sheet to use.
  2. If you want to create an external style sheet and link other files to it, save the style sheet as a separate .css file. If you want to include the style sheet in the file you are working in, save the HTML file.

Notes

  • Cascading style sheet specifications are determined by the World Wide Web Consortium (WC3), the organization that develops common protocols for the World Wide Web. The CSS specification and other information about how cascading style sheets work is available from their Web site, along with information about other style sheet protocols.
  • Cascading style sheets display differently in Microsoft Internet Explorer versions 3.0 and 4.0. You should create a separate style sheet for each browser version.


Link a style sheet to an HTML file

You can include style sheet information in an HTML file in two ways:

  • Use the <LINK> tag to reference an external style sheet contained in a separate file.
  • Include style sheet information between the <STYLE> start and end tags inside the file.

The formatting appears the same with either method. If you are managing a large help system or Web site, the advantage to using an external style sheet is that the same styles can be used by many different files, without duplicating the information between the <HEAD> start and end tags of every file.

What do you want to do?

Topic link | Link to an external style sheet
Topic link | Include the style sheet information in an HTML file
Home page link | About using cascading style sheets


Example: Cascading style sheet

Example: Cascading style sheets

If your users have Microsoft Internet Explorer version 3.02 as their browser, you will need to ship two separate cascading style sheets. You need to create one style sheet works with Microsoft Internet Explorer version 3.02 and another that works with Internet Explorer version 4.0.

Both can be used as external style sheets and attached to each file using the <LINK> tag:

  • Sample of an Internet Explorer 3.02 cascading style sheet.
  • Sample of an Internet Explorer 4.0 cascading style sheet.


To link to an external style sheet

  • Add the <LINK> tag, between the <HEAD> start and end tags, to each help file or Web page where you want to attach the style sheet. For example:
    <LINK REL = "stylesheet"
TYPE = "mime/type"
HREF = "url">
    where the value REL= "stylesheet" indicates that the target source is a style sheet, mime/type is the MIME type for the style sheet, and url is the address of the style sheet file.

Note

  • Each style sheet has its own MIME type. Cascading style sheets have the MIME type text/css.


To include a style sheet in an HTML file

  • Open each HTML file you want to contain the style sheet, and add the style information between the <HEAD> start and end tags using the <STYLE> tag.

    Here is an example of a style sheet created this way:

    <STYLE>
BODY {
font-family: times, serif;
color: black;
margin-left: 10%;
margin-right: 10%;
}
A:link {
color: black;
text-decoration: underline;
}
A:visited {
color: black;
text-decoration: none;
}
</STYLE>


To apply a style to one element in an HTML file

  1. In the HTML file, position your cursor at the location where you want to apply the style.
  2. Using the <STYLE> tag, add the style to the element. For example:

    <p STYLE= "
font-family: times;
font-size: 12pt
"> paragraph text ...</p>
    3. where the font and size <STYLE> tag attributes are applied to the text between the <P> start and end tags.

Note

  • Use this method only if you want to change one element in a file without modifying the style sheet.


To apply a style to a phrase in an HTML file

  1. In the HTML file, select the phrase you want to apply special formatting to.
  2. Add the <SPAN> tag and the <STYLE> tag attributes you want. For example:
    <SPAN STYLE= "{
font-family: times;
font-size: 12pt;
background: yellow;
color: red;
}">
Span this phrase</SPAN>
    In this example, the font, and background <STYLE> tag attributes will be applied to the text Span this phrase.

Note

  • This allows a help author to format individual phrases, words, or letters.


Example: Internet Explorer 3.02 cascading style sheet

/* Microsoft HTML Help WorkShop CSS*/

body{font-size: 75%; font-family: Verdana,Arial, Helvetica, Sans-Serif;}
a:link	{background: transparent; color: #0000FF;}
a:visited {color: #800080;}

h1{font-weight: bold; font-size: 55%;margin-bottom: -2.2em;}

li{margin-top: 4pt;}
ul li{padding-top: 4pt;}
ol li{padding-bottom: 4pt;}
ul{margin-left: -15pt; margin-top: -7em;}
ol{margin-left: -15pt; margin-top: -7em;}
ol ul{margin-top: 0em; list-style: disc;}
code{font-family: Courier;}
pre{font-family: Courier;}
table{width: auto; text-align: left; font-size:	75%; font-size: +12;}
th{text-align: left;}
td{margin-right: 0em;}
img{margin-top: -4pt;}

/* Overview heading   */
h5.overh{font-size: 120%;}
h5{font-size: 100%;}

/* Procedure heading  */
h5.proch{font-size: 100%;}

/* Decision heading   */
h5.what{font-size: 100%; color: #993399;}

/* Note & Tip heading */
h5.note{font-size: 95%;}

Note

  • Because of changes to cascading style sheet specifications, style sheets that work on Microsoft Internet Explorer 3.02 may not work on Internet Explorer 4.0.


Example: Internet Explorer 4.0 cascading style sheet

/* Cascading Style Sheet for IE4.0 build 1008+ */

body{font-size: 75%; line-height: 125%; font-family: Verdana, Arial, Helvetica,}
a:link{color: #0000FF;}
a:active{color: #FF33CC;}
a:visited{color: #800080;}
h1{font-size:145%;margin-bottom:.5em;}

h2{font-size:125%;margin-top:1.5em;margin-bottom:.5em;}
h3{font-size: 110%;margin-top:1.2em;margin-bottom:.5em;}
p{margin-top:0pt;margin-bottom:0pt;}
li p{margin-top:.6em;margin-bottom:0em;}
big{font-weight:bold;font-size:105%;}
ol{margin-top:.5em;margin-bottom:0em}
ul{margin-top:.6em;margin-bottom:0em;margin-left:2.75em;}
ol ul{list-style:disc;margin-top:2em;}
li{padding-bottom:.7em;margin-left:-1.25em;}
dl ul{margin-top:2em;margin-bottom:0em;}/*list item inside a def/term*/
dl{margin-top:-1em;}
ol dl{margin-top:-1.5em;margin-left:0em;}/*term/def list inside a numbered list*/
ol dl dl{margin-top: 0em;margin-left:.2em;}/*term/def list inside a term/def list*/
dd{margin-bottom:0em;/*not currently working*/margin-left: 1.5em;}
dt{padding-top:2em;font-weight: bold; margin-left:1.5em;}
code{font-family:Courier;}
pre{margin-top:0em margin-bottom:1.5em; font-family:Courier;	font-size: 125%}
table{font-size:100%;margin-top:1em;margin-bottom:1em;}
th.center{text-align:center;}
th{text-align:left;background:#dddddd;margin: 3pt;vertical-align:bottom;}
tr{vertical-align:top;}
td{margin: 3pt;vertical-align:top;}

/*  IE 4.0 TAGS  */
p.dis{font-size: 6pt;}
h5{}
h5.active{background: #000000;	color: #FFCC99;}

/* -- subheading -- */
h5.subh	{color: #660000;margin-bottom:-1em;margin-top: 1.5em;}

/* -- Overview heading -- */
h5.overh{font-size:120%;margin-bottom:1%;}

/* -- procedure heading -- */
h5.proch{margin-bottom:4pt;}

/* -- topic heading -- */
h5.topich{margin-bottom:-1em;}

/* -- Decision heading -- */
h5.what{color: #993399;margin-bottom:.4em;}

/* -- note 'n' tip heading -- */
h5.note{margin-top:1em;margin-bottom: 0em;}

/* -- related topics heading -- */
h5.relh{margin-top: 2.25em;margin-bottom: -1em;}

Note

  • Because of advances in cascading style sheet technology and specifications, style sheets that work on Microsoft Internet Explorer 4.0 will not work on Internet Explorer 3.02.


Create HTML files

The easiest way to author your help system is to create a new HTML file for each help topic or Web page. You can then create a help project file to collect, manage, and compile your help topics.

What do you want to do?

Topic link | Create a new HTML file
Topic link | Convert an existing help project
Topic link | View an HTML file
Topic link | Add tags and other elements to HTML files
Topic link | Split an HTML file with multiple topics into multiple topic files
Home page link | About creating HTML topic files


To create a new HTML file

  1. On the File menu, click New, and then click HTML File.
  2. Type a title for the file.
  3. Add text, tags, or other items to the file.

Notes

  • The title should be no longer than 60 characters so it can easily appear in a history list, hotlist file, or bookmark list, or be used in an index. It should also be descriptive. Some authors use the table of contents entry for the title.
  • To change the title of a file, click the Tags menu, and then click Title.
  • To add a hidden comment to a file, click the Tags menu, and then click Comment.
  • You can use any authoring tool to create HTML files as long as you create standard version 3.2 HTML source code.


Create text links

You can create a text link to jump from one HTML file to another in your help project, or from an HTML file to an external Web site or server location. A text link can consist of one character or several paragraphs, but authors typically limit them to a word or a short phrase.

If you use the default setting for HTML Help Workshop, text links appear in a browser as underlined, colored text; the original color changes after a user clicks the link.

What do you want to do?

Topic link | Add a text link to an HTML file
Topic link | Assign an alternate location for a contents or index entry
Topic link | Add a bookmark link to a file
Topic link | Create a text link for HTML Help ActiveX control commands
Topic link | Assign a window type to a topic when linking
Home page link | About working with links


To add a text link to an HTML file

  • Create a text block for the <A> tag with a destination URL attribute, and then add the tag to your HTML file. For example, create the following text block:

    <A HREF="file name.htm">link</A>

    where file name is the name of the file you want the link to jump to and link is the text you want a user to click.


To insert the HTML Help Java Applet into an HTML file

  1. Open an HTML file, and then position the cursor at the location where you would like the HTML Help Java Applet to appear.
  2. Use the following syntax to add the applet:

    <APPLET code="HHCtrl.class" width=200 height=200 codebase="code base">
    <PARAM name="Command" value="command type">
    <PARAM name="Item1" value="text data">
    </APPLET>

Notes

  • The CODEBASE attribute must point to the location of the applet's class files.
  • The following commands can be specified.

    Command | Description
    Contents Specifies that a table of contents will appear based on the information supplied in the site map file specified in the Item1 parameter (normally an .hhc file). The specified file must reside in the same directory as the document containing the applet.

    If the Flags parameter is specified, the first number is an extended window style, and the second is a TreeView or standard window style.
    Index | Specifies that an index will appear based on the information supplied in the site map file specified in the Item1 parameter.
    Related Topics | Specifies that related topics will appear based on the information supplied in the site map file specified in the Item1 parameter.


To speed up the HTML Help Java Applet download time

  1. Place all the required class and image files into a cabinet (.cab) file if Microsoft Internet Explorer is the target browser, or a .zip file if Netscape Navigator is the target browser.
  2. Use the following syntax:

    <APPLET archive="HHCtrl.zip" code="HHCtrl.class" width=200 height=200 codebase="code base">
    <PARAM name="Command" value="command type">
    <PARAM name="Item1" value="text data">
    <PARAM name="Cabbase" value="HHCtrl.cab">
    </APPLET>

Notes

  • Microsoft Internet Explorer lets you specify a CABBASE parameter with the name of a .cab file. A .cab file is a compressed archive containing your class files.
  • Netscape Navigator uses an ARCHIVE parameter with the <APPLET> tag, and an uncompressed .zip file as an archive.


Troubleshooting the Java Applet

The following table lists problems that might arise when using the HTML Help Java Applet, along with possible solutions:

If this happens | Try this
Cannot find _______.class. Check that the CODEBASE parameter in the <APPLET> tag points to a directory that contains the following files:
    • HHCtrl.class
    • TreeView.class
    • TreeCanvas.class
    • sitemapParser.class
    • IndexPanel.class
    • ElementList.class
    • Element.class
    • DialogLayout.class
    • RelatedDialog.class
    • cntimage.gif
Images don't display in the table of contents. | Make sure that cntimage.gif is in the directory specified by the CODEBASE parameter of the <APPLET> tag. If your contents (.hhc) file specifies a custom image strip, then make sure that the image file is in the same directory as the HTML file containing the applet.
Contents files take a long time to load. | If your contents files take too long to load, try breaking them up into multiple sections using the MERGE keyword.


Work with KLinks

You can use Keyword links (KLinks) to link between HTML files and to build an index.

What do you want to do?

Topic Link | Learn more about working with KLinks
Topic Link | Add a KLink keyword to an HTML file
Topic Link | Learn about working with ALinks
Topic Link | Learn about the difference between ALinks and KLinks
Home page link | About working with links


About working with KLinks

Keyword links (KLinks), are based on keywords that you add to your HTML files. When a user clicks a button or link that is associated with a KLink keyword, a Topics Found dialog box appears displaying the titles of all the topics that contain the keyword. You can use a KLink to jump to topics in the same or other help files. KLink keywords also appear in the index.

KLinks are automatically updated as keywords are added to or deleted from HTML files. As you author topics that contain these keywords, the topics are added to the Topics Found dialog box.

KLinks also enable you to specify jumps to topics in help files that won't be on a user's hard disk or a Web site until some future time. You might, for example, plan to distribute an updated help file that contains more topics but uses the same keywords as the earlier version.

When creating KLinks, first you add keywords to the HTML files that are the target for the link. Then you add the KLink object to the topic files you want to link to that target. For example, add the keyword "fonts" to several HTML files. Then add the KLink object with "fonts" specified in the keyword search to a file you want to link to those files. The keyword will appear in the index and in the Topics Found dialog box. You can also specify that the target list appears on a pop-up menu instead of in the Topics Found dialog box. For detailed information about KLinks, see the HTML Help ActiveX control reference.


To add a KLink keyword to an HTML file

  1. Open an HTML file.
  2. Position your cursor anywhere between the <BODY> start and end tags of the file, at the location where you want to add the keywords.
  3. On the Edit menu, click Compiler Information, and then click Keywords.
  4. Click Add, and then specify any keywords you want to insert into the file. You can add multiple keywords by separating each name with a semicolon.

Notes

  • To use KLinks, your help project must be set up to include keywords from HTML files.
  • Inserting a KLink adds an <OBJECT> tag to your HTML file. The file can now be a target file, and you can create a KLink from another HTML file to it.
  • Index files created using the site map method do not support KLinks.
  • You can test KLinks in compiled help files.
  • For more information about KLinks, see the HTML Help ActiveX control reference.


To generate keywords from HTML files

  1. Open a project (.hhp) file, click Change Project Options, and then click the Files tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Select the Include keywords from HTML files check box.


To create a KLink in an HTML file to a keyword in a target file

  1. Open the HTML file you want to link from, and then position your cursor at the location where you want to create a Keyword link (KLink).
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click Keyword Search, and then select the appropriate display type and button options.
  4. In the Related Topics dialog box, specify the keywords you want to jump to.

Notes

  • You must add keywords to the appropriate target files before the KLink search will work.
  • Adding a KLink to an HTML file adds an <OBJECT> tag to your file. This allows you to link to any other files that contain the keywords you specify. When a user clicks the KLink, any topics that contain the keywords you have specified will appear.
  • To use this feature, your help project must be set up to include keywords from HTML files.
  • For more information about KLinks, see the HTML Help ActiveX control reference.


The difference between KLinks and ALinks

Keyword links (KLinks) and Associative links (ALinks) are similar in the way that they are created and used, except for one important difference: the user never sees an ALink name. Instead, in cases where more than one file contains the same ALink name, a user sees a list of topics they can choose from. Keywords, on the other hand, are always visible on the Index tab.

ALinks are especially useful in situations where you are merging a collection of help files. ALink names can be shared by the authors of each .chm file in the collection so that all topics with the same ALink name can be linked to. Topics with this ALink name added to the collection at a later date will also be found by the original ALinks.

ALinks and KLinks look for exact matches. A KLink will look for the exact entry you made in the index or in any KLink keywords you added to HTML files. An ALink will look for the exact entry you made when you added an ALink name to an HTML file. For example, if you add the keyword "procedure" in a KLink, but you specified "procedures" as the keyword, the topic will not be found.

What do you want to do?

Topic Link | Learn about working with KLinks
Topic Link | Learn about working with ALinks
Home page link | Working with links


About working with links

There are many creative ways for help authors to provide jumps or links within a help file or to resources outside a help system. The most common links are those within HTML files, from one HTML file to another, or to a Web site or server location.

You can also link to other help systems or to multimedia files. You can add buttons that link to topics or locations, or link to topics that appear in a different window than the topic from which you are linking.

Here are some of the ways you can link information:

  • Create text links.
  • Create a bookmark to link from one location in an HTML file to another location within the same file.
  • Create a link from a contents or index entry to a topic on a Web site.
  • Create a link to another help file.
  • Create a Related Topics link to other HTML files.
  • Create a KLink based on a keyword you and other authors create in your HTML files. Keywords also appear in the index.
  • Create an ALink based on an ALink name you or other authors create in your HTML files. ALink names do not appear in the index.
  • Create a button that links to a topic (such as a home page), another location, or another file.
  • Create a link to a topic that opens in a different window.


About creating links to compiled help files

How you link to another compiled help (.chm) file depends on how you want the help file or a topic to appear.

For example, you can link from a Web page to a compiled help file, or from a contents or index entry in the Help Viewer to a topic in another help file. The type of link you use depends on the location you are linking from and where you want to link to.

You can link to a compiled help (.chm) file using a standard HTML link:

  • Open a compiled help file from a Web page or topic file.
  • Open a compiled help file from a contents or index entry.

However, using this method you cannot open a specific topic in a compiled help file. The file will open with the default topic displayed.

Alternatively, you can create a link to a specific topic in a compiled help file and display it in your current browser window or the Help Viewer. Using this method, you can:

  • Link to a topic in a compiled help file from a Web page or topic file.
  • Link from a contents or index entry to a topic in another compiled help file.
  • Link from a topic in a WinHelp file to a topic in an HTML Help file.


To link to a topic in a compiled help file from a Web page or topic file

  1. Create an HTML file.
  2. Create a link using the following syntax:

    <A HREF="ms-its:file name.chm::/topic.htm">

    where file name.chm is the name of the compiled help file and topic.htm is the name of the HTML file to which you want to link.
  3. Make sure that the compiled help file you want to link to is located in the same directory as the file you are linking from.

Notes

  • Use this procedure if you want to pull a single topic from a compiled help file. You can also create a link that will download the entire help file.
  • The MS-ITS protocol works with Microsoft Internet Explorer 4.0 or later. If your users are running Internet Explorer 3.0, they need to use the following protocol, which also works with later versions of the browser: mk:@MSITStore:file name.chm::/topic.htm.
  • If you want to link to a compiled help file that is located in a directory on the Web, you need to provide the full URL including the HTTP address. For example, ms-its:http://www.sample.com/file name.chm::/topic.htm.


To link from a contents or index entry to a topic in another compiled help file

  1. Open a contents (.hhc) or index (.hhk) file, and then click Add if you are adding a new entry or Edit if you are changing an existing one.
  2. In the File or URL box, add the following syntax:

    ms-its:file name.chm::/topic.htm

    where file name.chm is the name of the compiled help file and topic.htm is the name of the HTML file to which you want to link.
  3. Make sure that the compiled help file you want to link to is located in the same directory as the file you are linking from.

Notes

  • The MS-ITS protocol works with Microsoft Internet Explorer 4.0 or later. If your users have Internet Explorer 3.0 installed, they need to use the following protocol, which also works with later versions of the browser: mk:@MSITStore:file name.chm::/topic.htm.
  • If you want to link to a compiled help file that is located in a directory on the Web, you need to provide the full URL including the HTTP address. For example, ms-its:http://www.sample.com/file name.chm::/topic.htm.


To create a link to a command without using a button

  1. Open the HTML file in which you want to have the Related Topics link, Associative link (ALink), Keyword link (KLink), Shortcut, Close window, HTML Help ActiveX control version dialog box, or WinHelp topic appear.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click a command. You must enter the ID name to use for this instance of the HTML Help ActiveX control because you will use scripting to access the command.
  4. Click Next, and then click Hidden to specify that you will be scripting this use of the control.
  5. Select the appropriate display type and button options, and then add the ALink names you want to jump to.
  6. Add the appropriate JavaScript to the HTML file to create a text, graphic, or other link to the control.

Note

  • This procedure can be used with any of the HTML Help ActiveX control commands that provide a button by default. It is useful, for example, when you want to create a Related Topics link, KLink, or ALink in an HTML file using a text link. Instead of clicking a button, the user clicks the text link.
  • For more information about commands, see the HTML Help ActiveX control reference.


To link from a topic in a WinHelp file to a topic in an HTML Help file

  1. Open the appropriate WinHelp topic and add the following macro syntax to the link:

    !execfile(hh.exe, ms-its:file name.chm::/topic.htm)

    where !execfile is the name of the WinHelp macro, hh.exe is the HTML Help executable file, file name.chm is the name of the compiled help file and topic.htm is the name of the HTML file.
  2. Make sure that the compiled help (.chm) file you want to link to is located in the same directory as the WinHelp file you are linking from.

Notes

  • If you do not need to link to a specific topic in the HTML Help file, omit ::/topic.htm from the syntax.
  • Using the !if macro, you can also check the return value of the !execfile macro and display an alternate topic if the compiled help file could not be loaded.
  • The MS-ITS protocol works with Microsoft Internet Explorer 4.0 or later. If your users have Internet Explorer 3.0 installed, they need to use the following protocol, which also works with later versions of the browser: mk:@MSITStore:file name.chm::/topic.htm.
  • If you want to link to a compiled help file that is located in a directory on the Web, you need to provide the full URL including the HTTP address. For example, ms-its:http://www.sample.com/file name.chm::/topic.htm.


To link from a topic in a HTML Help file to a topic in a WinHelp file

  1. In HTML Help Workshop, open the appropriate HTML file, and then click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  2. In the Specify the command box, click WinHelp topic, and then follow the instructions on your screen.


To split topics in an HTML file

  1. Open an HTML file.
  2. Position your cursor anywhere between the <BODY> start and end tags of the file, at the location where you want to create the new topic.
  3. On the Edit menu, click Split File.
  4. In the New HTML file name box, type a name for the new file.
  5. In the New title box, type a title for the new file.

Notes

  • HTML Help Workshop splits the file during the compilation process. The basic <BODY>, <HTML>, and <DOCTYPE> tags will be added after each split. The <TITLE> tag will also be duplicated if you do not specify a new title for each file.
  • You can have multiple instances of the HTML Help ActiveX control in a single HTML file to split the file in multiple locations.
  • This feature can be used only with a compiled help (.chm) file.
  • The split HTML files do not appear in the [FILES] section of the project (.hhp) file. To create links to these files in any HTML file or in your table of contents, refer to the file names specified in Split File. These HTML files are accessible only from the master HTML file until after compilation.


Add tags and other elements to HTML files

In addition to text, HTML files contain HTML tags and elements such as Dynamic HTML and scripts that can affect how information appears in the topic.

For more information about the tag or element you are adding, see the HTML Tag Reference.

What do you want to do?

Topic link | Add the most common HTML character formatting tags to your file
Topic link | Store HTML tags or text for later use
Topic link | Insert the HTML Help ActiveX control into a file
Topic link | Add Related Topics links to a file
Topic link | Create a shortcut in a help topic
Home page link | About creating HTML topic files


To add the most common HTML character formatting tags to your file

  1. Select the text you want to format.
  2. On the Tags menu, point to Character Formatting, and then click the formatting you want.

Note

  • To add a <HEADING>, <COMMENT>, or <TITLE> tag, click the Tags menu, and then click Heading, Comment, or Title.


To store HTML tags or text for later use

  1. Copy the tag or text you want to reuse.
  2. On the Tags menu, point to Insert Text Block, and then click an Empty command.
  3. Click Yes.
  4. In the Name of text block box, type a name for the text block.
  5. In the Text block box, enter the tag or text.

Note

  • To edit a stored tag, click the Tags menu, point to Edit Text Block, and then click the tag you want to edit.


To add Related Topics links to a file

  1. Open the HTML file you want to add Related Topics links to.
  2. On the Tags menu, click HTML Help ActiveX control.
  3. In the Specify the command box, click Related Topics, and then click Next.
  4. Follow the instructions on the screen.

Notes

  • By default, the Related Topics list appears in a Topics Found dialog box. You can specify that they instead appear on a pop-up menu.
  • Related Topics can be authored as a text link.
  • You can specify that Related Topics open in a secondary window.


To have Related Topics links appear on a pop-up menu

  1. Open the HTML file in which you want to have the Related Topics links appear on a pop-up menu.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click Related Topics. If you are going to use scripting to access the command, enter the ID name to use for this instance of the HTML Help ActiveX control.
  4. Click As a Button if you want the ALink or KLink Search command to appear as a button or Hidden if you want to use a text link for this instance of the HTML Help ActiveX control.
  5. Select the Display on a pop-up menu check box, and then follow the instructions on your screen.

Notes

  • Topics appear in a Topics Found dialog box by default.
  • For more information about Related Topics, see the HTML Help ActiveX control reference.


To create an HTML topic template

  1. Create an HTML file and add the sample text, fields, tables, forms, and other design elements that all the files of this type should contain.
  2. Add boilerplate text to make it easy to identify each element.

Notes

  • To get a better idea of how a topic template might look, you can view the topic templates.
  • You can reduce the time it takes to create individual help files or Web pages by distributing a template to all the authors working on a help system or Web site.
Home page link About using topic templates


Example: Help authoring templates

The following are some of the templates you can use to create your help files:

  • Overview topic template
  • Decision topic template
  • Multi-step procedure topic template
  • One-step procedure topic template
  • Source-code example topic template


About the overview topic template

The overview topic template can be used for overview topics that introduce or describe general concepts.

You can copy this example and add formatting elements to it for your help system.


About the decision topic template

The Decision topic template can be used for topics that briefly introduce concepts, and then list links to procedures a user might want to perform.

You can copy this example and add formatting elements to it for your help system.


About the procedure topic template

The multi-step procedure template can be used for step-by-step topics where there is more than one step in the procedure.

You can copy this example and add formatting elements to it for your help system.


About the one-step procedure topic template

The one-step procedure topic template can be used for procedure topics that have only one step.

You can copy this example and add formatting elements to it for your help system.


About the source-code example topic template

The source-code example topic template can be used for topics that include examples of HTML source code.

You can copy this example and add formatting elements to it for your help system.


View HTML files

You can view HTML files in several ways.

What do you want to do?

Topic link | View an HTML file as part of a compiled project
Topic link | Open an HTML file and view its source code
Home page link | About creating HTML topic files


To open an HTML file and view its source code

  • On the File menu, click Open, and then locate the file.


To view an HTML file as part of a compiled project

  • After you create and compile a project file with a table of contents or index, click View Compiled File.

    View Compiled File

    Displays the compiled help file as it will appear to users.


Create an index file

You create an index by using HTML Help Workshop to create an index (.hhk) file. You then add keywords to the index file.

What do you want to do?

Topic link | Learn more about creating index files
Topic link | Create a new index file
Topic link | Create keywords
Topic link | Edit or add updates to an existing index file
Topic link | Learn about the difference between the Index tab and the Search tab
Home page link | About creating index files


About creating an index file

The index file you create in HTML Help Workshop is an HTML file that uses a site map and can be added to a Web site. If you choose to include it as part of a compiled help (.chm) file, the compiler will compress the site map and create a binary index, which takes up less space.

There are some important differences between binary and site map index files that can help you decide which type you want to use.

Notes

  • If you are designing a help system using the Help Viewer, adding an index file to your help project will also create the Index tab in the left pane of the Help Viewer after the project is compiled.
  • If you are designing for a Web site or your own frameset, make sure you add the HTML Help ActiveX control to the appropriate files and specify a default frame to display your index file.


To set an index keyword to be inactive

  1. Open an index file, click the keyword you want to turn into an inactive link, and then click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  2. Click the Advanced tab, and then select the Target is another keyword check box.
  3. Click the General tab, and then click Edit.
  4. In the File or URL box, replace the file name or URL with the keyword exactly as it appears in the Keyword box, and then click OK.

Note

  • This sets an index entry to jump to itself, creating the appearance of an inactive link.


Edit an index file

Once you create an index, you can edit or update the keywords and specify how they will appear to the user.

What do you want to do?

Topic link | Assign an alternate location for topics
Topic link | Assign a window type to a contents or index entry
Topic link | Create a keyword with multiple targets
Topic link | Set an index keyword to jump to another index keyword
Home page link | About creating index files


Create keywords

The method you use for creating keywords depends on what kind of index you are authoring for.

What do you want to do?

Topic link | Create keywords for a binary index (used with compiled help files)
Topic link | Create keywords for a site map index (works on a Web site)
Topic link | Learn about the difference between binary and site map indexes
Home page link | About creating index files


Create keywords for a binary index

A binary index is automatically generated whenever you compile an index into a compiled help (.chm) file. You can create keywords either by adding them to the index file or as Keyword links (KLinks) that are added to target files.

Keywords in the index will be merged with any that you have added to HTML files when the index is compiled. If you are merging indexes from multiple compiled help files, be sure to consider how to manage the index files in the collection.

Notes

  • Binary indexes are automatically sorted by the compiler.
  • A binary index will not be created if you select 1.0 as the version in the Compatibility box, on the Compiler tab, in the Project Options dialog box, or if the Create a binary index check box is cleared.

What do you want to do?

Topic link | Create a keyword with multiple targets
Topic link | To set an index keyword to jump to another keyword
Topic link | Create a binary index
Topic link | Learn about the difference between binary and site map indexes
Home page link | About creating index files


Create keywords for a site map index

A site map index is automatically generated whenever you create an index (.hhk) file and do not compile it. You create keywords by adding them to the index file.

You have complete control over how a site map index is sorted and can edit and create custom sort orders for your index.

Notes

  • Keyword links (KLinks) and Associative links (ALinks) are not available when you use a site map index.
  • A site map index will also be created if you select 1.0 as the version in the Compatibility box, on the Compiler tab, in the Project Options dialog box.

What do you want to do?

Topic link | Create a keyword with multiple targets
Topic link | Set an index keyword to jump to another keyword
Topic link | Learn about the difference between binary and site map indexes
Home page link | About creating index files


The difference between binary and site map indexes

There are two types of indexes available for help authors to use, a binary index or a site map index. Each type of index has its own unique features.

Binary index

This type of index is used only with compiled help (.chm) files. The following are some characteristics a binary index:

  • Good for large indexes because its compiled size is very small.
  • Is automatically sorted during compile. A help author cannot customize how a binary index is sorted.
  • Can be merged with other indexes. All indexes are then sorted at compile time as one.
  • Can be used with KLinks to create links to specific topics.
  • Will automatically merge keywords added to HTML files with Keyword links (KLinks) added to the index file.

site map index

This type of index must be used when authoring an index for a Web site. It can also be used with compiled help files. The following are some characteristics of a site map index:

  • Works on a Web site.
  • Help author has complete control over how the index is sorted.
  • Works without being compiled (but can also be compiled).
  • Same index can be used for Web site and compiled help file.
  • Is better to use with smaller indexes because site map indexes are larger than binary indexes.
  • Keywords are not merged with other indexes or sorted during compile.
  • KLinks do not work with site map indexes.

Note

  • The method you use for creating keywords depends on whether you are creating an index that will be used in a compiled help file, on a Web site, or in a situation where there are multiple indexes.


Guidelines for writing keywords

A comprehensive keyword list is one of the most helpful navigational tools that you can provide for users. It can help them locate help topics even if they are unfamiliar with the terms used in your program.

The more keywords you provide in a topic, the more likely it is that users will be able to find the topic they're looking for. It's typically best to include several types of keywords in each topic, including:

  • Nontechnical terms that are likely to occur to beginning users.
  • Technical terms that are likely to occur to advanced users.
  • Common synonyms for technical terms.
  • Words that describe the topic generally.
  • Words that describe part of the topic.
  • Inverted forms of keyword phrases—for example, "combining help files" and "help files, combining."


To set an index keyword to jump to another keyword

  1. Open an index (.hhk) file, click the keyword you want to jump to another index keyword, and then click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  2. Click the Advanced tab, and then select the Target is another keyword check box.
  3. Click the General tab, and then click Edit.
  4. In the File or URL box, type the keyword you want to jump to, and then click OK.

Note

  • This is useful for creating cross-references, such as See Also index entries.


To add a keyword to an index file

  1. Open an index (.hhk) file, and then click Insert a Keyword.

    Insert a Keyword

    Adds a keyword to an index with its associated keyword name, file, URL, and destination information.

  2. In the Keyword box, type a keyword, and then click Add.
  3. In the Project file list, click a project file.
  4. In the HTML titles list, click the title you want to associate with the keyword or, in the File or URL box, type the path for the file, and then click OK.
  5. If you have specified any information types and want to add them to this entry, in the Available information types box, click the information type for the keyword.
  6. If you want to jump to another location if the first location you specify is not available, in the Alternate URL box, enter another location for the keyword.

Notes

  • You can move a keyword up or down, left or right, by clicking the Move Arrows.

    Move Arrows

    Moves the selection up, down, left, or right.

  • You can use an unlimited number of index levels.


About managing merged index files

Merging index (.hhk) files from multiple compiled help (.chm) files requires some management of each index. Consider the following when creating the index files for each compiled help file in the collection:

  • Index authors for each compiled help file should use similar indexing guidelines to avoid unwanted repetition of similar index entries.
  • Keyword links (KLinks) and Associative links (ALinks) should be standardized for all the index files in the collection.
  • Abbreviations should be standardized for all the index files being merged.
  • site map index files cannot be merged with binary index files.
  • If used, information types should be standardized for all the index files in the collection.
  • Merged indexes are created at run time and any edits or customization to individual index files will be lost when the merged index is resorted.


To create a keyword with multiple targets

  1. Open an index file, click the keyword you want to add another target for, and then click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  2. Click Add.
  3. In the Project file box, click a project file.
  4. In the HTML titles box, click the title you want to associate with the keyword or, in the File or URL box, enter the path for the file, and then click OK.
  5. In the Alternate URL box, add another location for the keyword if you want the keyword to jump to an alternate location if the first location you specify is not available.
  6. Repeat steps 2 through 5 for each target.


To create an index file

  1. On the File menu, click New, and then click Index.
  2. Add keywords to the index (.hhk) file you have created. If you plan to use your index only on a Web site, you can create a site map index.

Notes

  • If you are designing a help system using the Help Viewer, adding an index file to your help project will also create the Index tab in the Navigation pane after the project is compiled.
  • If you are designing for a Web site or your own frameset, make sure you add the HTML Help ActiveX control to the appropriate files and specify a default frame to display your index file.
  • If you compile a help file and set the compatibility to version 1.0, a site map index will be created.


To create an index that uses a site map

  1. On the File menu, click New, and then click Index.
  2. Add keywords, and then save the index file.

Notes

  • To work on a Web site this file does not need to be compiled. If you compile it (for use in a compiled help file), and want to use the site map format, open your project file, and then click Change Project Options. Click the Compiler tab, and then clear the Create a binary index check box.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  • If you are authoring an index for a Web site, make sure you add the HTML Help ActiveX control to the topic files you want the index to appear in. Specify Index as the command, and then specify the name and location for your index file.
  • An index compiled using the binary format will not work on a Web site. You can use a site map index for both a Web site and a compiled help file.
  • If you compile a help file and set the compatibility to version 1.0, a site map index will be created.


To create an index for a Web page

  1. Create an index file.
  2. Create the HTML file that will contain your index.
  3. Place your cursor at the location where you want the index file to appear, and then click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  4. In the Specify the command box, click Index, and then follow the instructions on your screen.

Notes

  • Since an index created for a Web site is not compiled, it should be created using a site map.
  • If your users do not have a browser that supports ActiveX controls, try using the HTML Help Java applet.
  • For more information about the Index command, see the HTML Help ActiveX control reference.


To assign an information type to a contents entry

  1. Open a contents (.hhc) file, select the entry you want to add an information type to, and then click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  2. In the Available information types box, select the name of the information type you want to associate with the table of contents entry.

Notes

  • You must either define information types that use categories, or a list of information types before you can assign them to a topic.
  • If used with a large collection of merged compiled help (.chm) files, information types should be standardized in the table of contents for all the files in the collection.
  • Information types are not supported when using a binary table of contents.


About information type attributes

An information type can be either Inclusive or Exclusive. If you select the Inclusive information type, the user will be allowed to select from one or more information types. If you select Exclusive, the user will be allowed to choose only one information type within each category.

Notes

  • Define all Inclusive information types before you define Exclusive ones.
  • Information types in the same category can't be both Inclusive and Exclusive.


Create categories for information types

Categories allow you to group information types into easily referenced subject areas. You might, for example, create a category named Experience Level, and then assign the following information types to the category: Novice, Intermediate, and Advanced.

Categories are not required. If you use them, you must assign all information types to a category.

What do you want to do?

Topic link | Learn more about creating categories for information types
Topic link | Define categories and information types
Topic link | Assign an information type to a table of contents entry
Topic link | Make information type selection available to users
Topic link | Remove categories and information types from a project
Home page link | About assigning information types


About creating categories for information types

It is not required that you create categories for information types. If you use them, any information types you create must be assigned to a category. Be sure to plan ahead because they are difficult to remove once you add them to a help project. Follow these steps when creating categories:

First, determine and name categories that best describe and group the information types you need. For example, you might create two categories for grouping topics: Job Description and Experience Level.

Next, define information types for grouping topics in those categories based on your intended audience. For example, for the category Job Description, you might define three information types: Manager, Salesperson, and Engineer. For the category Experience Level, you might also define three information types: Novice, Intermediate, and Advanced.

Third, assign either an Inclusive or Exclusive attribute to each information type. When the attribute is Inclusive, the user is allowed to select from one or more Inclusive information types within each category. When the attribute is Exclusive, the user can select only one information type from each category.

For example, if the Novice, Intermediate, and Advanced information types have the Inclusive attribute, a user will be given the choice to view all Novice, Intermediate, and Advanced topics. If the Novice, Intermediate, and Advanced information types have the Exclusive attribute, a user will only be able to select topics from one of the three.

Notes

  • If a topic has no information type associated with it, it will always appear.
  • You can assign more than one information type to a topic.
  • You can only assign information types to a table of contents entry.
  • If used with a large collection of merged compiled help (.chm) files, categories should be standardized for all the files in the collection.


Create information types

You can assign information types to entries in the table of contents based on which users you want topics to reach. Be sure to plan ahead because information types are difficult to remove once you add them to a help project.

What do you want to do?

Topic link | Learn more about creating information types
Topic link | Define information types when not using categories
Topic link | Define categories and information types
Topic link | Assign an information type to a table of contents entry
Topic link | Learn about information type attributes
Topic link | Make information type selection available to users
Topic link | Remove categories and information types from a project
Home page link | About assigning information types


About creating information types

Information types enable you to specify that certain groups of help topics reach certain users. Use the following steps when creating information types.

First, define information types based on your intended audience. For example, to create the help files for this version of HTML Help Workshop we defined these information types: Reference, Design, Overview, Procedure, and Web. The Reference type was assigned to Reference topics, the Design type to topics about designing a help system, etc.

Second, assign either an Inclusive, Exclusive, or Hidden attribute to each information type. When the attribute is Inclusive, the user is allowed to select from one or more Inclusive information types within each category. When the attribute is Exclusive, the user can select only one information type from each category. When the attribute is Hidden, the topic can invoke the HTMLHelp API and be associated with events in the software program.

For example, a help author creates Novice, Intermediate, and Advanced information types that have the Inclusive attribute. A user will be given the choice to view all Novice, Intermediate, and Advanced topics. If the Novice, Intermediate, and Advanced information types have the Exclusive attribute, a user will only be able to select topics from one of the three types.

Notes

  • If a topic has no information type associated with it, it will always appear.
  • Categories are optional, if you use them, you must assign all information types to a category.
  • Topics with the Hidden information type will not appear when a user makes their selections.
  • If used with a collection of merged compiled help (.chm) files, information types should be standardized in all the files in the collection.
  • Information types are not supported when using a binary table of contents.


To define information types when not using categories

  1. Open a contents (.hhc) file, and then click Contents Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

  2. Click the Information Types tab, and then click Add.
  3. In the Information type name box, type the name of the information type you want (for example, Overview).
  4. In the Description box, type a description of the information type. The description is important because it is viewed by the user in the wizard that walks them through information type selection.
  5. Click either Inclusive Type or Exclusive Type to assign an information type attribute.

Notes

  • You may want to make a backup copy of your contents file before you add information types to it.
  • After you define information types, you can assign them to a table of contents entry.
  • You can create up to 32 separate information types. The name for an information type cannot exceed 255 characters.
  • If used with a large collection of merged compiled help (.chm) files, information types should be standardized in all the files in the collection.
  • Information types are not supported when using a binary table of contents.


To define categories and information types

  1. Open a contents (.hhc) file, and then click Contents Properties.

    Contents Properties

    Defines the general appearance of the table of contents.

  2. Click the Information Types tab, and then click Add.
  3. In the Category name box, type the name for the first category you want (for example, Experience Level).
  4. In the Description box, type a description for the category. Descriptions for categories and information types are important because they are viewed by the user in the wizard that walks them through information type selection.
  5. In the Information type name box, type the name of the information type you want (for example, Advanced).
  6. In the Description box, type a description of the information type. For example, "topics for advanced users."
  7. Click either Inclusive Type or Exclusive Type to assign an information type attribute.

Notes

  • You may want to make a backup copy of your contents file before you add information types to it.
  • After you define information types, you can assign them to a topic.
  • You can create up to 10 categories and 32 separate information types. The name for an information type cannot exceed 255 characters.
  • Categories are optional, if you use them, information types must be added to a category.
  • If used with a large collection of merged compiled help (.chm) files, categories should be standardized for all the files in the collection.
  • Information types are not supported when using a binary table of contents.


About using information types

Assigning information types to topics is a helpful way to get relevant information to subsets of users. Here are some examples of how you might use information types:

  • You are authoring documentation with novice, intermediate, and expert users as your audience. You define information types that identify each topic in the table of contents according to which type of user it is authored for.
  • Your software is broken into components. However, not all components are included when you ship your software and its documentation to other countries. You can define information types to display only those topics for the components that are shipped.
  • One component of your software program is used primarily by developers, while another is used primarily by testers. You can assign information types to your topics so that testers need to install only the help topics relevant to them.
  • You are creating separate introduction, overview, and step-by-step topics. You can assign information types to table of contents entries for each topic type.
  • Your documentation is for a product that runs on multiple operating systems. You can define information types that identify and display topics according to the operating system the user is running.


To define a Hidden information type

  1. Open a contents (.hhc) or index (.hhk) file.
  2. On the Edit menu, click Information Types, and then click Add.
  3. In the Information type name box, enter the name of the information type you want (for example, Overview).
  4. In the Description box, enter a description of the information type.

Notes

  • Version 1.1 of HTML Help Workshop enables you to author topics that use the Hidden information type attribute. However, the ability to invoke them through the HTML Help API has not yet been implemented.
  • You can also create information types by clicking Properties in a contents or index file.
  • The name for an information type cannot exceed 255 characters.
  • Topics with the Hidden information type will not appear when a user makes their selections.


About the Hidden information type

You can define a Hidden information type to identify or group topics when a program is started, before a user sees them. You select which topics will appear based on the elements of the program that are active. Hidden information types are never seen by users; they are instead controlled by the program.

This feature allows programs, through the HTML Help API or through hosting the HTML Help ActiveX control, to determine what information is presented to the user. The Hidden information type attribute also determines which URLs should be linked to when they are associated with an information type.

Note

  • Version 1.1 of HTML Help Workshop allows you to author topics that use the Hidden information type attribute. The ability to invoke them through the HTML Help API has not yet been implemented.


Place a topic on the Web or other server location

Help topics can be placed on the Internet, an intranet, or a network location. Then they can be linked to from a contents entry, index entry, or text link. This allows help authors to create new topics or revise existing topics, and then post them to a location other than the original help file.

This is a useful feature if, for example, you have last-minute changes to procedures that can't be included in the original help file. Rather than provide incorrect information, you can provide a table of contents entry to a Web site. The user can then click the entry and, if you have supplied the correct address, the topic will appear.

Note

  • Topics located on a Web site, intranet, or other location may not be available to users who do not have Internet or network access.

What do you want to do?

Topic link | Assign a location to a table of contents or index entry
Topic link | Add a text link to an HTML file
Home page link | About creating table of contents files


About making information type selection available to users

If you assign information types to any topics in the table of contents, the user can customize which topics they see. They can do this by opening a compiled help file, clicking on the Contents tab, and then right-clicking anywhere in the Navigation pane of the Help Viewer.

Another way to provide information type selection for users is to add an Options button to any secondary windows you create. The user clicks the Options button on the button bar, and then clicks Customize.


To remove categories and information types

  1. Open the project (.hhp) file in a text editor, such as Microsoft Notepad, and delete the [INFOTYPES] section.
  2. In a text editor, open the contents (.hhc) file that contains the categories or information types you want to remove.
  3. Delete the <OBJECT type="text/site properties"> tag, delete all the information types listed, and delete the </OBJECT> end tag from the file.
  4. Delete the <param name="Type" value=> tags from each table of contents entry that an information type is assigned to.


To link between merged help files

You need to use a special link when linking between merged compiled help (.chm) files.

  1. Open the HTML file you want to link from.
  2. Create a link using the following syntax:

    <A HREF="ms-its:file name.chm::/topic.htm">

    where file name.chm is the name of the merged compiled help file and topic.htm is the name of the HTML file to which you want to link.

Notes

  • The MS-ITS protocol works with Microsoft Internet Explorer 4.0 or later. If your users are running Internet Explorer 3.0, they need to use the following protocol, which also works with later versions of the browser: mk:@MSITStore:file name.chm::/topic.htm.
  • The merge occurs at run time, which is when the compiled help (.chm) file is opened. Because of this, all merged compiled help files must be shipped with the main compiled help file, and all must be located in the same directory.


About merging help files at run time

Merging help files takes the index, keyword links (KLinks), Associative links (ALinks), and full-text search information from multiple compiled help (.chm) files and combines them at run time. A unified index and search information appears in the Navigation pane of the Help Viewer. A help author creates a new table of contents that includes links to the contents files that were merged.

This is a very useful feature when you need to merge multiple help files that are designed as components of a larger help system. For example, the Professional edition of a software product might contain four programs, each with a separate help file; while the Student edition of the same product might contain only two programs and related help files.

When a help author creates a project file that specifies which files to merge at run time, the help compiler will find and merge only those files on a user's computer.

There are special considerations when linking between merged help files.


To merge multiple help files at run time

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. On the Merge Files tab, click Add.
  3. In the Specify the name of the file to merge box, enter the appropriate file name.

Notes

  • The merge occurs at run time, which is when the compiled help (.chm) file is opened. Because of this, all merged compiled help files must be shipped with the main compiled help file, and all must be located in the same directory.
  • This procedure merges the index, Keyword links (KLinks), Associative links (ALinks), and full-text search information from multiple compiled help files. Unified index and search information appears in the Navigation pane of the Help Viewer.
  • If you also want a unified table of contents, you must create a contents file that links to other contents files.
  • The merge feature will not work if you compile a help file and set the compatibility to version 1.0.
  • There are special considerations when linking between merged help files.


To create a contents file that includes links to other contents files

  1. Click the Contents tab, and then click Insert a Heading.

    Insert a Heading

    Adds a heading level icon to a table of contents with its associated name, file, URL, and style information.

  2. Type a name for the heading that will include your contents entries from another help file, and then click OK.
  3. Right-click the heading, and then click Insert File.
  4. In the File to include box, type the following syntax:

    file name.chm::/contents.hhc

    where file name.chm is the name of the compiled help file and contents.hhc is the name of the contents file to which you want to link.

Note

  • The contents are merged at run time, which is when the compiled help (.chm) file is opened. Because of this, you must always ship the compiled help file whose contents you are merging with your main help file, and they must be stored in the same directory.


About MSDN scripting references

Microsoft publishes extensive scripting references for Microsoft JavaScript, Microsoft Visual Basic Scripting Edition, and Dynamic HTML (DHTML).

If you are a member of the Microsoft Developer Network, you can view these references on the Web.


About new features in this release

Along with feature upgrades, the Microsoft HTML Help 1.2 release contains these new features that were not part of previous releases:

  • Adding a Favorites tab to the Navigation pane in a compiled help (.chm) file.
  • Adding advanced full-text search features to the Search tab in a compiled help file.
  • Adding a full-text search stop list to your compiled help file.
  • Automatic hiding of the Navigation pane when a user switches focus from a compiled help file to a software program.
  • New accessibility shortcut keys and documentation explaining how to use them added to the HTML Help Viewer.
  • Updated and expanded documentation.


About new documentation for this release

The Microsoft HTML Help 1.2 release contains the following new and updated documentation components.

An Updated HTML Help Information Guide

Documentation on all new features (the Favorites tab, advanced full-text search, automatically hiding the Navigation pane, and adding a full-text search stop list) has been added.

Information about accessibility, working with links, context-sensitive help, adding shortcut buttons, using command line switches, the HTML markup feature, and using custom image files in the table of contents, has also been added.

The table of contents and index have been revised and the cascading style sheets have been updated to include Dynamic HTML (DHTML) mouseovers. Advanced full-text search and a Favorites tab have been added. The new HTML Help ActiveX control reference is merged with the HTML Help Information Guide, demonstrating the use of merged contents (.hhc) and index (.hhk) files.

An updated HTML Help ActiveX control reference (1.2 version)

The 1.2 version of the HTML Help ActiveX control reference is an update to the 1.1a version that first appeared on the HTML Help Web site in June, 1998. The table of contents and index have been updated and advanced full-text search has been added to the compiled help file version.

A new Methods section has been added and scripting examples have been updated. We also continue to demonstrate the use of the HTML Help ActiveX control in uncompiled HTML files by including a subset of this information on the HTML Help Web site as a sample Web site.

A new HTML Help API reference (1.2 version)

The HTML Help API reference is now a comprehensive reference with useful information on the HTML Help API, complete with sample calls. This reference has been updated for the 1.2 release.

Updated HTML Help Viewer topics (1.2 version)

This documentation has been updated to include new 1.2 compiler features and accessibility information. New topics are included for advanced full-text search, the Favorites tab, and shortcut keys.

Help authors can use any of the Help Viewer topics in their own help systems. This file can be found on the HTML Help Web site


About creating dynamic hyperlinks

You can create a more dynamic help system, and bring greater emphasis to text links, by making your links change color or size when a user points to them.

For an example, point to the link at the bottom of this topic. The following hover style was added to the cascading style sheet for this help file to create the dynamic links:

a:hover {attribute: value; }

where attribute is a stylesheet attribute, and value is the corresponding value. Use a semicolon to separate multiple attributes.

Example

The following example shows an anchor that will turn red and become bold when a user moves their cursor over the link text:

a:hover {color: red; font-weight: bold; }


About creating a dynamic inline element

Although <DIV> and <SPAN> tags are usually used for page layout purposes, you can also use them to make unique links. For example, we created the following dynamic link for the topic links on our home pages:

GO

There are three steps to creating a dynamic element:

  1. Insert the tag for an instance of the section.
  2. Insert the JavaScript code.
  3. Update your style sheet to reflect the new section.

Note

  • When you use the <SPAN> tag inline with text, including other items in the span (such as graphics) limits the span's minimum height to 12 points.


To insert the tag for an instance of the section

Insert the following tag in an HTML file at the location where you want the section to appear:

<a href="filename.htm" onmouseover="functionOn(id1)" onmouseout="functionOff(id1)">
<span ID="id1" class="classname">GO</span></a>

Where filename.htm is the name of the HTML file to which you want to link, functionOn is the name of the JavaScript function that is triggered when a user moves their cursor over the section, and functionOff is the name of the JavaScript function that is triggered when the user's cursor moves out of the section. id1 is the ID for this instance of the <SPAN>, and classname is the style class.

Example

The following is a tag used for the dynamic "Go" link in the HTML Help documentation:

<a href="overbig.htm" onmouseover="liteGo(go1)" onmouseout="liteOff(go1)">
<span ID="go1" class="endlink">GO</span></a>

Note

  • If you place multiple elements on the same page, each one must have a unique ID.


To insert the JavaScript code

Insert the following JavaScript code between the <HEAD> start and end tags of an HTML file.

function functionOn(idVar){
idVar.style.attribute="value";
}

function functionOff(idVar){
idVar.style.attribute="value";
}

Where functionOn is the name of the JavaScript function that changes the style when a user moves their cursor over the section, and functionOff is the script that is called when the user moves their cursor off the section. attribute="value" represents a style attribute that changes when the script is called. idVar is the ID of the element.

Example

The following is the JavaScript code used for the dynamic "Go" link in the HTML Help documentation:

function liteGo(spNo){
spNo.style.background="#cc0033";
spNo.style.color="#FFFFFF";
}

function liteOff(spNo){
spNo.style.background="transparent";
spNo.style.color="#000000";
}

Note

  • You can use a global script file to make it easier to maintain scripts that are used on many pages.


To update your style sheet

You can format your section by updating your style sheet with a new class. By doing this, you can make the section have a colored border, or set a specific color for the background. You can also add style attributes to specify the spacing, margins, and overall positioning of the section.

Example

The following is the style class used for the dynamic "Go" link in the HTML Help documentation:

SPAN.classname {
line-height: 6pt;
position: relative;
top: 1pt;
background-color: transparent;
font-weight: bold;
font-size: 7pt;
font-style: italic;
color: black;
text-decoration: none;
cursor: hand;
width: 20px;
height: 8pt;
padding-top: -2pt;
padding-bottom: 1pt;
margin: 0pt;
border-bottom: 1pt solid #cc0033;
border-top: 1pt solid #cc0033; }


Example: Create dynamic links

Dynamic HTML (DHTML) offers a wide range of possibilities to help you improve the function and appearance of your help system. The following examples explain two dynamic links that are used in the HTML Help documentation, and they provide sample code that will help you to implement similar links in your help system:

  • Add mouseover functionality to all of the hyperlinks in your help system. All it takes is one small addition to your style sheet.
  • Take your links a step further with dynamic inline elements.

For more information, go to the DHTML, HTML, and CSS Web site in Microsoft's Site Builder Network.


To create a tag for an expandable section

  1. Insert the following tags in your topic file at the location you want the expanding section to appear:

<a onclick="doSection(foo)" class="anchorclass" href="filename.htm">Link text</a>

<DIV CLASS="divclass" ID="foo" STYLE="display: none" onclick="noSection(foo)">
This is where the text appears.
</DIV>

Where doSection is the name of the first JavaScript function, which opens the section if it is closed, and closes it if it is open. noSection is the name of the second JavaScript function, which closes the section when the user clicks inside it. foo is the unique ID for this instance of the section, and filename.htm is the target file for the link.

Example

Notes

  • If you are including more than one instance of this tag on the same page, be sure that each instance has a unique ID.


To insert the JavaScript code

Insert the following JavaScript functions between the <HEAD> start and end tags of the page:

<SCRIPT LANGUAGE="JavaScript">
<!--
function function1Name(idVariable){
//display the section if it's not displayed; hide it if it is displayed
if (idVariable.style.display=="none"){idVariable.style.display=""}
else{idVariable.style.display="none"}
}
function function2Name(idVariable){
//remove the section when user clicks in the opened DIV
if (idVariable.style.display==""){idVariable.style.display="none"}
}
-->

Where function1Name and function2Name are the names of each function, and idVariable is the variable for the unique ID that is passed to the script each time a user clicks the link.

Example

The following is the actual JavaScript code used in the HTML Help documentation:

function doSection (secNum){
//display the section if it's not displayed; hide it if it is displayed
if (secNum.style.display=="none"){secNum.style.display=""}
else{secNum.style.display="none"}
}

function noSection (secNum){
//remove the section when user clicks in the opened DIV
if (secNum.style.display==""){secNum.style.display="none"}
}

Notes

  • You can use a global script file to store all of your scripts in one location. This can make it much easier to maintain scripts that are used on multiple topics in a help system.


To update your style sheet

You can make your expandable sections stand out by updating your style sheet with a new class. Style sheets let you define the style attributes for the section. For example, you can make the section have a colored border, or a repeating graphic for the background. You can also add style attributes to fine-tune the spacing, margins, and overall positioning of the section.

Example

This is the style class that we have defined for the sidebars in the HTML Help documentation:

<STYLE>
DIV.sidebartext {
position: relative;
left: -22px;
height: 72px;
width: 300px;
margin-top: .6em;
margin-right: 3em;
margin-left: 0;
margin-bottom: .6em;
padding-top: .75em;
padding-right: 6px;
padding-left: .75em;
padding-bottom: .75em;
cursor: hand;
border-left: 4pt solid #339900;
background-color: #F0F0F0; }
</STYLE>

Note

  • Because there are usually many style attributes associated with this kind of Dynamic HTML (DHTML) link, it is easiest to maintain the information as a class in a cascading style sheet, rather than as attributes in each instance of the link tag.


Example: Create expandable sections with DHTML

You can use Dynamic HTML (DHTML) to create expandable sections in your HTML files. This can be helpful when you document screen shots and other items that occupy a large amount of screen space. Expandable sections give the user more control over the display of such elements, letting them display them as needed.

These topics use, as samples, the source code for the sidebars in the HTML Help documentation.

There are three steps to creating expandable sections:

  1. Create the tag that will contain the contents for each section.
  2. Insert the JavaScript code.
  3. Update your style sheet to reflect the new section.

Notes

  • You can use this example with both uncompiled HTML files and compiled help (.chm) files.


About the script and DHTML examples

The examples in this reference demonstrate how you can use scripts and Dynamic HTML (DHTML) to add functionality to your help system.

Script examples:

  • Create a pop-up topic by using JavaScript to call the TextPopup method. This example is intended to be used within a help topic, and is not the same feature as context-sensitive help, which opens in an external application. To implement context-sensitive help, you must work with the HTML Help API.

  • Annotate an image by associating a series of pop-up topics with the regions of an image map. This example shows how you can annotate images in much the same way that Microsoft Help Workshop Hotspot Editor (Shed.exe) allows you to create and edit hypergraphics.

  • Store pop-up topics in a text file instead of embedding the topics in individual HTML files. This example also shows how to link to the text file from an HTML file.

  • Use JavaScript to create a secondary browser window that can be used to display text or graphics.

  • Create a global script file to store all of your scripts in one easy-to-reference location. This can make it much easier to maintain scripts that affect multiple topics within a help system.

    Use JavaScript to link to a file outside of your help system. This is especially useful for linking to larger multimedia files, such as video clips.

DHTML examples:

  • Use DHTML to create expandable sections that react to user input. This can help you to conserve screen space in your help topics.

  • Create dynamic links that will liven up your help topics. This example shows the easiest way to add mouseover functionality to every hyperlink in your help project, and also shows how to create compact custom links using the <SPAN> tag.


Example: Create a global script file

You can consolidate scripts in a global file that can be referenced from pages in both compiled and uncompiled help systems. This makes it easier to maintain scripts that are used by many different pages, such as those used for image-swapping. This example shows a global file using JavaScript, but it will work with other Web scripting languages, such as Microsoft Visual Basic Scripting Edition.

There are three steps to implementing a global script file:

  1. Create the script file using Notepad (or another text editor). This is the file that contains all of the script code. Save this file with a .js extension.
  2. Add a <SCRIPT> tag to the <HEAD> tag of each HTML file. This links the code in your global file to the page. The tag should look like this:

    <script language="JavaScript" src="master.js"></script>

    Where JavaScript is the name of the scripting language you are using and master.js is the name of the global script file.

  3. If you are creating a compiled help (.chm) file, add the file name of your master script file to the [FILES] section of your project (.hhp) file.

You can call scripts that are stored in a global file the same way you would call script code that is actually on the page. For example, if you created a global file with function Foo(), you could reference it like this: <a onclick="Foo()">.

Notes

  • You can create more than one global script file.
  • This procedure can be used with any scripting language.


Example: Annotate an image

Example: Add text pop-ups to an image

You can add pop-up help topics to an image by using an image map in conjunction with the HTML Help ActiveX control. This lets you associate a pop-up topic with each region of an image. When a user clicks an area of the image, a pop-up window will display the topic that goes with that area. This example is based on the TextPopup method.

The steps of the process are as follows:

  1. Create an image map.
  2. Write pop-up topics.
  3. Add the image to your project (.hhp) file.
  4. Insert the HTML Help ActiveX control in your HTML file.
  5. Add hyperlinks to each region of the image map.

Note

  • You can use this example with both uncompiled HTML files and compiled help (.chm) files.


To create an image map

  1. Use an image mapping program to create regions on an image that you want to annotate. These will be the areas that users click to open pop-up windows.

  2. Insert your image in the HTML file using the following syntax:

    <img src="file.gif" usemap="#map name" BORDER=0 WIDTH=216 HEIGHT=216>

    where file.gif is the name of your image file and map name is the name of the image map that you created in step 1, above. The WIDTH and HEIGHT attributes will vary depending on the size of your image.

Example

The following code shows an image map named test that has four regions:

<MAP NAME="test">
<AREA SHAPE=RECT COORDS="4,2,108,103">
<AREA SHAPE=RECT COORDS="117,6,212,104">
<AREA SHAPE=RECT COORDS="3,111,105,213">
<AREA SHAPE=RECT COORDS="114,113,211,210">
</MAP>

The following code inserts an image named test.gif and references the image map named test:

<IMG SRC="test.gif" USEMAP="#test" BORDER=0 WIDTH=216 HEIGHT=216>

The resulting image has four "placeholder" regions that you will "hook-up" to pop-up topics in Step 5:

Notes

  • You can also reference an external image map file from your HTML file.


To write pop-up topics

  1. Copy the following syntax in your HTML file:

    <SCRIPT Language=JavaScript>
    font_variable="Facename[, point size[, charset[, PLAIN BOLD ITALIC UNDERLINE]]]"
    text_variable="A Pop-up Topic"
    text_variable2="Another Pop-up Topic"
    </SCRIPT>

    where font_variable is the name of the variable that specifies the font attributes for the pop-up text, and text_variable is the name of the variable that specifies the text of the pop-up topic.

  2. Create one text variable (with a unique name) for each pop-up topic.

Example

The following script specifies 10 point Verdana as the font to use for the pop-up text and defines four pop-up topics:

<SCRIPT Language=JavaScript>

    popfont="Verdana,10,,plain"

    square1="Welcome to Square 1!"

    square2="This is Square 2!"

    square3="Welcome to Square 3!"

    square4="Square 4 welcomes you!"
</SCRIPT>

Notes

  • You can place the pop-up topics anywhere within the <BODY> start and end tags of your HTML file.
  • The pop-up topics can also be stored in a text file with the .js file name extension that you reference from your HTML file.
  • For more information about specifying font attributes, see the TextPopup method.


To add the image to your project file

  1. Open a project (.hhp) file, and then click Add/Remove Topic Files.

    2. Add/Remove Topic Files

    Adds or removes HTML files from the project file.

  2. In the Topic Files dialog box, click Add.

  3. Locate the image file, and then click Open.

  4. Repeat steps 2 and 3 if you are referencing an external image map.

Notes

  • The image file should reside in the same directory as the project file.
  • Skip this step if you are using uncompiled HTML files and do not have a project file.


To insert the HTML Help ActiveX control in your HTML file

  • Copy the following HTML Help ActiveX control syntax in your file:

<OBJECT

      id=image_popup

      type="application/x-oleobject"

      classid="clsid:adb880a6-d8ff-11cf-9377-00aa003b7a11"

    >

    </OBJECT>

    where image_popup is the ID of the control, which you will reference in step 5. If your HTML file already includes an instance of the control, you can reference that one, rather than inserting a new one.

Notes

  • You can also insert the control by using the HTML Help ActiveX Control Wizard, and then delete the <PARAM> tags manually.
  • You can place the HTML Help ActiveX control anywhere within the <BODY> start and end tags of your HTML file.
  • If you have inserted multiple instances of the HTML Help ActiveX control in the same HTML file, be sure that each instance has a unique ID.


To add hyperlinks to each region of the image map

  1. Copy the following code inside each <AREA> tag of your image map to call the TextPopup method of the HTML Help ActiveX control:

    2. A HREF="JavaScript:image_popup.TextPopup(text_variable, font_variable,9,9,-1,-1)"

    where image_popup is the ID you specified in step 4, text_variable and font_variable are the variables names you specified in step 2, and the numeric values are the left and right margins (9,9) and the foreground and background colors (-1, -1) of the window.

  2. Repeat step 1 for each region in your image map.

Example

The hyperlinks shown below have been added to the example image map shown in Step 1:

<AREA SHAPE=RECT COORDS="4,2,108,103" A HREF="JavaScript:image_popup(square1,popfont,9,9,-1,-1)" Title="Square 1">

<AREA SHAPE=RECT COORDS="117,6,212,104" A HREF="JavaScript:image_popup(square2,popfont,9,9,-1,-1)" Title="Square 2">

<AREA SHAPE=RECT COORDS="3,111,105,213" A HREF="JavaScript:image_popup(square3,popfont,9,9,-1,-1)" Title="Square 3">

<AREA SHAPE=RECT COORDS="114,113,211,210" A HREF="JavaScript:image_popup(square4,popfont,9,9,-1,-1)" Title="Square 4"> </MAP>

The annotated image map is shown below:

Note

  • The <A> tag TITLE parameter is optional.


Link to file outside of your help system

Link to a file outside of your help system

You can use JavaScript to link to a file that is not compiled in your project. This can be helpful if you want to link to a large file, such as a video clip, that you don't want to add to your compiled help (.chm) file. This script enables you to link to any file that is stored in the same directory as your compiled help file.

All files linked to this way will open in the program they are associated with. For example, clicking a link to an .avi file will launch an instance of Microsoft Media Viewer. If a user doesn't have the appropriate program installed, they won't be able to see the file.

The JavaScript code is as follows:

<SCRIPT LANGUAGE="JavaScript">

function opentrial(){

location.href=location.href.substring(14, 15)+':/media/dvd.avi';

}
</SCRIPT>

Where :/media/dvd.avi is the file location from the root directory.

The link is as follows:

<a onClick="opentrial()">Open dvd.avi</a>

Where opentrial() is the name of the function called by the link.

Because the HREF attribute is not included in the <A> tag, the link text will be formatted as default text. You can make it look like a link by adding the desired format attributes directly to the <A> tag, as follows:

<a onclick="opentrial()" style="text-decoration: underline; color: green; cursor: hand">Open dvd.avi</a>

Note

  • The file you are linking to must be stored in the same directory as your compiled help file, and the HREF attribute must be omitted from the <A> tag.


Example: Create a pop-up topic

Using the HTML Help ActiveX control, you can create a pop-up topic that appears when a user clicks a specific word, phrase, or graphic in a topic. This example is based on the TextPopup method.

The steps of the process are as follows:

  1. Write a pop-up topic.
  2. Insert the HTML Help ActiveX control in your HTML file.
  3. Create a hyperlink to open the pop-up topic.

Notes

  • You can use this example with both uncompiled HTML files and compiled help (.chm) files.
  • This procedure cannot be used to create context-sensitive help topics that users open through an external program.


To write a pop-up topic

  • Create your pop-up topics, using any text editor, in the following format:

    <SCRIPT Language=JavaScript>
    font_variable="Facename[, point size[, charset[, PLAIN BOLD ITALIC UNDERLINE]]]"
    text_variable="A Pop-up Topic"
    text_variable2="Another Pop-up Topic"
    </SCRIPT>

    where font_variable is the name of the variable that specifies the font attributes for the pop-up text, and text_variable is the name of the variable that specifies the text of the pop-up topic.

Example

The following script specifies 10 point italic Helvetica as the font to use for the pop-up text and defines one pop-up topic:

<SCRIPT Language=JavaScript>

    MyFont="Helvetica,10,,italic"

    MyText="This is a pop-up topic."
</SCRIPT>

Notes

  • You can place the pop-up topics anywhere within the <BODY> start and end tags of your HTML file.
  • The pop-up topics can also be stored in a text file with the .js file name extension that you reference from your HTML file.


To insert the HTML Help ActiveX control in your HTML file

  • Copy the following HTML Help ActiveX control syntax in your file:

<OBJECT

      id=popup

      type="application/x-oleobject"

      classid="clsid:adb880a6-d8ff-11cf-9377-00aa003b7a11"

    >

    </OBJECT>

    where popup is the ID of the control, which you will reference in step 3. If your HTML file already includes an instance of the control, you can reference that one.

Notes

  • You can also insert the control by using the HTML Help ActiveX Control Wizard, and then delete the <PARAM> tags manually.
  • You can place the HTML Help ActiveX control syntax anywhere within the <BODY> start and end tags of your HTML file.
  • If you have inserted multiple instances of the HTML Help ActiveX control in the same HTML file, be sure that each instance has a unique ID.


 To create a hyperlink to open the pop-up topic

To create a hyperlink to open the pop-up topic

  • Copy the following code in your HTML file to call the TextPopup method of the HTML Help ActiveX control:

    <A HREF="JavaScript:popup.TextPopup(text_variable, font_variable,9,9,-1,-1)">Click Here</a>

    where popup is the ID you specified in step 2, text_variable and font_variable are the variable names you specified in step 1, the numeric values are the left and right margins (9,9) and the foreground and background colors (-1, -1) of the window, and Click Here is the link text.

Example

The following example references the HTML Help ActiveX control whose ID is popup and displays the text variable MyText and the font variable MyFont:

<A HREF=JavaScript:popup.TextPopup(MyText,MyFont,9,9,-1,-1)>
Click to see a pop-up window.</A>

A sample of the resulting link is shown below:

Click to see a pop-up window

Notes

  • You do not have to create a text link to call TextPopup. You can use a script object, such as a button.


Example: To store pop-up topics in a text file

Example: Store pop-up topics in a text file

Pop-up topics can be stored in one text file with the .js file name extension. This enables you to store the pop-up topics for your entire help system in a single location. This also enables you to globally define the font attributes to be used for pop-up topics.

  1. Create your pop-up topics using any text editor, in the following format:

    popfont="Facename[, point size[, charset[, PLAIN BOLD ITALIC UNDERLINE]]]"
    Text1="The text for the first pop-up."
    Text2="The text for the second pop-up."

    where popfont is the name of the variable that specifies the font attributes for the pop-up text and Text1, Text2, and so on are the variables that specify the text of each pop-up topic.

  2. Save the file with a .js file name extension.
  3. Copy the following code into each HTML file from which you want to open a pop-up window. Place the code between the <HEAD> start and end tags:

    <OBJECT
    id=HHCTRL type="application/x-oleobject"
    classid="clsid:adb880a6-d8ff-11cf-9377-00aa003b7a11" >
    </OBJECT>

    <SCRIPT language=javascript
    SRC="terms.js">
    </SCRIPT>

    where HHCTRL is the ID of the control that you are referencing, and terms.js is the name of your text file. You might want to include an error handler that is invoked if the specified text file cannot be found.

  4. Also copy this code in your HTML file to call the TextPopup method of the HTML Help ActiveX control:

    <A HREF="JavaScript:HHCTRL.TextPopup(Text1,popfont,9,9,-1,-1)"
    Title="Click for pop-up definition">Word to be defined</A>

Notes

  • You must add the text file to the [FILES] section of your project (.hhp) file.
  • This procedure cannot be used to create context-sensitive help topics that users open through an external program.


Example: Create a new window using JavaScript

You can use JavaScript to launch a new window (an instance of Internet Explorer). The code in this example can be used on both standard Web pages and within compiled help (.chm) files.

Create the link as follows:

<A HREF= "#" onClick="window.open('examples/sample.htm',

'Sample','toolbar=no,width=190,height=190,left=500,top=200,
status=no,scrollbars=no,resize=no');return false">

See the sample</A>.
where examples/sample.htm is the path to the file that will appear in the new window, Sample is the name argument for the new window, and the remaining values are the attributes for the pop-up window (width and height in pixels, toolbar, scroll bar, status bar, and resize). These attributes are separated by commas, and the entire line is enclosed in single quotes.

Notes

  • The hashmark ("#") character ensures that the state of the current help window will be retained. return false prevents the hashmark from appearing in the location field of the main window, which would interfere with the functionality of the Back and Forward buttons.
  • All of the code must be on the same line or it will not work. The lines in this example are broken for legibility.
  • When working with compiled help (.chm) files, all HTML files referred to by this code must be included in your project before compiling. Also, because the compiler can only include graphics files in <IMG> tags, it will miss any graphics files that are included in this script. If you use this script in a compiled help file, make it point to an HTML file rather than a graphics file.


Creating help

Create a help project

The HTML Help project (.hhp) file organizes all elements of a help system. It contains pointers to all of the HTML topic, image, index, and contents files in a help project. You can also add links to your files and assign information types. GO

Customize help

You can customize the way topics appear and decide what functionality you want your users to have in your help system. You can use the Help Viewer to display your help system or customize it to get the exact look and feel you want for your help design. GO

Compile and test help

The HTML Help compiler automatically compiles your help project according to your specifications. You can test all elements of a help project, to ensure that you are shipping an error free help system. GO

Hook up help to a program

You can create shortcuts, context-sensitive help, and training card topics, with the help of a software developer, to integrate help into the program you are documenting. GO

Manage large document sets

There are several features that you can use to manage large document sets. They are particularly useful if you are shipping a help system that contains components. GO


The big picture

A help system or help Web site is made up of several different files and components that you create using HTML Help Workshop as a help authoring tool. Some of the files contain the text, graphics, and other elements that appear in your help topics. Other files contain information about how your help system will look and how users will navigate through your help topics.

Using HTML Help Workshop, you create a project file to manage all the files in your help system. Using a process called compiling, HTML Help Workshop takes all the information about your help system stored in the help project file and all the related files that make up the content of your help topics, and creates a single help file.

Exactly which types of files will appear in your help project file will depend on how you design your help system and whether you plan to distribute it with a program, or to a Web site. These are the most common types of files contained in a help project:

  • HTML topic files, which contain the text that appears on each page in your help system or Web site.
  • Graphics and multimedia files, which contain links to graphic, sound, video, animation, and other multimedia files.
  • Help project files, which contain information about the location of your topic, graphic, and other files.
  • Contents files, which contain the information that appears in the table of contents for your help system or Web site.
  • Index files, which contain the information that appears in the index for your help system or Web site.


About graphics and multimedia files

Your HTML topic files can contain links to graphic, sound, video, animation, and other multimedia files. Links to these files are made using the standard HTML tags for each type of file. HTML Help Workshop also includes a graphics editing tool named the HTML Help Image Editor that makes it easy to take screen shots and add them to your help files. Graphic files have a .gif, .jpeg, or .png file name extension. Common multimedia file name extensions are: .au, .avi, .midi, and .wav.


About creating table of contents files

The help table of contents (.hhc) file is an HTML file that contains the topic titles for your table of contents. When a user opens the table of contents in a compiled help file (or on a Web page) and clicks a topic title, the HTML file associated with that title will open.

Using HTML Help Workshop, you can:

  • Create a table of contents.
  • Create a table of contents for a Web page.
  • Create contents entries that have links to topics stored on a Web site.
  • Customize the appearance of your contents file.
  • Assign information types to contents entries to select the audience topics will be delivered to.
  • Create contents files for large document sets


About customizing help

About compiling and testing help

In order to ensure that you are shipping a help system without errors or broken links, you need to test your help. You can use the HTML Help test plan as a guide to help you develop a testing process.

This plan includes information about how to test a help system when compiling your project and how to develop other important testing guidelines.


About customizing help

There are many ways you can customize the way your help files appear to the user. You can customize the Help Viewer, the three-paned window that help topics automatically appear in, and you can create and customize secondary windows to display topics in.


About creating framesets

When designing for a help Web site, you may choose to create a frameset for your help content. After you have created a frameset, you add the HTML Help ActiveX control to the frames that you want to have help functionality.

Framesets are a way of specifying multiple, independent, scrollable regions within a browser window. Each frame can contain a separate HTML document. You can have frames that scroll and resize, depending on how you author the frameset.

You need to assign a name to each frame you create. This will enable you to link from one frame to another. For example, one frame can contain a table of contents and another frame topics. When a user clicks an entry in the table of contents a topic opens in the other frame.

You can use the HTML Help ActiveX control to add the following to your frameset:

  • A table of contents.
  • An index.
  • Related topic links.
  • Links to a WinHelp file or topic.
  • A splash screen.
  • Pop-up windows.
  • A link that opens a dialog box displaying the version number of the HTML Help ActiveX control.

Note

  • If you don't want to create your own frameset to display topics you can use the Help Viewer. There is a performance gain when using the Help Viewer.
  • You can link to a compiled help file from a Web site, and have your users download the file, instead of designing your help to appear on the Web.
  • You can view the HTML Help sample Web site to learn more about designing help for the Web.


About hooking up help to a program

HTML Help can be hooked up to your software program in a variety of ways. You can use HTML Help to:

  • Create context-sensitive help.
  • Create training cards.
  • Use API calls to implement help in your program.


About creating HTML topic files

Whether you are creating help topics for distribution with a program, or on the Web, the documents you author are created using a special formatting language known as Hypertext Markup Language (HTML). HTML topic files have a .htm or .html file name extension.

Although each help topic or Web page you author appears to be a document with text, graphics, or animated images on it, .htm files are actually text documents that have special HTML formatting codes. These codes, called tags, tell a browser how to display each page. Only the text that appears in a topic or Web page is actually in the .htm file. Any graphics, sounds, animated images, or other elements that appear are separate files that your HTML file points to. The browser copies or downloads the graphics, sounds, or other elements when it sees the tags telling it to do so.

Your first task as a help or Web site author is to create a design for your topics, and then you can create HTML files. If you are converting files from a previous version of Help, such as WinHelp, you can create an HTML Help topic from a WinHelp topic.

After you have created the files that contain your content, you can:

  • Create links or jumps within a file, from one HTML file to another, or to a Web site or other location.
  • Create a help project file to manage your collection of topics and related files.
  • Create a table of contents file.
  • Create an index file.
  • Assign information types to your topics to determine which group of users will see each topic.
  • Compile your help project into a single help file.


Using HTML Help on the Web

Create a help Web site

Much of the functionality available in HTML Help can be used to create powerful, dynamic Web sites. GO

Create a frameset

You can create framesets to organize your site. For example, you can have a header frame that identifies the site, a table of contents in a second frame, and a your content in a third frame. GO


About creating index files

The index (.hhk) file is an HTML file that contains the index entries (keywords) for your index. When a user opens the index in a compiled help file, or on a Web page, and clicks a keyword, the HTML file associated with the keyword will open.

Using HTML Help Workshop, you can:

  • Create an index.
  • Create an index for a Web page.
  • Create keywords with multiple targets.
  • Create keywords that have links to other help files or to Web pages.
  • Create a keyword that jumps to another keyword (similar to a See Also in a book index).
  • Assign information types to keywords.
  • Set a keyword to be inactive.

After you have created a help system or a Web site, you can view the index file in the Help Viewer or by using a Web browser.


About assigning information types

Information types allow you to customize your help topics to specify that designated topics will reach a particular audience. To achieve this, you create categories and information types, select attributes for them, and assign help topics to them.

A user viewing help for the first time is presented with a dialog box that asks them to select the subset of topics that is most relevant to them. If they change their minds later, they can always get the full set of topics back.

Information types have an Exclusive, Inclusive or Hidden attribute. By assigning one or more information types with an Inclusive or Exclusive attribute, you can determine which topics a group of users will see in the table of contents. By assigning a Hidden attribute, you can invoke the HTMLHelp API to connect topics to events in a program.


About managing large document sets

HTML Help Workshop contains several features that you can use to manage large document sets. You can use these features to create help systems that contain multiple contents (.hhc), index (.hhk), and compiled help (.chm) files. They are particularly useful if you are shipping a help system that contains components.

If you are distributing multiple compiled help files, you can:

  • Merge compiled help files at run time. This merges the index and full-text search information from multiple compiled help files. Unified index and search information appears in the Navigation pane of the Help Viewer.
  • Create a table of contents that includes links to other contents files. You can use this feature to create a unified table of contents.
  • Assign information types to your topics to determine which group of users will see each topic.

If you are distributing a very large compiled help file, you can:

  • Use a binary contents file, which opens quicker than a site map file at run time.


About using topic templates

An HTML topic template is a file that contains all the font, style, heading, and design elements you use most frequently. You can create HTML topic templates to format all the content in your help system or Web site. You can view some example topic templates to get an idea of how they might be constructed.


Compile and test help

After you build your project file and add all your topic, index, and contents files, you'll need to compile and test your help system.

What do you want to do?

Topic link | Learn about compiling a help project
Topic link | Learn strategies for testing and debugging help files
Topic link | Decompile a help file
Topic link | Test a KLinks or ALinks
Home page link | About creating help


About creating help Web sites

There are two ways to author for Web sites. You can create uncompiled HTML topic, contents, and index files. Then you can post these files to a Web site. Or, you can create a Web page with a link to a compiled help (.chm) file.

There are browser issues to consider, based on your target audience, in each method of authoring. For detailed information about using the HTML Help ActiveX control on the Web, see the HTML Help ActiveX control reference.

Using HTML Help Workshop, you can:

  • Create an HTML topic file.
  • Create a table of contents for a Web page.
  • Create an index for a Web page.
  • Insert the HTML Help ActiveX control into an HTML file.
  • Insert the HTML Help Java Applet into an HTML file.
  • Create a frameset.
  • Run a compiled help file from a Web page.


About creating training card help

You can create training cards, which are specialized help topics, to send instructions to, and receive instructions from, a program. They are particularly useful in guiding users through a procedure step-by-step. Whenever the user completes a step, the next step can automatically appear. If a user incorrectly performs a step, information can appear that specifically addresses their mistakes. Training card topics appear in a secondary window.

Help authors insert the HTML Help ActiveX control into training card topics to send information to programs. You work with a developer using the HTML Help API to make the appropriate API calls.

Training card help is initiated either from a user selection in a help topic or by actions a user takes in a program. These are the actions that take place when a training card is used:

  • The training card help sends messages directly to a software program.
  • The user interacts with HTML Help by answering a question, and then HTML Help sends messages to the program based on the response. The program must process the WM_TCARD message to receive messages from HTML Help. The help author adds the ActiveX control to the help file to initiate these messages.


Create pop-up windows

A pop-up window is a window that appears on top of a help topic. The pop-up window sizes automatically to fit the amount of text or the size of the image in it. Pop-up windows remain on the screen until users click anywhere inside or outside of them.

What do you want to do?

Topic link | Create a pop-up window in an HTML file
Topic link | Test changes in the background or foreground color of a pop-up window
Home page link | About creating help windows


To create a pop-up window in an HTML file

  1. Open an HTML file and position the cursor where you want to add a pop-up window.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click Script and, if you have already used the HTML Help ActiveX control in this file, enter an ID name for this instance of the control.
  4. Click Next, and then click Hidden to specify that you will be scripting this use of the HTML Help ActiveX control.
  5. Copy the following into your file:

    <A HREF=JavaScript:hhctrl.TextPopup(MyText,"Verdana,10",9,9,-1,-1)>Click Here</A>

    In this example, Verdana, 10 point is the font for the pop-up window, followed by a value of 9 for the left and right margin, and -1 for the foreground and background colors.

  6. Replace the words "Click Here" with the link text you want for the pop-up window.
  7. Copy the following script into your file:

    <script>MyText="Enter the text that will appear in the pop-up window."</script>

    In this example, MyText is the name of the string, specified in step 5, that the TextPopup command should look for.

  8. Replace the words "Enter the text that will appear in the pop-up window" with the words you want to use.

Note

  • To see an example of a pop-up help topic, see the HTML Help ActiveX control reference.


To test changes in the background or foreground color of a pop-up window

  1. open a project (.hhp) file, click the Test menu, and then click Popup Attributes.
  2. Use the Margin, Color, and Font boxes to test changes to the appearance of your text-only pop-up windows.
  3. Click Test, and then click Done.


Add file locations to a project file

The most important information that you provide in a project file is the location of your HTML topic, contents (.hhc), and index (.hhk) files. This enables HTML Help Workshop to find all the information it needs to compile a help file.

What do you want to do?

Topic link | Add or remove HTML topic files from a project file
Topic link | Specify the location of index files
Topic link | Specify the location of contents files
Topic link | Specify the location of image and multimedia files
Home page link | About creating help project files


To add or remove HTML topic files from a project file

  1. open a project (.hhp) file, and then click Add/Remove Topic Files.

    Add/Remove Topic Files

    Adds or removes HTML files from the project file.

  2. In the Topic files box, click Add or Remove.

Note

  • When using HTML Help Workshop, the number of topic files you can view and add is limited to 5,000. Projects with more than 5,000 files will compile correctly, and links from entries in the index and contents files will work, but you will need to use a text editor to view, add, or edit them.


To specify the location of index files

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Files tab, and then in the Index file box, enter the location and name of your index (.hhk) file.

Note

  • You can also specify how the index entries you create will respond when you single-click or double-click them in HTML Help Workshop.


To specify the location of contents files

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Files tab, and then in the Contents file box, enter the name and location of your contents (.hhc) file.

Notes

  • If you want a contents file created for you, select the Automatically create contents file (.hhc) when compiling check box, and then in the Maximum heading level box, select the heading level at which you want contents entries to be created.
  • You can also specify how the contents entries you create will respond when you single-click or double-click them in HTML Help Workshop.


To specify the location of image or multimedia files

  • Open an HTML file and add the <IMG> tag where appropriate.
    If you are compiling your files, the HTML Help compiler will automatically add any referenced files to your project at compile time.

Note

  • The HTML Help Image Editor, a graphic editing tool that comes with HTML Help Workshop, makes it easy to take screen shots and add them to your help files.


About compiling a help project

In HTML Help Workshop, you can compile a collection of separate source and reference files contained in a help project file to create a compiled help (.chm) file. The compiled help file can then be placed on your hard disk, a 3.5-inch disk, a compact disc, a server location, an Internet location, or an intranet location.

During compilation, HTML Help Workshop uses the help project (.hhp) file to determine how HTML topic files, contents (.hhc) files, index (.hhk) files, image (.jpeg, .gif, .png) files, and any other elements you have added to the project file will look in the single, compressed help file. If any errors are found during the compilation, compiler messages are generated that point a help author to the problems.

HTML Help Workshop processes these items during the compilation process:

  • Reports missing topics or other errors in contents and index files.
  • Reports broken links in topic, index, and contents files.
  • Removes unnecessary white space or comments.


Compile a help project

There are a variety of compiler settings you can specify in HTML Help Workshop.

What do you want to do?

Topic link | Compile a help project file
Topic link | Add compression to a help file
Topic link | Condense files stored in different folders to a single location at the root
Topic link | Specify the default topic for the compiled help file
Topic link | Provide a title for the compiled help file
Topic link | Specify a location for a compiled help file
Topic link | Compile a project file from the DOS prompt
Topic link | View compiled help file information
Topic link | Compile a project compatible with HTML Help version 1.0
Home page link | About compiling a help project


To move topics to the root during compile

  1. Open a project (.hhp) file, click Change Project Options, and then click the Compiler tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Select the Don't include folders in compiled file check box.

Notes

  • This procedure consolidates your compiled help file by removing all unnecessary references to folders. All URL references in the project are updated to reflect the new file location.
  • File naming is important when using this feature. Files in different folders that have the same name will not compile properly when consolidated at the root.


To compile a help project file

  • open a project (.hhp) file, and then click Compile HTML File.

    Compile HTML file

    Compiles a help project file.


To save compiler messages to a file

  1. Open a project (.hhp) file, click Change Project Options, and then click the Files tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. In the Log file box, type the name of the file. If you want to save the file in a folder other than the one that contains the project file, type a path.

Note

  • You can save all the compiler messages, or hide the ones you don't want to appear in your report.


To hide compiler messages

  1. Open a project (.hhp) file, click Change Project Options, and then click the Compiler tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. If you want to hide notes, clear the Notes check box.
  3. If you want to hide the progress report, clear the Progress check box. The progress report includes the name of each HTML file as it is processed.


To compile a help project from the DOS prompt

  • On the DOS command line, type hhc, and then type the project file name.

Note

  • Be sure you have added Hh.exe and Hha.dll to your path variable statement.


To compile a project compatible with HTML Help version 1.0

  1. Open a project (.hhp) file, click Change Project Options, and then click the Compiler tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. In the Compatibility box, click 1.0.

Notes

  • This option is useful if you are recompiling files that you created for previous versions of Microsoft Internet Explorer or HTML Help.
  • Setting the version to 1.0 creates a site map rather than a binary version of the index when the project file is compiled. It also disables the merge feature. If more than one compiled help file is referenced, indexes, Keyword links (KLinks), Associative links (ALinks), and full-text search lists are not merged.


Convert existing help projects

You can use HTML Help Workshop to convert existing WinHelp projects. When you convert a WinHelp project to an HTML Help project, the New Project Wizard converts the WinHelp project (.hpj) file to an HTML Help project (.hhp) file, the WinHelp topic (.rtf) files to HTML Help topic (.htm, .html) files, the WinHelp contents (.cnt) files to HTML Help contents (.hhc) files, and the WinHelp index to an HTML Help index (.hhk) files.

WinHelp art files (.bmp or .wmf files) will be converted to HTML image files (.gif or .jpeg files) if your target browser program, such as Internet Explorer 3.0, requires this format, or to .png image files if your target browser program, such as Internet Explorer 4.0, supports them.

What do you want to do?

Topic link | Convert an existing help project to an HTML Help project
Topic link | Compile or test an HTML Help project
Home page link | About converting existing help projects


To convert an existing help project to an HTML Help project

  1. On the File menu, click New, and then click Project.
  2. Select the Convert WinHelp project check box, and then click Next.
  3. Specify the location of the existing help project (.hpj) file you want to convert.
  4. Specify a location and name for the new HTML Help project you are creating, click Next, and then click Finish.

Notes

  • All the files referenced by the existing help (.hpj) file must be in the locations specified or the conversion process will fail.
  • HTML Help Workshop converts only complete projects organized in a WinHelp project file. It will not convert individual or multiple topic files.


Create a help project file

A help project (.hhp) file contains information about the location of your HTML topic files, contents (.hhc) files, index (.hhk) files, image (.png, .jpeg, .gif) files, and other files. Project files also contain help window definitions and other options that customize the way a help system functions.

What do you want to do?

Topic link | Create a new help project file
Topic link | Add file locations to a project file
Topic link | Customize help window definitions
Topic link | Compile a help project
Topic link | Test a help file
Topic link | Edit help project options
Home page link | About creating help project files


To create a new help project file

  1. On the File menu, click New, and then click Project.
  2. Follow the instructions in the New Project Wizard.

Note

  • You can convert an existing help project into an HTML Help project.


About creating help project files

An HTML help project (.hhp) file is a text file that brings together all the elements of a help project. It contains the data HTML Help Workshop needs to combine topic (.html, .htm), image (.jpeg, .gif, .png), index (.hhk), and contents (.hhc) files into a single compiled help (.chm) file.

The project file also contains information about how a compiled help file will appear. Window definitions you create in the project file determine attributes of your help windows, such as size and position.

As a help author, you create the project file and add to it the locations of your topic, contents, index, and other files. You can modify the project file options and customize your help windows to match the design of your system. You can make other changes depending on the size and complexity of your help system.

When you create a new project, contents, or index file, the minimum necessary settings are added automatically. The project file is divided into sections; for example, [FILES] and [OPTIONS] are included in every help project file. You can edit these sections by double-clicking the section title.

Once your project file is complete, you compile it to create the final help file. Then you test the help file to make sure everything appears the way you want it.


Edit help project options

You create a title for your help file, set which topic will appear by default, and select which items to display when compiling your files in the [OPTIONS] section of the project file.

You also use the [OPTIONS] section to name the compiled file, log file, and URL root location. And finally, this section indicates which language your file will be in, and which contents and index files will be added to your help project.

What do you want to do?

Topic link | Specify a location for a compiled help file
Topic link | Specify a location for the help log file
Topic link | Specify a title for a compiled help file
Topic link | Specify the default HTML topic file for a compiled help file
Topic link | Specify the language for the help file
Topic link | Hide compiler messages
Topic link | Specify that folders be removed from compiled help file
Home page link | About help projects files


To specify a location for a compiled help file

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Files tab, and then enter a path in the Compiled file box.


To specify a location for the help log file

  1. Open a project (.hhp) file, click Change Project Options, and then click the Files tab.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. In the Log file box, type the name of the file. If you want to save the file in a folder other than the one that contains the project file, type a path.

Note

  • The log file contains all the compiler messages. You can display all messages or hide the ones you don't want to appear.


To specify a title for a compiled help file

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the General tab, and then enter a title for the help file in the Title box.


To specify the default HTML topic file for a compiled help file

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the General tab, and then in the Default file box, enter the name of the HTML file you want to appear when a user opens the compiled help file.


To specify the language for the help file

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the General tab, and then enter a language in the Language box.


Set HTML Help Workshop preferences

You can change how HTML Help Workshop operates to suit your work style. You can modify how help projects load, and enable sound for projects so you can listen while working on projects. You can also choose how contents and index entries will respond when you single-click or double-click them in HTML Help Workshop.

What do you want to do?

Topic link | Automatically load the last project file worked on
Topic link | Enable sound in HTML Help Workshop
Topic link | Change the font when viewing the compiler message log
Topic link | Set actions to take when single- or double-clicking a contents entry
Topic link | Set actions to take when single- or double-clicking an index entry
Home page link | About creating help project files


To automatically load the last project file you worked on

  1. On the File menu, click Preferences.
  2. Click the General tab, and then select the Automatically load last project check box.


To enable sound in HTML Help Workshop

  1. On the File menu, click Preferences.
  2. Click the General tab, and then select the Enable sound in HTML Help Workshop check box.


To set actions to take when single- or double-clicking a contents entry

  1. On the File menu, click Preferences.
  2. Click the Contents tab, and then select the options you want.

Note

  • These preferences apply to how the contents editor behaves when a help author is using HTML Help Workshop. They do not apply to how the contents function in a compiled help file.


To set actions to take when single- or double-clicking an index entry

  1. On the File menu, click Preferences.
  2. Click the Index tab, and then select the options you want.

Note

  • These preferences apply to how the index editor functions when a help author is using HTML Help workshop. They do not apply to how the index functions in a compiled help file.


To change the font when viewing the compiler message log

  1. open a project (.hhp) file and compile it.
  2. On the View menu, click Set Font, and then select the font options you want.


Test help files

HTML Help Workshop has a variety of testing features that make it easier to test your help files.

What do you want to do?

Topic link | Decompile a help file
Topic link | Monitor help messages
Topic link | View compiled help file information
Topic link | Test KLinks or ALinks
Home page link | About testing a help system


Use the HTML Help ActiveX Wizard to insert a Shortcut command

Example: Use the HTML Help ActiveX Wizard to insert a Shortcut command

  1. Start the control wizard and specify the shortcut command.
  2. Specify how you want the command to appear to the user.
  3. Select the button options.
  4. Specify the program to open, parameters, and window class.
  5. Specify a standard Windows message, lPARAM and wPARAM messages, and an HTML file to open if the program cannot be found.


Start the control wizard and specify the shortcut command

  1. In HTML Help Workshop, open an HTML file, and then position your cursor at the location where you want to create a shortcut.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click ShortCut, and then enter an ID name for this instance of the control.
  4. Click Next.


Specify how you want the command to appear to the user

  1. Select an option for displaying the control (as a button, or hidden).
  2. Click Next.

Note

  • Choose the "hidden" option if you are calling the control from a script rather than user input.


Select the button options

  1. Choose an option for what you would like the button to display (text, bitmap, or icon).
  2. Enter the text to display on the button, or a path to the .bmp or .ico file you would like to include.
  3. Click Next.

Note

  • If you chose the "hidden" option in step 2, you will not see this control wizard screen.
  • HTML Help Workshop comes with a built-in "shortcut" icon. To use this icon on a shortcut button, select Display a bitmap on the button, and type "shortcut" (without the quotes) in the Bitmap field.


Specify the program to open, parameters, and window class

  1. In the Program box, enter the name of the program you are calling.
  2. In the Parameters box, enter any parameters you would like to send the program (for example, the name of a file to open).
  3. Enter the window class for the program you are calling in the Window class box. Doing this makes it so that only one copy of the program will be run. You can leave this box blank if you want to.

Note

  • You can open a Windows control panel by specifying the appropriate file in the Program box. Windows control panels are identified by the .cpl filename extension.


Specify a standard Windows message

  1. Select a standard Windows message from the Message pulldown, or enter the numeric value for a Windows message.
  2. Enter values in the WPARAM and LPARAM boxes.
  3. In the File/URL box, enter the name of an HTML file to open if the program cannot be found. You can leave this box blank if you want to.


To create a shortcut in a help topic

About shortcuts

Shortcuts are hotspots that can launch another application, or take the user to a specific dialog box within an application. You can also use shortcuts to activate things like Windows control panels. Use shortcuts to make things easier for novice users, and speed experienced users through complex procedures.

Using the Shortcut command, you can specify which program to open, which file to open in the program (if any), the Window class for the program, and a standard Windows message followed by WPARAM and LPARAM values. You can also specify an HTML file to jump to if the program cannot be found.

You can use the HTML Help ActiveX Control Wizard to insert a Shortcut command, or insert the code manually.

The shortcut feature only works when the following three conditions are met:

  1. The shortcut must be in a compiled help file.
  2. The compiled help file must be located on a local or network drive (a file accessed through HTTP will not work).
  3. The compiled help file must appear in the Help Viewer; a shortcut will not work in a file that appears in Microsoft Internet Explorer.

Click here to see a shortcut in action (this one launches notepad.exe).

Notes

  • Consider the security risks if you create a shortcut that initiates an event from a compiled help (.chm) file to the Internet.
  • For detailed information about the Shortcut command, see the HTML Help ActiveX control reference.


Sample: Create collapsible sections with DHTML

This sample features an actual topic from the HTML Help documentation. Clicking the green link will make the sidebar disappear. Clicking the link again, or the sidebar itself, will make it disappear again.

To specify the location of index files

  1. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  2. Click the Files tab, and then in the Index file box, enter the location and name of your index (.hhk) file.


About splitting topics in an HTML file

HTML Help is designed to work with multiple files, each containing a single topic. However, you may find it easier to use a single HTML file that contains a collection of topics. The Split File command (on the Edit menu) inserts an HTML <OBJECT> tag between your help topics, which tells the compiler (Hha.dll) to build each topic as a separate HTML file when you compile your help project.

You can use the Split File command to break up topics you have already created in an HTML file, or to split topics as you author them in a single file.

If you are switching from WinHelp, your source document may be an existing Rich Text Format (.rtf) file, converted to HTML, that contains multiple topics. By splitting the file into separate topics, you can use a single source file to create multiple HTML topic files.


To add a full-text search stop list to a help project

  1. Create a full-text serch stop list.
  2. Open a project (.hhp) file, and then click Change Project Options.

    Change Project Options

    Specifies files, compiler, window, and other project settings.

  3. Click the Files tab, and then enter the name of your stop list (.stp) file in the Full text search stop list file box.

    Notes

    • A stop list decreases the size of the full-text search index, which results in a smaller compiled help (.chm) file because fewer words are indexed. This is especially important if you have a large documentation set. All words in the stop list are omitted from the search. These are usually commonly occurring words or numbers, such as "the," "and," or "1" that a user is unlikely to search for.
    • You can create a full-text search stop list from the sample list that comes with HTML Help Workshop, and then include it in your project file.
    • For the 1.2 release of HTML Help, the size of this file is limited to 512 bytes.


To create a full-text search stop list

  1. Open a text editor, such as Microsoft Notepad, and create a text file.
  2. Type in any words or numbers you want to exclude from a search, one word per line.
  3. Save the file, and then rename it with .stp as the file name extension.
  4. Add the .stp file to the same directory as your project (.hhp) file.
  5. Add the stop list to your project file.

Sample stop list

Copy any words from the following sample that you want to include in your stop list:

a
about
after
against
all
also
although
among
an
and
are
as
at
be
became
because
been
between
but
by
can
come
do
during
each
early
for
form
found
from
had
has
have
he
her
his
however
in
include
including
into
is
it
its
late
later
me
med
made
many
may
more
most
near
no
non
not
of
on
only
or
other
over
several
she
some
such
than
that
the
their
then
there
these
they
this
through
to
under
until
use
was
we
were
when
where
which
who
with
you

Notes

  • A stop list decreases the size of the full-text search index, which results in a smaller compiled help (.chm) file because fewer words are indexed. This is especially important if you have a large documentation set. All words in the stop list are omitted from the search. These are usually commonly occurring words, such as "the," "and," or "1" that a user is unlikely to search for.
  • Numbers can also be used in a stop list.
  • For the 1.2 release of HTML Help, the size of this file is limited to 512 bytes.


About command line switches

Several client-side command line switches are available to help authors that are part of the HTML Help executable program (Hh.exe) and therefore work when HTML Help Workshop is not set up.

From a DOS prompt or from the Run command, you can:

  • Decompile a .chm file.
  • Call a topic using a map ID.
  • Create an 800 X 600 window, without covering the Windows taskbar.
  • Specify the title to use for an 800 X 600 window.


To decompile a compiled help file from the command line

  • From a DOS prompt or from the Run command, type:

    -decompile folder chm

    where -decompile is the switch, folder is the name of the destination folder where you want the decompiled files to be copied, and chm is the name of the compiled help (.chm) file you want to decompile.

Note

  • Client-side command line switches are part of the HTML Help executable program (Hh.exe) and therefore work when HTML Help Workshop is not set up.


To create an 800 X 600 window from the command line

  1. From a DOS prompt or from the Run command, type -800.
  2. Use the -title switch if you want a title to appear in the window title bar.

Notes

  • This creates an 800 X 600 display window that does not cover the Windows taskbar at the bottom of the screen. You can use it as a stand-alone command or add it to a program or to a Windows shortcut.
  • This command is ignored if you have specified any default window types in your compiled help file.
  • Client-side command line switches are part of the HTML Help executable program (Hh.exe) and therefore work when HTML Help Workshop is not set up.


To specify a title for a window from the command line

  1. Create a window.
  2. From a DOS prompt or from the Run command, type -title text to specify the title for the window.

Note

  • The -800 switch creates an 800 X 600 display window that does not cover the Windows taskbar at the bottom of the screen. You can use it as a standalone command or add it to a program or to a Windows shortcut.
  • This command is ignored if you have specified any default window types in your compiled help file.
  • Client-side command line switches are part of the HTML Help executable program (Hh.exe) and therefore work when HTML Help Workshop is not set up.


Using a map ID from the command line

  • From a DOS prompt or from the Run command, type:

    -mapid id

    where -mapid is the switch, and id is the ID of the HTML file or other file you want to appear.

Notes

  • You can use this as a standalone command or add it to a program or to a Windows shortcut.
  • Client-side command line switches are part of the HTML Help executable program (Hh.exe) and therefore work when HTML Help Workshop is not set up.


About the HTML Tag Reference

The HTML Help tag reference provides information on HTML color values, HTML elements, HTML attributes, and cascading style sheet (CSS) attributes.

You can view the HTML Tag Reference either from the HTML Help Workshop help file or in a secondary help window.

To view the Tag Reference in a secondary window

  • Open HTML Help Workshop, click the Help menu, and then click HTML Tag Reference.


To open this program | Click this
Outlook Express Mail or your default e-mail program | Mail
Outlook Express News or your default newsreader program | News
Address Book or your default contact program | Address Book
NetMeeting or your default Internet call program | Internet Call


Develop guidelines for testing

Before you begin testing, consider doing the following:

  • Create a test plan tailored to your help file or Web site that describes what needs to be tested and the methods you should use. If several people are testing, a test plan ensures consistency.
  • Make sure all the testers are running the same version of the help file and, if the help file is related to a program, the same version of the program.
  • Devise a method for reporting and tracking bugs until they are fixed. The bug report should be clear and complete so that it is useful to the help author who will have to fix the problem. Ideally, the bug report should contain information about the help file and topic affected, a description of the problem, and the steps required to reproduce the problem.

You might also want to ask someone who is unfamiliar with your help file and product to act as a sample user and help you test your help file. Ask the user to find information about particular tasks, to use the Index, Contents, and Search tabs to find information, or to read through overviews. If the user has difficulty using a part of your help file, rework it and try again.


To test KLinks or ALinks

  1. On the Test menu, click Keyword Lookup.
  2. In the Compiled file box, enter the name of the compiled help (.chm) file that contains the Keyword links (KLinks) or Associative links (ALinks) you want to test.
  3. If you want the topics you are testing to appear in a window type other than the default window, specify the name of the window type in the Window name box.
  4. If you want to include ALink names in the test, select the Use ALink names check box.
  5. Click Add, type any keywords and ALink names, and then click Test.

Note

  • This procedure is useful when you need to test whether KLink keywords and ALink names have been added correctly to target files and whether the KLink or ALink <OBJECT> tag has been added to the files you want to link from.


About testing a help system

One of the most important things you can do to make sure users find the information they need in your help system is to test your help files. It is a good idea to test often as you work on your help file, and do a final test of everything before you distribute it.

You want to make sure that all the links in your files work, your table of contents and index are functional, your content is correct, your design is consistent, and there are not any other errors in your file that could confuse users.

To get an idea of how a help system might be tested, you can follow the process used by the HTML Help team to test help files.


Develop a process for testing help files

This is the process used by the HTML Help team to test and debug help files.

What do you want to do?

Topic link | Develop guidelines for testing
Topic link | Clean up compiler messages
Topic link | Test help in the user interface
Topic link | Test links, pop-up windows, and related topics
Topic link | Check formatting and styles
Topic link | Review accuracy and style of content
Topic link | Check the index, spelling, and titles
Home page link | About testing a help system


Clean up compiler messages

You can fix some help file problems before you even open the help file. When you compile a help file, HTML Help Workshop notifies you of some basic problems in the file by reporting compiler messages.

Your first testing task is to compile the help project and view the compiler messages. Make sure there are none that can cause problems in your help file.

If you have created context-sensitive help for your program, read the topic on fixing context-sensitive help problems.


Test help in the user interface

If your help system is designed so that a help file can be opened from a Help menu or other item in the user interface, test to ensure that help will start when users expect it to.

Suggested tasks for testing

  • If your help system uses a Help menu, click the menu item and make sure that the correct help file opens.
  • If your help system is designed so that a help file opens when a user presses the F1 key, test that the correct help topic opens.
  • Open each dialog box that has links to help and test that the correct help topic opens. If your program has help buttons in dialog boxes, try all of them. If your program uses a question mark or right-click help, test any items that have help connected to them.
  • Double-click the icon for the help file. Make sure the Help Viewer or the frameset you have created opens and that the correct index, table of contents, or topic appears in the correct window.
  • If your help system contains files for optional components, test help files with each component installed or not installed to ensure that the correct files appear at the correct times.
  • If you use information types in your help topics, test to ensure that the topics are reaching the appropriate audiences.
  • If you are delivering a help system to different Web browsers or to users with different versions of the same Web browser, test your topics in each browser or browser version.

Testing context-sensitive help

Unfortunately, there is no automated way to make sure that the correct context-sensitive help topic appears when the user requests help for an item. You need to test context-sensitive help in context by using your program. Open every dialog box and click every item where you expect context-sensitive help to appear.


Testing links, pop-up windows, and related topics

When testing a help file, you should also ensure that all hyperlinks, pop-up windows, and Related Topics links are working correctly.

Suggested tasks for testing

  • View every topic in the help file and test all hyperlinks, and Related Topics links to make sure they connect to the expected location.
  • Open the help file and test all of the links from the Contents tab to make sure they all lead to the correct topic.
  • Make sure that the topics you link to appear in the correct window type.


Checking formatting and styles

You should also test all styles, cascading style sheets, tables, and any other formatting used in your help system.

Suggested tasks for testing

  • Make sure that styles appear the way you want them to. Check the length of topics and make sure they match your style guidelines.
  • Make sure all HTML tags have both a start and an end bracket and that expected elements and meta tags are all in place.
  • Check that headings, numbered lists, bulleted lists, and so on are all formatted using the correct tags.
  • Make sure that spacing and margins are correct.
  • View the help file on different monitors and browsers to make sure the formatting, colors, and styles are correct. If any of your styles use the same fonts as the browser you are viewing in, change your default browser font so the difference in styles is immediately apparent.
  • A useful test of whether a cascading style sheet is working or not is to add the style information using the <STYLE> tag with the included styles to a representative file or two. You can then compare these files to the ones using the <LINK> tag.
  • Change your Windows desktop color scheme and make sure the help file is still readable.
  • Test your style sheet in different versions of the same browser. For example, new developments in cascading style sheets cause them to display topics differently in Microsoft Internet Explorer 4.0 than they did in earlier version of Internet Explorer.


Reviewing accuracy and style of help content

You should test content, images, and other text to make sure that all text is accurate and complete and that it follows editorial guidelines.

Suggested tasks for testing

  • Test every procedure for accuracy. If you are writing help for a program, make sure all the terminology you use in your topics matches that used in the user interface.
  • Make sure that all topics follow any editorial guidelines you have set up.
  • Access all secondary help text or information attached to your program. Are error messages understandable and easy to read? Is the information provided in dialog boxes accurate and clear?


Checking the help file index, spelling, and titles

Before you ship your help file, do a final spelling check and make sure that everything works correctly from the Index tab.

Suggested tasks for testing

  • Run a spelling check on all your HTML files. Use any odd words or phrases that result from this check as an opportunity to expand your index.
  • Scroll through all entries in the Index tab. Make sure the keywords appear correctly and that they jump to the correct topics.
  • Make sure that all topics have a title defined, if necessary.
  • In the index, check for proper indentation of keywords and headings. Because of the way keywords are sorted, you need to make sure that the order of the keywords looks correct and that second-level entries appear under the proper first-level entries.
  • Make sure that keywords jump to the correct topics by double-clicking each one.
  • If you combined or converted keywords from multiple help files, check closely for consistency. You may notice inconsistencies in terminology, use of both singular and plural forms of words, and inconsistent verb construction.


About help authoring software programs

HTML Help is included in several help authoring software programs produced by tool vendors who work closely with Microsoft. These help authoring software programs contain many useful features that assist you in creating a help system.

A list of vendors who produce Help authoring software programs is available on the HTML Help Web site.


Overview topic template

To copy the template, select the text from the <!DOCTYPE> tag to the </HTML> end tag, right-click, and then click Copy:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<title>Example overview topic</title>
</head>

<body>

<h1>Enter heading for overview topic here</h1>

<p>Enter first paragraph of overview text here. </p>

<p>A paragraph with a <a href="example.htm">link</a> looks like this.</p>

<p>This paragraph introduces the list that follows:</p>

<ul>
<li>First item of bulleted list with a <a href="example.htm">link</a> in it.
<li>Second item in bulleted list.
<li>Third item in bulleted list.
</ul>

<p>Sometimes another paragraph follows the list. </p>

</body>
</html>


Decision topic template

To copy the template, select the text from the <!DOCTYPE> tag to the </HTML> end tag, right-click, and then click Copy:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<title>Example decision topic</title>
</head>

<body>

<h1>Enter heading for decision topic here</h1>

<p>Introductory text goes here.</p>

<h4>What do you want to do?</h4>

<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top">
<a href="example.htm">Link to first procedure</a>
</td>
</tr>

<tr>
<td valign="top">
<a href="example.htm">Link to second procedure</a>
</td>
</tr>

</body>
</html>


Multi-step procedure topic template

To copy the template, select the text from the <!DOCTYPE> tag to the </HTML> end tag, right-click, and then click Copy:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<title>Example procedure topic</title>
</head>

<body>

<h1>Enter heading for multi-step procedure here</h1>

<ol>

<li>Do the first task.

<li>Do the next task, which may have a <a href="example.htm">link</a> in it.

<li>Do the last task.

</li>
</ol>

<h3>Note</h3>

<ul>
<li>Note text goes here.
</li>
</ul>

<table border="0" cellpadding="0" cellspacing="0"> <tr>
<td valign="top">
<a href="example.htm">Link to another procedure</a>
</td>
</tr>
</table>

</body>
</html>


Source-code topic template

To copy the template, select the text from the <!DOCTYPE> tag to the </HTML> end tag, right-click, and then click Copy:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<title>Example topic that contains source code</title>
</head>

<body>

<h1>Enter heading for a topic that contains a source code example here</h1>

<p>Open each HTML file you want to contain a source code example and add the <CODE> </CODE> tags to the code. For individual HTML tags, you can type & followed by lt; on the left side of the tag and & followed by gt; on the right side of the tag (the example below shows how these should appear around an HTML tag). This code appears in a browser as greater than and less than symbols (<>).</p>

<p>This is a way to imitate HTML tags without having the tags used when the page is opened in a browser. The following is an example format for extended code examples: </p>

<code>
&lt;STYLE&gt; BODY { font-family: times, serif; color: black; margin-left: 10%; margin-right: 10%; } A:link {color: black; text-decoration: underline } A:visited { color: black; text-decoration: none} &lt;/STYLE&gt;
</code>

</body>
</html>


One-step procedure topic template

To copy the template, select the text from the <!DOCTYPE> tag to the </HTML> end tag, right-click, and then click Copy:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<title>Example one-step procedure topic</title>
</head>

<body>

<h1>Enter heading for one-step procedure here</h1>

<ul>
<li>To do this procedure, click the <b>Menu name</b> menu, and then click <b>command</b>.
</li>
</ul>

<h3>Note</h3>

<ul>
<li>Note text goes here.
</li>
</ul>

<table border="0" cellpadding="0" cellspacing="0"> <tr>
<td valign="top">
<a href="example.htm">Link to another procedure</a>
</td>
</tr>
</table>

</body>
</html>


To create a training card

  1. Open an HTML file, and then position your cursor at the location where you want to have information sent to or from a program.
  2. Click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click Training Card, and then if you have already used the HTML Help ActiveX control in this file, enter an ID name for this instance of the control.
  4. Work with a developer and the HTML Help API to add the appropriate WM_TCARD calls for your training card.

Note

  • For detailed information about the TCard command, see the HTML Help ActiveX control reference.


About using the Help Viewer for your topics

HTML Help comes with a fully functional Help Viewer in which authors creating help files for distribution with a program can display their files.

You can use HTML Help Workshop to add buttons and other design elements to the Help Viewer, customizing it to suit your needs. Unless you design your own set of windows or frames to display your help content, the Help Viewer is the default for all help projects. Any topics you set up in your help project file will open in the Help Viewer.

The Help Viewer contains three panes:

  • Users view help topics in the Topic pane.
  • To the left of the Topic pane is the Navigation pane, which can be set up to display a table of contents, an index, a list of favorite help topics, or a full-text search tab.
  • A third pane contains the toolbar, which allows users to display or hide the Navigation pane, or move forward to the next topic or back to the previous topic. Stop, Refresh, Locate, and Home buttons are also available.

Help authors also can customize the Help Viewer by changing its default characteristics.

Notes

  • You can simultaneously display multiple files in the Topic pane by clicking Cascade, Tile Horizontally, or Tile Vertically on the Window menu.
  • You can also download Help Viewer topics, which contain basic information about how to use the viewer, from the Web and include them in your help system.


Modify the Help Viewer

To change the default characteristics of the Help Viewer, you need to define a window type for it in your project file. Once you have given the Help Viewer a definition, you can customize it in the same way you would a secondary or embedded window.

Some customizations affect just one pane of the window. For example, you can make modifications to the Navigation pane that affect which tabs appear and whether they appear on the top, side, or bottom of the window.

What do you want to do?

Topic link | Define a window type for the Help Viewer
Topic link | Specify the title for a help window
Topic link | Add or remove buttons in a help window
Topic link | Specify the size and position of the Help Viewer or a help window
Topic link | Specify file locations for window types
Topic link | Modify the Navigation pane in the Help Viewer
Topic link | Make changes to the overall style of help windows
Home page link | About customizing the Help Viewer


To define a window type for the Help Viewer

  1. open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Type a name for the Help Viewer in the Create a window type named box.
  3. On the General, Buttons, Position, Files, Navigation Pane, Styles and Extended Styles tabs select the options you want for the Help Viewer.

Note

  • To change the name of the Help Viewer, open a project (.hhp) file, click Add/Modify Window Definitions, and then type the new name in the Window type box.


HTML Help Viewer topics

The HTML Help Viewer topics contain basic information about how to use the viewer. Information on using the accessibility shortcut keys is included. If you are a help author, you can include these topics in your help file.

You can download a compiled help (.chm) file that contains the Help Viewer topics from the HTML Help Web site. You can then decompile the help file, revise the topics to conform to your guidelines, and include them in your help system.


Distributing topics over the Internet, an intranet, or an extranet

As you plan your help Web site and author your help topics, you'll want to consider whether you are developing topics for the Internet or World Wide Web, for an intranet or private Web site, or for an extranet or commercial Web site with connections to consumer databases.


Distribute help over the Internet

Help topics distributed over the Internet are usually accessed by users who visit a World Wide Web site. The World Wide Web is a graphical system of moving through the Internet using hyperlinks. All or part of a Web site can contain help topics that a user can view, copy, or download to their computer.

HTML files distributed on the Internet can potentially reach millions of people around the world. Any help topics you publish to the Web should be designed with this in mind. The information in them should be accessible to a wide variety of users.

What do you want to know more about?

Topic link | Setting up information types to select the audience that topics will be delivered to
Topic link | Planning for help Web site updating and management
Topic link | Registering your help Web site with search engines
Topic link | Getting started using HTML Help Workshop
Home page link | Distributing topics over the Internet, an intranet, or an extranet


Distribute help over an intranet

Help topics can be distributed over an intranet, which is a communications network based on the same technology as the World Wide Web that is available only to people within a certain organization or company. Intranets are protected from unauthorized entrance by a firewall, a computer that refuses entrance to those without proper access privileges. All or part of an intranet site can contain help topics that a user with access privileges can view, copy, or download to their computer.

HTML files distributed on an intranet will reach only those who can connect to the private network on which they are located. The information in them can be confidential and designed specifically for the company or organization using the intranet.

What do you want to know more about?

Topic link | Setting up information types to select the audience that topics will be delivered to
Topic link | Planning for help Web site updating and management
Topic link | Getting started using HTML Help Workshop
Topic link | Registering your help Web site with search engines
Home page link | Distributing topics over the Internet, an intranet, or an extranet


Distribute help over a extranet

Help topics distributed over an extranet are usually accessed by users who first visit a World Wide Web site, and then gain access to an extranet so they can use the consumer services being offered. Extranets are frequently connected to large databases that process either requests or information from users, and then generate responses to those requests.

Depending on how the extranet is set up, access to it can either be public or private. All or part of an extranet site can contain help topics that users with access privileges can view, copy, or download to their computer.

Help topics developed for extranet distribution will reach only those who choose to connect to the extranet to obtain the services being offered. The information in them should be designed specifically for the company or consumer using the service.

Using HTML Help Workshop, you can design shortcut buttons in help topics that interact with software programs on the extranet.

What do you want to know more about?

Topic link | Setting up information types to select the audience that topics will be delivered to
Topic link | Planning for help Web site updating and management
Topic link | Getting started using HTML Help Workshop
Topic link | Registering your help Web site with search engines
Home page link | Distributing topics over the Internet, an intranet, or an extranet


The HTML Help components

HTML Help contains the following components:

  • HTML Help Workshop: a help authoring tool with an easy-to-use graphical interface for creating project files, HTML topic files, contents files, index files, and everything else you need to put together an online help system or Web site.
  • HTML Help ActiveX control: a small, modular program used to insert help navigation and secondary window functionality into an HTML file.
  • The HTML Help Viewer: a fully-functional and customizable three-paned window in which online help topics can appear.
  • Microsoft HTML Help Image Editor: an online graphics tool for creating screen shots; and for converting, editing, and viewing image files.
  • The HTML Help Java Applet: a small, Java-based program that can be used instead of an ActiveX control to insert help navigation into an HTML file.
  • The HTML Help executable program: the program that displays and runs help when you click a compiled help file.
  • The HTML Help compiler: the program that compiles project, contents, index, topic, and other files into a compiled help file.
  • The HTML Help Authoring Guide: an online guide designed to assist help authors in using HTML Help to design a help system. The guide also contains a complete HTML Help reference for developers and an HTML tag reference for authors.

Some of the features of the HTML Help components:

  • Compressed HTML: a condensed form of HTML that greatly reduces the amount of disk space required for your help system.
  • Help project conversion: a feature that enables you to convert WinHelp projects into HTML Help projects.


What do you want to do?

Open an existing file

Open an image file

Create a new HTML Help project

Create a new HTML file


About the HTML Help compiler

The HTML Help compiler (Hha.dll) is part of HTML Help Workshop and is the program that compiles a project (.hhp), contents (.hhc), index (.hhk), topic (.html), and other (.gif, .jpeg, etc.) files into a compiled help (.chm) file.

The compiler provides these features:

  • Source files are compressed into a compiled help file, which uses far less disk space than the original source files.
  • Compiled help files can be distributed along with a software product, or they can be quickly downloaded from a Web site.
  • The HTML Help compiler can also be used from a command line without opening HTML Help Workshop.


About the HTML Help executable program

The HTML Help executable program (Hh.exe) runs whenever a user clicks a compiled help (.chm) file or menu item that opens the help file inside the Help Viewer. The HTML Help executable program calls the HTML Help ActiveX control, which opens the help file and provides navigation and other features to the user.

The program provides these features:

  • Topics appear in the Help Viewer.
  • The HTML Help ActiveX control is built into the Help Viewer so that any navigational elements (such as a table of contents, index, or full-text search) specified by the help author will be part of the compiled help file that a user sees.


About the HTML Help Image Editor

The HTML Help Image Editor is an online graphics tool for creating screen shots; converting, editing, and viewing image files; and browsing thumbnail images for HTML pages.

The HTML Help Image Editor has these important features:

  • Screen capturing
  • File converting
  • Image editing
  • File viewing
  • Art manuscript

In addition, the HTML Help Image Editor features the following:

  • You can have many HTML Help Image Editor windows open at once; the number is limited only by the amount of disk space on your computer.
  • The HTML Help Image Editor supports long file names and Exchange/UNC (Universal Naming Convention) paths.
  • The HTML Help Image Editor files can be sent in an e-mail message using Exchange. On the HTML Help Image Editor File menu, click Send Mail.
  • The HTML Help Image Editor has two full screen options: 16-Color (to preview what your image would look like reduced to 16 colors), and Tiled (to preview what your image would look like as the background for a Web page).


About screen capturing

You can use the HTML Help Image Editor to capture three types of windows: program windows, child windows (windows within the program window), or the desktop. To perform the captures you can use keyboard commands, mouse capture, or timed capture.

You can standardize colors for a series of captures to insure consistency in the final output.


About file converting

Once you have opened an image in the HTML Help Image Editor, you can convert the image file to any other format that the program supports.

In the HTML Help Image Editor, input capabilities have been expanded to include: .gif, .jpg, .tga, .pcd, .png, and .wmf files. New output formats include: .gif, .jpeg, and .tga files.


About image editing

The HTML Help Image Editor enables you to do two types of color depth reductions with optimized 16- and 256-color palettes, and to obtain an exact color count for each image. Optimized scaling allows sizing of screen captures without loss of text clarity.

Expansion and contraction enables you to select a specific pixel size for an image, and padding is added to the sides or top and bottom to achieve the desired size.

Automatic clipping, primarily for screen captures, cleanly clips out borders and excess area around an image. The Re-read (or revert) function enables you to return to the last saved version of a file. The HTML Help Image Editor also enables you to undo up to nine actions per file during a working session.


About file viewing

The HTML Help Image Editor is optimized to load and scroll through multiple images rapidly.

You can specify filters, such as color depth and interlacing, when viewing images to limit what you see in the image. This is useful for testing and debugging image display problems.

You can view images within the desktop, centered on the full screen, tiled on the full screen, or previewed as 16-color images on the full screen. The tiled view is a very handy feature for creating HTML image backgrounds.


About art manuscripts

Use the art manuscript feature in the HTML Help Image Editor to create or update a catalog of the art in your project. The manuscript itself is an HTML file that contains a thumbnail image of each piece of art. From your manuscript, you can click on the thumbnail images to access the individual art files.


To start the HTML Help Image Editor

  • Open HTML Help Workshop, click the Tools menu, and then click HTML Help Image Editor.


About HTML Help Workshop

Microsoft HTML Help Workshop (Hhw.exe) is an executable program designed to help you create help systems using source files based on Hypertext Markup Language (HTML). With HTML Help Workshop, you can create help systems for distribution with a software program or as stand-alone systems on a Web site.

With its easy-to-use interface, HTML Help Workshop allows you to organize the different files that make up the content of your help system into a single project (.hhp) file, and to author HTML files with a text editor. You can also create and edit contents (.hhc) and index (.hhk) files, add graphics (.gif, .jpeg, .png) files, and insert the HTML Help ActiveX control (the primary navigation tool in HTML Help) into your HTML files.

If you choose to ship your help files using the HTML Help Viewer, HTML Help Workshop includes the HTML Help compiler. A single click allows you to compile, view, and test any changes you have made to your help files.


About the HTML Help Java Applet

The HTML Help Java Applet is a control containing navigation features that you can insert into an HTML file. Use the HTML Help Java Applet with any Web browser that supports Java.

The HTML Help Java Applet enables you to add the following navigation features to your HTML files:

  • Table of contents
  • Index
  • Related Topics


About creating help windows

If you are planning to distribute your help files with a program (as opposed to on the Web), you can use HTML Help Workshop to create a customized Help Viewer with secondary windows or window definitions that change the size of the window, its position, background color, and other attributes. These are the types of windows that you can create or customize:

  • The Help Viewer is the three-paned window in which topics will automatically appear. You never have to create a Help Viewer, but you can customize it. You can make changes to just one of the panes, or all of them.
  • A secondary window is a custom window in which you assign topics to display. You have to create a secondary window and define its various display features before you can specify which topics to display in it.
  • An embedded window is also a secondary window that you define and in which you assign topics to display. Rather than appearing on top of other windows, embedded windows appear within the existing frameset.

A custom frameset is another method to display help topics whether you plan to distribute your help files with a program or on the Web:

  • Create a custom frameset to display help topics. You have to design, manage, and create the frameset, but you can add contents, index and other help functionality to your frames by adding the HTML Help ActiveX control. You can also design secondary windows for your frameset and your help topics.


To specify the title for a help window

  1. open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the General tab, and in the Window type box select the window for which you want to specify a title.
  3. Type the words you want to appear in the window title in the Title bar text box.


To add or remove buttons in a help window

  1. Open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Buttons tab, and then, in the Window type box, select the window for which you want to add or remove buttons.
  3. Select the options you want.

Notes

  • You must create a new secondary window or customize the Help Viewer before you can add or remove buttons.
  • See the list of button functions for the functionality included with each button type.
  • If you create a Jump button, you will be guided through a wizard to specify the jump location.


To specify file locations for window types

  1. open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Files tab, and in the Window type box, select the window for which you want to specify file locations.
  3. Type file locations for the TOC and Index files, if you are using them.
  4. Type a file location in the Default box for the HTML file you want to display when the help file is first opened.
  5. Type file locations for the Home button and any custom jump buttons you are using.
Home page link About creating help windows


To modify the Navigation pane in the Help Viewer

  1. Open a help project file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. In the Create a new window type named box, type a window name for the Help Viewer.
  3. Click the Navigation Pane tab, and in the Window type box, select the Help Viewer by the name you gave it in step 2.
  4. If you want to change the default width for the left pane of the Help Viewer, enter a new width in the Navigation pane width box.
  5. Select the Open with Navigation pane closed check box if you want the compiled help file to open with the Navigation pane closed.
  6. Select the Auto sync check box if you want the heading or topic in the Navigation pane to automatically synchronize with whatever topic appears in the Topic pane.
  7. In the Default tab box choose which tab will appear in the Navigation pane when the help file is first opened.
  8. In the Tabs area, select the tabs that you want to appear on the Navigation pane.

Notes

  • To customize the Help Viewer, you must create a a new window. Any changes to your new window are then noted in the [WINDOWS] section of the project (.hhp) file.
  • You can also create a window without a Navigation pane.


To make changes to the overall style of help windows

  1. open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Styles or Extended Styles tab, and in the Window type box, select the window for which you want to specify styles.
  3. Select the options you want.

Notes

  • Use this procedure, for example, to enable context-sensitive help for a window type.
  • You can click the question mark in the upper-right corner of the screen, and then click a style option to see a definition of the option.


To assign a window type to a contents or index entry

  1. Open a contents (.hhc) or index (.hhk) file, select the entry you want to appear in a specific window type, and then click Edit Selection.

    Edit Selection

    Edits the associated name, file, URL, keyword or style information for the selection.

  2. Click the Advanced tab, and in the Window box, type the name of the window type.

Notes

  • Topics will automatically appear in the Help Viewer unless you assign them to another window type.
  • You must create a new window type in your project file or the topic will continue to appear in the default window.


To assign a window type to a topic when linking

  1. Define the appropriate secondary window type in the project file.
  2. Open the HTML file you are linking from and click HTML Help ActiveX Control.

    HTML Help ActiveX Control

    Inserts or edits the HTML Help ActiveX Control Wizard in an HTML file.

  3. In the Specify the command box, click Related Topics, and then, if you have already used the HTML Help ActiveX control in this file, enter an ID name for this instance of the control.
  4. Click Next, and then, because you most likely do not want a button associated with the link text, click Hidden to specify that you will be scripting this use of the HTML Help ActiveX control.
  5. Click Next, click Add, and then enter the Title and File/URL information for the topic you are linking to.
  6. In the Window box, specify the name of the secondary window you want the topic to appear in. This name must match the name you gave the secondary window in the project file.
  7. Click Next, and then click Finish.
  8. Add the following JavaScript syntax to the file to create the text link:

    <A HREF=JavaScript:hhctrl.Click()>link</a>

    where hhctrl is the ID for the instance of the control and link is the link text.

Notes

  • For example, you could link to the file Apple.htm with the title "How to eat an apple" and have the topic appear in a wide window.
  • The link will not work until the file is compiled.
  • For more information about the control, see the HTML Help ActiveX control reference.


To create a window without a Navigation pane

  1. Open a help project file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. In the Create a new window type named box, type a window name for the new window.
  3. Click the Navigation Pane tab, and then clear the Window with navigation pane, topic pane, and button bar check box.

Note

  • To customize the Help Viewer to appear as a window without a Navigation pane, you must create a a new window. Any changes to your new window are then noted in the [WINDOWS] section of the project (.hhp) file.


Add buttons to help windows

If you are planning to create custom windows or window definitions, you can decide which buttons will appear on the button bar.

What do you want to do?

Topic link | Add or remove buttons in a help window
Topic link | See a list of buttons and their functions
Home page link | About creating help windows


About changing the size and position of a window

The information you present in your help topics generally determines how large your help window should be and where it should be placed on the user's screen.

You can either use the default size and position for the Help Viewer or your help windows, or specify the size and position that you want. The default position for the Help Viewer is in the center of the user's screen. The default position for secondary windows is in the upper-right corner of the user's screen.

Your help windows automatically shift down or to the left to prevent any conflicts with the Windows taskbar. If you specify a size and/or position for a window, make sure you leave enough space above the taskbar when designing your help window size and position.

You may also need to adjust your window size to ensure that all tabs in the navigation pane display the way you want them to.


To specify the size and position of the Help Viewer or a help window

  1. Open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Click the Position tab, and then, in the Window type box, select either the Help Viewer or the secondary window for which you want to specify a size and position.
  3. If you want to use default positions, click Default Positions.
  4. If you want to specify an exact size and position, click Autosizer. A sample window appears. Size the sample window by dragging its borders, and position it by dragging its title bar. When you are done, click OK in the sample window.

Notes

  • You can also specify the size and position of the Help Viewer or a secondary window by typing values in the Left, Top, Width, and Height boxes. The Left and Top boxes determine a window's position. The Width and Height boxes determine its size. You can mix and match default and specific values in these fields. For example, you can specify the width and height of a window, and let HTML Help Workshop determine the window's left and top positions.
  • The HTML Help Viewer window size specified will include the screen space taken up by the Navigation pane (unless you do not include a Navigation pane in your window definition).
  • If you are viewing help and change the window or tab positions, the new locations are stored in the Hh.dat file, which is located in a user's Windows folder. Help authors who reposition the Help Viewer need to delete this file if they want to view the default window and tab settings set up in their project file.


About customizing the Help Viewer

If you are planning to distribute your help files with a program (instead of on a Web site), you can use HTML Help Workshop to customize the Help Viewer. The Help Viewer is a window with three panes that help topics automatically appear in.

You can change the Help Viewer's size, position, background color, and other attributes. You can make changes to just one of the panes, or all of them. You can also have the Navigation pane automatically hide when a user clicks outside the viewer.

You can add a Help Favorites tab to the Navigation pane. If you are shipping a large collection of help files, you may want to add the Advanced Full-Text Search features to the Search tab.

Another way to customize your Help Viewer is to add secondary windows to it. A secondary window is a custom window that help topics can be assigned to appear in. You have to create a secondary window and define its various display features before you can specify which topics to display in it.

Note

  • You can also download Help Viewer topics, which contain basic information about how to use the viewer, from the Web and include them in your help system.


About embedded help windows

An embedded window is a custom window that you can create and use to display topics instead of, or in addition to, the Help Viewer, a secondary window, or a custom frameset.

Depending on your design, using an embedded window to display topics requires more interaction between help authors and software developers than the other window types. Typically, a help author creates the design and topics for an embedded window and the help developer uses the HTML Help API to hook it up.

Note

  • To see an example of an embedded help window, open the HTML Help Image Editor, click the Help menu, and then click Help Topics.


About converting existing help projects

Microsoft HTML Help 1.2 is the next-generation online authoring system from Microsoft Corporation and is based on Microsoft WinHelp 4.0. If you've used WinHelp or Help Workshop before, you will be familiar with many of the features of HTML Help and HTML Help Workshop.

Like WinHelp, HTML Help uses a project file to combine topic, contents, index, image, and other source files into one compiled help file. HTML Help also provides you with HTML Help Workshop, an authoring tool that makes it easy to view, manage, and edit your files in an enhanced user interface. Unlike WinHelp, HTML Help has no practical help system limits. Help file size, topic size, contents entry limits, and keyword limits have all been eliminated.

HTML Help Workshop has a feature that allows you to easily convert an existing WinHelp project into an HTML Help project.


Create secondary help windows

Create secondary help windows

A secondary window is a custom window that you can create and use to display topics instead of, or in addition to, the Help Viewer or a custom frameset. You can define up to 255 secondary windows, and users can display up to 9 of these windows at a time.

Note

  • You can customize a secondary window to have the same features as the Help Viewer or to have fewer features.

What do you want to do?

Topic link | Add a secondary window
Topic link | Create a window without a Navigation pane
Topic link | Assign a window type to a contents or index entry
Topic link | Assign a window type to a topic when linking
Topic link | Specify the title for a help window
Topic link | Change the size and position of a window
Topic link | Add buttons to help windows
Topic link | Specify file locations for window types
Topic link | Make changes to the overall style of help windows
Home page link | About creating help windows


To add a secondary window

  1. open a project (.hhp) file, and then click Add/Modify Window Definitions.

    Add/Modify Window Definitions

    Adds or edits window definitions and the general appearance of the HTML Help Viewer.

  2. Type a name of up to eight characters for the secondary window you are adding.
  3. Click the General, Buttons, Position, Files, Navigation Pane, Styles and Extended Styles tabs to create the features you want for your secondary window.

Note

  • You can also create a window without a Navigation pane.


.topic 1065
Enter a name for the text, HTML tag, or string stored in the Buffer Text box. This name will appear in place of one of the Empty items in the Insert Text Block option on the Tags menu. When you select this name from the menu, the text in the Buffer Text box will be added to the HTML file.

.topic 1066
Enter the text, HTML tag, or string you want to be added to the HTML file each time you select it by its Buffer Name from the Tags menu.

.topic 1067
Enter the new topic (.htm) file name you want to use for this section of the file. This will add the file name to the existing file and split the file at that point when it is compiled. Use this feature when you have a long HTML file containing many topics that you want to break into single topic files.

.topic 1068
Enter the HTML title you want to use for this section of the file. This will add an HTML title tag to the existing file after the new topic file name. Use this feature to add titles to a long HTML file containing many topics that you want to break into single topic files.

.topic 1113
Enter a name for the category. Categories are optional, if you use them, all information types must be assigned to a category. Categories can only be deleted by opening the project, index, and contents file in a text editor and deleting them from the files.

.topic 1114
Enter a description for the category.

.topic 1115
Enter a name for the information type.

.topic 1116
Enter a description for the information type.

.topic 1117
Select inclusive as the attribute if you want the end user to be able to select from one or more inclusive information types within each category.

.topic 1118
Select hidden as the attribute if you want the selection of types to be controlled by the software program and hidden from the end user. You will need to use the HtmlHelp API with hidden information types to identify and group which topics will appear based on which program components are active.

.topic 1119
Select exclusive as the attribute if you want the end user to be able to choose only one information type within each category.


.topic 1069
Enter a title for the compiled help (.chm) file.

.topic 1070
Enter the file name for the topic that appears when an end user first opens the compiled help (.chm) file.

.topic 1071
Enter the window type for the default file. All files not assigned to a window type will appear in this window.

.topic 1072
Select a language for the help file from the Language of Help File list.

.topic 1073
Click to enter a hexadecimal language identifier for a language not in the Language of Help File list.

.topic 1074
Enter the path for the location where you want HTML Help Workshop to save the compiled help (.chm) file.

.topic 1075
Enter the path for the location where you want HTML Help Workshop to save the help log file.

.topic 1076
Enter the location and name of your contents (.hhc) file.

.topic 1077
Click to automatically generate a table of contents when compiling. To use this feature, you need to set the table of contents properties for each HTML topic file for which you want to auto-generate a contents entry for.

.topic 1078
Select the maximum HTML Head level for the contents entries you want to auto-generate. To use this feature, you need to set the table of contents properties for each HTML topic file for which you want to auto-generate contents entries.

.topic 1079
Enter the location and name of your index (.hhk) file.

.topic 1080
Click to include all Notes in the compiler and error log files.

.topic 1081
Click to include Progress Reports in the compiler and error log files.

.topic 1082
Click to move all files in folders to the root during compile. This consolidates the compiled help file by removing all unnecessary references to folders. All URL references in the project file are updated to reflect the new file location.

.topic 1083
Click to enable full-text search functionality for the help project. You also must add a full-text search tab in the Window Types options for any customized windows you have created that you want to have this functionality.

.topic 1084
Click to browse for the file location.


.topic 1085
When selected, HTML Help Workshop opens with the last project (.hhp) file you worked in displayed on the project tab.

.topic 1086
Select to hear sounds while working in HTML Help Workshop.

.topic 1087
Select to substitute Strong tags for Bold tags when working in HTML files. When you highlight text in an HTML file and then choose to format it as Bold, a STRONG tag will be added rather than a BR tag.

.topic 1088
Select to substitute Emphasis tags for Italic tags when working in HTML files. When you highlight text in an HTML file and then choose to format it as Italic, an EM tag will be added rather than an I tag.

.topic 1089
Select to have contents or index entries be highlighted after a single-click when editing files in HTML Help Workshop. This setting does not affect how the table of contents or index appear in compiled help files.

.topic 1090
Select to have contents or index entries be highlighted and open to the related HTML file after a single-click when editing files in HTML Help Workshop. This setting does not affect how the table of contents or index appear in compiled help files.

.topic 1091
Select to have the entry open for editing after a double-click when editing files in HTML Help Workshop. This setting does not affect how the table of contents or index appears in compiled help files.

.topic 1092
Select to have the file open for editing after a double-click when editing files in HTML Help Workshop. This setting does not affect how the table of contents or index appear in compiled help files.

.topic 1093
Select to have both the entry and the file open for editing after a double-click when editing files in HTML Help Workshop. This setting does not affect how the table of contents or index appear in compiled help files.


.topic 1094
Enter the name of the frame in which you want the table of contents or index to display. The Default Frame cannot have the same name as the Default Window.

.topic 1095
Enter the name of the default window type in which you want the table of contents or index to display. The Default Window cannot have the same name as the Default Frame.

.topic 1096
Click to display either folders or books as the default icons for contents entries at the heading level.

.topic 1097
Click to display a custom set of image icons for contents entries.

.topic 1098
Enter the path and name of the image file for the custom icons you want to associate with contents entries.

.topic 1099
Select a width for the custom icons from the list.

.topic 1090
Lists the window styles used in the contents pane for the current project.

.topic 1101
Click to add a new style from the list of additional styles.

.topic 1102
Click to remove a style used in the contents pane for the current project.

.topic 1103
Lists the information types in the current help project. Click Add to create new information types and categories.

.topic 1104
Displays a description of the selected information type or category if available.

.topic 1105
Click to edit the selected information type or category.

.topic 1106
Click to add a new information type or category. After you add information types, use the edit feature for contents or index entries to assign them to topics.

.topic 1107
Click to remove the selected information type or category.

.topic 1108
Enter a name for the selected information type.

.topic 1109
Specifies that for the selected information type, the end user will be allowed to select from one or more inclusive information types within each category.

.topic 1100
Specifies that the selected information type, the end user will be allowed to choose only one information type within each category.

.topic 1111
Specifies that the selected information type will be controlled by the software program and hidden from the end user. You will need to use the HtmlHelp API with hidden information types to identify and group which topics will appear based on which program components are active.

.topic 1112
Enter a name for the information type category.


.topic 1000
Lists the window types contained in your project. Select the window type you want to modify.

.topic 1001
Click to add a new window type.

.topic 1002
Click to remove the window type selected in the Window Type box.

.topic 1003
Type the words you want to appear in the title bar of the window.

.topic 1004
Click to add a Hide/Show button to the Button bar at the top of a Help window. When clicked, the left pane expands or collapses while topics appear in the right pane.

.topic 1005
Click to add a Back button to the Button bar at the top of a Help window. When clicked, returns to the last topic.

.topic 1006
Click to add a Forward button to the Button bar at the top of a Help window. When clicked, moves forward to the next topic.

.topic 1007
Click to add a Stop button to the Button bar at the top of a Help window. When clicked, stops downloading from an external location.

.topic 1008
Click to add a Refresh button to the Button bar at the top of a Help window. When clicked, refreshes the topic.

.topic 1009
Click to add a Home button to the Button bar at the top of a Help window. When clicked, jumps to a Home page or other designated topic location.

.topic 1010
Click to add an Options button to the Button bar at the top of a Help window. When clicked, opens a menu listing other options.

.topic 1011
Click to add a Print button to the Button bar at the top of a Help window. When clicked, activates printing functionality.

.topic 1012
Click to add a Locate button to the Button bar at the top of a Help window. When clicked, synchronizes the topic  in the left pane with its corresponding table of contents entry in the right pane.

.topic 1013
Click to add a custom button to the Button bar at the top of a Help window. When clicked, performs a help author-defined action.

.topic 1014
Click to add a second custom button to the Button bar at the top of a Help window. When clicked, performs a Help author defined action.

.topic 1016
Click to specify a value in pixels for the window position relative to the left side of the screen.

.topic 1017
Click to specify a value in pixels for the window position relative to the top of the screen.

.topic 1018
Click to specify a width in pixels for the window.

.topic 1019
Click to specify a height in pixels for the window.

.topic 1020
Click to specify an exact window size and position. A sample window appears. Size the sample window by dragging its borders, and position it by dragging its title bar. When done, click OK in the sample window.

.topic 1021
Click to use the default positions for a new window. A main or default Help window will take up the center third of an end user's screen, and secondary windows will appear in the upper-right corner of an end user's screen. Choosing default positions ensures that your Help windows will automatically shift down or to the left to prevent any conflicts with the Windows 95 or other Microsoft taskbars.

.topic 1345
When checked, indicates that the default window position for the compiled help file will be used only the first time the end user launches it. Thereafter the window position will be determined by where the end user last positioned it.

.topic 1022
Type the location of the contents file for this window type.

.topic 1023
Type the location of the index file for this window type.

.topic 1024
Type the location of the default topic that this window type will first display.

.topic 1025
Type the location of the Home page or other topic that this window type will display when a user clicks the Home button on the Button bar.

.topic 1026
Type the location of the topic or other item this window type will jump to when a user clicks a Jump 1 custom button on the Button bar.

.topic 1027
Type the location of the topic or other item this window type will jump to when a user clicks a Jump 2 custom button on the Button bar.

.topic 2028
When checked, indicates the window type selected is a help window with a navigation pane on the left-hand side, a topic pane on the right-hand side, and a button bar at the top. Click this either to create customizations to the default Help window or to create a secondary window that is similar to the default Help window.

.topic 1028
Select a default width for the left pane of the default Help window.

.topic 1029
Select to have the compiled help file open with the navigation pane closed. An end user will see only the default topic. They can click Show to view the navigation pane.

.topic 1032
When checked, indicates that a Search tab will be added to the navigation pane for the selected window type. Once the tab is created, you must set the help project options to include full-text search information if you want Search functionality to be enabled.

.topic 1030
When checked, indicates that auto-sync functionality will be added to the navigation pane for the selected window type. Auto-Sync automatically synchronizes the heading or topic in the navigation pane with whichever topic appears in the topic pane.

.topic 1030
Select to have the Contents tab display in the navigation pane of the default Help window when a user first opens it. Any contents (.hhc) files specified in your project file will display on this tab once the Help file is compiled.

.topic 1031
Select to have the Index tab display in the navigation pane of the default Help window when a user first opens it. Any index (.hhk) file specified in your project file will display on this tab once the Help file is compiled.

.topic 1032
Select to add a Full-Text Search tab display in the navigation pane of the default Help window when a user first opens it. When a user first clicks the Find tab in a compiled help file, a full-text search, which lists all the words in the help file, is automatically generated.

.topic 1033
Select to have the Table of Contents, Index, or Search tabs appear at the top of the navigation pane.

.topic 1034
Select to have the Table of Contents, Index, or Search tabs appear at the side of the navigation pane.

.topic 1035
Select to have the Table of Contents, Index, or Search tabs appear at the bottom of the navigation pane.

.topic 1036
When enabled, windows of the type selected will have a thick frame around them.

.topic 1037
When enabled, windows of the type selected will have a system menu in the upper-left corner.

.topic 1038
When enabled, creates a window that has a Minimize button. Cannot be combined with the Context Help extended style. The System Menu style also must be specified.

.topic 1039
When enabled, creates a window that has a Maximize button. Cannot be combined with the Context Help extended style. The System Menu style also must be specified.

.topic 1040
When enabled, clips child windows relative to each other. When a particular child window receives a message, the clip siblings style clips all other overlapping child windows out of the region of the child window to be updated. If clip siblings is not specified and child windows overlap, it is possible, when drawing within the client area of a child window, to unintentionaally draw within the client area of a neighboring child window.

.topic 1041
When enabled, excludes the area occupied by child windows when drawing occurs within the parent window. This style is used when creating the parent window.

.topic 1042
When enabled, windows of the type selected will have a horizontal scroll bar added to them.

.topic 1043
When enabled, windows of the type selected will have a vertical scroll bar added to them.

.topic 1044
When enabled, windows of the type selected can contain pop-up windows. Pop-up windows display on top of a Help topic. They are automatically sized to fit the text or graphics in them. They remain onscreen until end users click anywhere inside or outside the pop-up.

.topic 1045
When enabled, creates a child window. This style cannot be used with the pop-up style.

.topic 1046
When enabled, creates a window that is initially minimized. The Overlapped style also must be selected.

.topic 1047
When enabled, creates a window that is initially disabled. A disabled window cannot receive input from the user.

.topic 1048
When enabled, creates a window that is initially maximized.

.topic 1049
When enabled, creates a window that has a thin-line border.

.topic 1050
When enabled, creates a window that has a border of a style typically used with dialog boxes. A window with this style cannot have a title bar.

.topic 1051
When enabled, creates a window that is initially visible.

.topic 2051
Creates an overlapped window. An overlapped window has a title bar and a border.

.topic 1052
When enabled, creates a tool window; that is, a window intended to be used as a floating toolbar. A tool window has a title bar that is shorter than a normal title bar, and the window title is drawn using a smaller font. A tool window does not appear in the taskbar or in the dialog that appears when the user presses ALT+TAB. If a tool window has a system menu, its icon is not displayed on the title bar. However, you can display the system menu by right-clicking or by typing ALT+SPACE.

.topic 1053
When enabled, specifies that a window has a border with a sunken edge.

.topic 1054
When enabled, creates a window with a three-dimensional border style. This style is intended to be used for items that do not accept end user input.

.topic 1055
When enabled, specifies that a window created with this style is to be transparent. That is, any windows that are beneath the window are not obscured by it. A window created with this style receives messages only after all sibling windows beneath it have been updated.

.topic 1056
When enabled, specifies that a window created with this style accepts drag-drop files.

.topic 1057
When enabled, allows the end user to navigate among the child windows of the window by using the TAB key.

.topic 1058
When enabled, includes a question mark button in the title bar of the window. When the user clicks the question mark button, the cursor changes to a question mark with a pointer. If the user then clicks a child window, the child receives a WM_HELP message. The child window should pass the message to the parent window procedure, which should call the HtmlHelp function using the HELP_WM_HELP command. The Help application displays a pop-up window that typically contains help for the child window.

.topic 1059
When enabled, if the shell language is Hebrew, Arabic, or another language that supports reading order alignment, the window text is displayed using Right to Left reading-order properties. For other languages, the style is ignored and not treated as an error.

.topic 1060
When enabled, specifies that a child window created with this style does not send the WM_PARENTNOTIFY message to its parent window when it is created or destroyed. For other languages, the style is ignored and is not treated as an error.

.topic 1061
When enabled, window has generic right-aligned properties. This style has an effect only if the shell language is Hebrew, Arabic, or another language that supports reading order alignment.

.topic 2061
Specifies that a window created with this style should be placed above all non-topmost windows and should stay above them, even when the window is deactivated.

.topic 1062
When enabled, if the shell language is Hebrew, Arabic, or another language that supports reading order alignment, the vertical scroll bar (if present) is to the left of the client area. For other languages, the style is ignored and is not treated as an error.

.topic 1063
Type a name for the new window type.

.topic 1064
Help is not available for this topic.


About CSS attributes

Cascading style sheets (CSS) are design templates that provide centralized control over presentation and layout of HTML elements. They allow you to separate the way you design information from the HTML content, and are the key to implementing Dynamic HTML (DHTML). CSS attributes are the building blocks of cascading style sheets. The topics in this section describe the CSS attributes and show the proper syntax for their use.


About HTML attributes

HTML attributes are used to define the properties of HTML elements. Each HTML element has its own set of attributes. For example, SRC is an attribute of the <IMG> tag, which indicates the location and file name of an image file. The topics in this section describe the HTML attributes and show how to use them.


About HTML elements

HTML elements are the tags that you use to construct and format HTML pages. The topics in this section describe the elements, list the attributes that you can use with them, and show the proper syntax for using them.